
 ZTreeWin Revision History
 --------------------------

 Version 1.61 (16 July 2007)
 ------------
 Added - /TO Command line switch - Display the current directory or filename in the console title
 Added - /TP Command line switch - Display the current pathname in the console title and object in line one
 Added - /TV Command line switch - Display the ZTreeWin version in the console title
 Added - /TZ Command line switch - Display 'ZTreeWin' in the console title
 Added - Alt-Info - Filename Length
 Added - Alt-Info - Hard links count
 Added - Titlebar additionally displays current directory or filename (default /TZVO)
 Change- %#ZTHome%, %#ZTTools%, %#ZTMenu% environment variables now set in long-name form
 Change- Alt-\ - Default current object ordinal into input field
 Change- Alt-Info - NDIR.EXE now invoked from 'N' instead of 'n'
 Change- F2 Browse - Default initial location to active input field value
 Change- Viewer - Offset - Defaults current line-number and maintains line highlight position
 Fixed - Alt-Graft - Collapsing branch containing source directory from F2 Browse lead to GPF
 Fixed - Alt-Info - Window not redrawn after screen resized in Viewer
 Fixed - Alt-Mirror - Not allowing mirror to removable media requiring more than one disk
 Fixed - F9 - #ZTSet - Buffer overflow when prompt exceeded two menu lines
 Fixed - F9 - Pass %%1 etc. when invoking ZTW_MENU.BAT to allow support of filenames containing %
 Fixed - Ctrl-Rename - Tab cycle not inserting current filename as mask when CO=4U='Name only'
 Fixed - Ctrl-Rename - Ctrl-Tab not cycling to *.UPP etc.
 Fixed - F12 - STOP_ON_ERROR - Not aborting on certain error conditions
 Fixed - Keyboard input restricted to first 0xFF found in input string
 Fixed - New Date - Input validation not preventing partial blanking of date or time
 Fixed - Rename mask - First :: pair not accepted in extension
 Fixed - Treespec - Prevent environment variables retrieved from history being saved in expanded form
 Fixed - View - Unicode - Problem translating long lines
 Fixed - View - WRAP - Gather/F4 or F5 with Line numbers displayed not copying the whole wrapped line
 Fixed - ZAAP - Stats - Not reporting 's' in Screen Status from file window when opening extended stats
 Fixed - ZAAP - Stats - Not reporting 'v' in Screen Status when viewing archive output in viewer
 Fixed - Zlist - Trailing period in filespec not truncated causing problem matching files with no extension

 Version 1.60 (15 April 2007)
 ------------
 Change- Alt-F2 - Support for formatting the current drive, where allowable
 Change- Alt-Mirror (/API) - Prevent setting new target directory Creation timestamp
 Change- Confirmation prompts 'Yes  No  Esc Cancel' standardized to reject all other input
 Change- Confirmation prompts show default option for Enter enclosed in []s
 Change- Ctrl-F5 - Change archive extension when different archiver manually selected
 Change- Ctrl-F5 - Strip non-archive type extensions from defaulted archive name
 Change- F9 - Allow REM #ZT directives to be indented
 Change- F9 - #Tokens now passed in shortname form
 Change- F9 - #ZTMenu & #ZTTools now preprocessed script tokens if not prefixed by %
 Change- NTFS with shortname generation disabled - Improved support
 Change- ZTWIN.BAT now written with %* as parameters under NT+
 Added - Digital code signature
 Fixed - /K@ - Loading a macro file with no executable commands froze waiting for user input
 Fixed - Alt-Batch - Generating .CMD file under Win9x
 Fixed - Alt-Graft - Problem grafting last directory in tree to unlogged target
 Fixed - Alt-Prune - Menu options not mouse-clickable
 Fixed - Attributes - End key cleared last displayed character of input string
 Fixed - Copy - Existing target file deleted before checking source not locked
 Fixed - Ctrl-Ins - Short names - Path - trailing backslash not being appended
 Fixed - F5/Ctrl-F5 - New archive filename containing &'s not inserted into file list
 Fixed - F7 Autoview - Alt-Left/Right - Adjust extension width to pre-F7 setting
 Fixed - F7 Autoview - Copy/Move - F2 Browse - Screen display corruption
 Fixed - F7 Autoview (from SFW) - Alt-Right - Current file highlight could become incorrect
 Fixed - F8 Split - Mouse click in opposite side not generating Ctrl-Tab when CO-7Q=Yes
 Fixed - F8 Split - Split Stats = Current/Both - Problems with mouse click in stats panel
 Fixed - F8 Split (FW) - When no files in FW, Ctrl-Tab (with CO-7Q=Yes) not swapping sides
 Fixed - F9 - #ZTSet - Keyboard input didn't support Ctrl-Left/Right
 Fixed - F9 - #ZTTag script directive - Buffer overflow processing long path/filenames
 Fixed - F9 - Empty ZAM once saved could not be reloaded
 Fixed - F9 - Newly created ZAM not saved unless modified
 Fixed - F9 - Spell navigation not causing new cursor position to be saved
 Fixed - F9/Alt-View - Screen not redrawn correctly after screen resized in Viewer
 Fixed - F9/Edit - Edited script line not redrawn after scrolling
 Fixed - F9/F2 Load - Support environment variables in pathname
 Fixed - F12 - @*.ZTM - Support for spaces and '-' in name
 Fixed - F12 - STOP directive was triggering a null input
 Fixed - Filespec - Problem with filespec with leading (quoted) hyphen
 Fixed - Filespec/Tab - Filenames with leading '-' or '=' not enclosed in quotes
 Fixed - History window - Alt-F10/Read ZTW.HST not working when no history items in list
 Fixed - Keyboard input - Problems with fixed width input prompts (eg. Attributes)
 Fixed - Keyboard input - Shift-Home/End resetting anchor of existing marked text
 Fixed - Open - Problem searching for ext.BAT when extension contained space
 Fixed - Print (DW) - (Windows drivers) - Headers were printed on each page when lines=0
 Fixed - Print - (Windows drivers) - Lines/page=0 now allows 60 lines to be printed per page
 Fixed - Rename mask - Period contained within :: pair treated as extension seperator
 Fixed - Rename mask - Problem parsing mask containing consecutive :: tokens
 Fixed - Rename mask - Rounding error on :t: & :tt: tokens
 Fixed - Shift-F10 - Display error when file or directory not found
 Fixed - Various small cosmetic issues
 Fixed - Viewer - Backwards search not displaying hit on current page
 Fixed - Viewer - JUNK mode not turning off unicode translation
 Fixed - Viewer - Line number position not maintained when toggling WRAP mode
 Fixed - Viewer - Remaining in Autoview mode when called from F9/Alt-View via Autoview
 Fixed - Viewer - Unicode modes - problem formatting page at end of file

 Version 1.60.rc26 (28 February 2007)
 -----------------
 Change - /AC - Command line switch - Removed - use CO-7C
 Added - Disk Statistics - Display directory attribute 'j' for junctions
 Added - F9 - Display * next to ZAM filename to indicate unsaved changes
 Added - F12 Mnemonic: QUOTE (")
 Added - Print (FW) - ASA mainframe carriage control character support
 Added - ZCOLORS.INI - DATTR-J coloring for junction/reparse points
 Change- ALT-Info - DW - junction/reparse point attribute now displayed as 'j'
 Change- Ctrl-F12 - Record " as QUOTE mnemonic
 Change- Ctrl-Z - Search #ZTHome, #ZTTools etc. for .ZLS entered without pathname
 Change- Error "Invalid path\filename - too long" moved to general error handler
 Change- Existing file - Display 'as' name for source name
 Change- F9/Edit/Load - First line comment (::) loaded into script name
 Change- F9/Edit/Write - Script name saved as comment as first line
 Change- Keyboard input - Allow cursor to reach edge of window
 Change- Make Directory - Translate '/' to '\' and improve catching invalid input
 Change- Treespec - Translate '/' to '\' when typing or pasting from clipboard
 Fixed - /ROWS:nn - Forced COLS setting from AUTO to MAX
 Fixed - Alt-F5 - ZIP SFX - Not parsing file count correctly in some cases
 Fixed - Alt-F5 - View - /O switch prevented some files from being loaded by viewer
 Fixed - Alt-Prune - F5 option could not be set to "No" when Recycle-Bin unavailable
 Fixed - Compare/Alt-Compare - Skip Binary scan if Identical/Newer/Older don't match
 Fixed - Copy/Move - Report error copying file > 4GiB to FAT partition
 Fixed - Ctrl-Extract - Extraction skipped following 'Skip same error' response
 Fixed - Ctrl-Rename - Skip confirmation prompt when name would not actually change
 Fixed - Delete/Move (Global FW) - Available bytes not updated for non-current drives
 Fixed - F3/Alt-F3 (Global FW) - Available bytes not updated for non-current drives
 Fixed - F9/Edit/Write - buffer-overflow in output script filename
 Fixed - F9 - Prevent saving of empty menu item scripts
 Fixed - F9 - Problem with multiple script tokens substitution
 Fixed - F9 - Unable to create new ZAM after previously loading a R/O ZAM
 Fixed - JFC/Alt-JFC - GPF referencing non-existent configured compare utility
 Fixed - New Date - Ignore missing leading 0's when updating history
 Fixed - Prompted spell search - Ctrl-BKSP disabled the use of RIGHT arrow
 Fixed - Rename file - prevent input of backslash
 Fixed - Rename mask - added additional validation for :: pairs
 Fixed - SFW - Maintain list position switching to Normal FW (or F7) when CO-3H=No
 Fixed - Target directory parsing of ".." broken
 Fixed - Various small cosmetic issues
 Fixed - View/Alt-F5 - Improved detection of RAR SFXs
 Fixed - View - Hex - Search hits not highlighting strings following 0x00
 Fixed - View - Unicode modes - Search hit highlighting problem following tabs
 Fixed - View - Unicode mode not preserved between files with CO-5B=Yes
 Fixed - ZLOG - Volume label change on remote drive caused unlogging

 Version 1.51.75 (18 January 2007)
 ---------------
 Change - /AC - Command line switch - Removed - use CO-7C
 Change - /ZB - Shift-Ctrl-Tab no longer sent to ZAAP interface
 Change- Alt-F10 - CO-2F - Moved to CO-7P
 Change- Alt-F10 - CO-5U & 5V - Moved to CO-7A & 7B respectively
 Change- Ctrl-F12 - Begin recording in an input prompt keeps highlighted default
 Change- Ctrl-Rename - Tab cycle to *.* now inserts current filename as mask
 Change- Existing file - Highlight target file attributes when different to source
 Change- F9 script directive - "REM #ZTTag filename [-s] [-a] [-uq] [-f%parms]" - Use -uq to prevent quotes
 Added - Alt-F10 - CO-2K - Treespec TAB navigates immediately
 Added - Alt-F10 - CO-7C - Compare/Alt-Compare remembered settings
 Added - Alt-F10 - CO-7G - Compare/Alt-Compare - Identical default
 Added - Alt-F10 - CO-7H - Compare/Alt-Compare - Unique default
 Added - Alt-F10 - CO-7I - Compare/Alt-Compare - Newer default
 Added - Alt-F10 - CO-7J - Compare/Alt-Compare - Older default
 Added - Alt-F10 - CO-7K - Compare/Alt-Compare - Binary default
 Added - Alt-F10 - CO-7L - Compare/Alt-Compare - Case default
 Added - Alt-F10 - CO-7Q - Swap Tab & Ctrl-Tab key assignments
 Added - Alt-Sort - F12 Reset settings to defaults
 Added - Alt-Tag/Untag - Extension - Tag/Untag all files matching the current file extension
 Added - Alt-Tag/Untag - Name - Tag/Untag all files matching the current filename
 Added - Alt-Tag/Untag - Filespec - Tag/Untag all files matching the entered filespec
 Added - Compare/Alt-Compare - F12 Reset settings to defaults
 Added - Copy/Extract/Move/Shortcut - Existing file - Rename Source or Target options
 Added - Disk Statistics - Display current directory attributes
 Added - F9 - Ctrl-PgUp/PgDn Navigation
 Added - F9/Alt-Move/Esc - Restore original item location
 Added - Logging - Display pathname of directory currently being logged
 Added - Logging Esc option - Partial Logging - abort logging but retain partially logged information
 Added - Mouse - Shift-Click to invert tags from current file to selected file
 Added - Treespec - Ctrl-PgUp/PgDn Navigation
 Fixed - Alt-F7 - Random timing issue sometimes caused maximized window to be non-centered
 Fixed - Alt-F10 - CO-1A-F - Support .LNK files with spaces in name
 Fixed - Alt-Graft - Aborting before creation of base directory on different drive deleted source
 Fixed - Alt-Graft - Not refreshing target when specified as relative path
 Fixed - Alt-Log - Unlogged branches only - Problem logging collapsed (F5/F6) branches
 Fixed - Alt-ZLog/Load & Merge - Suppress logo display in Split mode
 Fixed - Batch parameters %4.%5 not enclosed in quotes when required
 Fixed - Ctrl-Z - Not parsing input for environment variables
 Fixed - F9 - F2 - Problem saving new .ZAM file without path specification
 Fixed - F9/Alt-Undo - Not restoring highlight position
 Fixed - F12 - @*.ZTM - Support for spaces and '-' in name
 Fixed - F12 - Buffer overflow
 Fixed - New Date - Missing file/s attributes changed to rash
 Fixed - Print/Print to:/Esc - not restoring previously selected printer
 Fixed - Rename (DW) - F5 Previous - Only recalling first original directory name
 Fixed - Rename (DW) - Skip rename attempt when name not actually changed
 Fixed - Various small cosmetic issues

 Version 1.51.50 (12 December 2006)
 ---------------
 Change- Alt-F10 - Esc - Display warning if upgrade required
 Change- Alt-Graft - Support grafting branch to a different drive
 Change- Alt-Info - Display Domain name of owner, and SID if owner name not available
 Change- F9 - Expanded first letter navigation beyond only a-Z,0-9
 Change- F9 - Default Menu filename changed from ZTW_MENU.DAT to ZTW.ZAM
 Change- F12 - Append .ztm to entered @filename if no extension specified
 Change- F12 - Esc now will terminate an executing macro
 Change- Treespec - TAB no longer expands current directory
 Added - #ZTDrive, #ZTHome - Environment variables set at startup
 Added - Alt-F10 - CO-1G - Set #ZTTools environment variable
 Added - Alt-F10 - CO-2F - Initial Statistics Panels in Split Screen (None/Current/Both)
 Added - Alt-F10 - CO-5R - History lists allow Ctrl-C/V/X bookmarking (default = no)
 Added - Alt-Sort - Up arrow (or ./>) for ascending, Down arrow (or ,/<) for descending sort order
 Added - Alt-Z/Quit & Resume - Prompt to create new target directory
 Added - Ctrl-Batch - Prompt to create new target directory
 Added - F9 - F2 - Open specified .ZAM file
 Added - F9 - Sets #ZTMenu environment variable to the current menu file
 Added - F12/F4 Repeat - Repeat the macro the specified number of times
 Added - F12 - @*.ZTM - Comment character ';' at position 1 causes line to be ignored
 Added - F12 - Macro directive: WHILE_NOT_ERROR - Repeat rest of macro until any error condition is raised
 Added - F12 - Macro directive: WHILE_NOT_END - Repeat rest of macro until the cursor is already at end
 Added - F12 - Macro directive: WHILE_NOT_HOME - Repeat rest of macro until the cursor is already at home
 Added - F12 - Macro directive: STOP_ON_ERROR - Abort macro when any error condition is raised
 Added - F12 - Macro directive: STOP_ON_END - Abort macro if the current position is already at end
 Added - F12 - Macro directive: STOP_ON_HOME - Abort macro if the current position is already at home
 Added - F12 - Macro directive: STOP_IF_MATCH - Abort macro immediately if there are files in the FW
 Added - F12 - Macro directive: STOP_IF_NOMATCH - Abort macro immediately if there no files in the FW
 Added - F12 - Macro directive: STOP_IF_TAGS - Abort macro immediately if some files are tagged
 Added - F12 - Macro directive: STOP_IF_NOTAGS - Abort macro immediately if no files are tagged
 Added - F12 - Macro directive: STOP_IF_SPLIT - Abort macro immediately if ZTree is in Split mode
 Added - F12 - Macro directive: STOP_IF_UNSPLIT - Abort macro immediately if ZTree is not in Split mode
 Added - F12 - Macro directive: BEEP - Generate an audible beep
 Added - F12 - Macro directive: PAUSE - Prompt to continue or abort the current macro
 Added - F12 - Macro directive: SLEEP - Suspend the current macro for 1 second
 Added - New Date/Ctrl-New Date - Allow blank date or time to retain current value
 Added - Open *.ZAM - Open the selected *.ZAM file in F9 Menu
 Added - Shift-F8 - Split Mode - Statistics None/Current/Both
 Added - Treespec - Support for relative path syntax (eg. %#ZTHome%\..\..\Util)
 Added - Zlist - Support for relative path syntax
 Added - ZTW.HST - Display warning at startup if unknown item read or toggles (zt=) not read
 Fixed - Alt-F7 - Random timing issue sometimes caused maximized window to be non-centered
 Fixed - Alt-F10 - Unable to launch ZTW_CFG.EXE from directory containing extended character
 Fixed - Alt-Prune - Delete only empty directories - ignore +RHS files in other directories
 Fixed - Ctrl-F12 - Allow macro recording to be toggled while entering input
 Fixed - eXecute - Improved support of environment variables
 Fixed - F9/Edit/Copy - Problem attempting to copy a blank line
 Fixed - F9 - Prevent saving of menu file if no changes
 Fixed - F9 - Problem loading menu saved with offset at line 255

 Version 1.51.15 (31 October 2006)
 ---------------
 Change- Activate ZTreeWin window on error
 Change- Alt-Compare - Use sticky settings from Compare
 Change- CO-4T - Default setting changed to 'Yes'
 Change- Ctrl-F7 - Display unicode text
 Change- Error Handler - "Skip same error" now tracks the last four errors for the current operation
 Change- F9/Edit script - Edit window limit increased to 999 lines
 Change- View - Hex - Highlight both hex and text search hits when search mode is 'text'
 Added - /AC - Command line switch - Use defaults 'Unique (yes)' & 'Newer (yes)' for Compare Branch
 Added - /SV - Command line switch - Sort by Value
 Added - #ZTDesktop, #ZTFavorites, #ZTMyDocuments, #ZTStartMenu - Environment variables set at startup
 Added - ALT-F5/Ctrl-Extract - F8 Partial Untag now untags successfully extracted files
 Added - ALT-Info - Additional file/directory attributes now displayed
 Added - CO-6T - Error Timeout - Auto timeout for tagged file errors
 Added - CO-6U - Error Timeout - Default error dialog response
 Added - CO-6V - Error Timeout - Ctrl-Search error dialog response
 Added - Compare/Alt-Compare/Alt-F4 - Display data throughput rate for Binary file comparisons
 Added - F9 - Ctrl-Up/Down - Scroll menu window
 Added - Rename Directory - F5 Previous - Recall previous original directory name
 Added - View - Charset = ANSI-UNI & OEM-UNI - UTF-16 & UTF-8 Unicode display modes
 Added - View - Shift-F7 - Loop mode for auto-scrolling
 Fixed - Alt-F5/Extract - No error message when existing target file cannot be replaced
 Fixed - Alt-F5/Extract - UNZIP32 unable to extract files saved with backslashes in pathname
 Fixed - Alt-F7 - Maximize window within current monitor, in multiple-monitor configurations
 Fixed - Alt-Log - Unlogged branches only - Problem logging collapsed (F5/F6) branches
 Fixed - Alt-Log - Unlogged branches only - Not logging correctly from root directory
 Fixed - Alt-Log - Unlogged branches only - Skip error not working
 Fixed - Alt-Sort/Ret (DW) - Not resorting directory names
 Fixed - Alt-Z/Resume (FW) - Filelist incorrectly drawn after sorting when filespec active
 Fixed - Alt-Z - Left pane BSG file mode not restored
 Fixed - Attribute - trailing -/+ not truncated from input
 Fixed - Ctrl/Alt-Copy/Move - Operation aborted on Next/Skip error handler for invalid new target path
 Fixed - Ctrl-Batch - Not adding CRLF line termination
 Fixed - Ctrl-Ins - UNC option with '/' path option not setting first '\' to '/'
 Fixed - Ctrl-Open - Check for tagged file count not considering filespec
 Fixed - Ctrl-Search - False hits found at EOF when overlapped with previously searched file
 Fixed - Ctrl-Search - Search string with multiple wildcards not finding hits
 Fixed - F3 (DW) - Not resorting directory names
 Fixed - Edit - Filenames with leading period not passed correctly to editor
 Fixed - F9/Alt-Move - Item moved below a collapsed parent remained visible
 Fixed - History window - Deleting topmost history item didn't move highlight down
 Fixed - Filespec - Problem with negated datespecs -<, ->, and <>
 Fixed - Keyboard input - CO-4T=Yes - Copying to clipboard truncating to visible highlighted length
 Fixed - Make Directory - Not using ANSI sorting with CO-3D
 Fixed - Open - 'Open With' dialog shown when associated application cannot be started
 Fixed - Open spell search - Non-functional in unregistered version
 Fixed - Progress bar - Remaining time incorrect following the Retry of a Copy operation
 Fixed - Refresh directory - Losing current file position for long filenames
 Fixed - ZLOG.TMP - Version change prevented loading of files saved since v1.50
 Fixed - View - Memory leak viewing a small file following a large file (64K+)
 Fixed - View - Hex - Search hits not highlighting wrapped text
 Fixed - View - Unicode modes - WRAP not working correctly

 Version 1.51 (4 July 2006)
 ------------
 Change- F5/Ctrl-F5 - Support for environment variables in target pathname
 Added - /ZN command line switch to prevent loading of ZNOLOG.INI
 Added - Alt-Log - Unlogged branches only - ignores ZNOLOG.INI
 Added - ZNOLOG.INI - Specify pathames to be excluded from branch and full disk logging
 Fixed - Alt-Prune - F6 Empty directories only - offer to delete empty current directory
 Fixed - Batch parameters - %4.%5 - '.' was suppressed when no extension
 Fixed - Copy/Move - Tagged file stats not reduced when replacing existing tagged files
 Fixed - Ctrl-Batch - Replacing existing batch file caused its tag to be lost
 Fixed - Ctrl-Log (DW) - Not following CO-3I setting when drive switched to previously in FW
 Fixed - Double-click in SFW (CO-3P=No) caused opening of wrong file
 Fixed - F9 - #ZTTag - Script line corruption when no path specified for output file
 Fixed - GPF caused by buffer-overrun trying to access file with path > MAX_PATH
 Fixed - Log (FW) - Esc did not interrupt logging of root directory

 Version 1.50.10 (1 June 2006)
 ---------------
 Change- Alt-Sort - Skip re-sorting when criteria unchanged and no change to filenames or timestamps
 Change- Alt-Sort/Enter - Unconditionally re-sort with current criteria
 Change- Copy/Move/Rename - Ignore CO-4H setting when source filename unchanged
 Change- Improved directory sorting and insertion routine performance
 Change- Strip quotes from text pasted from clipboard into filename and pathname inputs
 Added - Alt-Sort/Value - Sort by numeric value, ignoring all leading non-numeric characters
 Added - Directory ordinal display now shows tagged file count (T N/M)
 Fixed - Alt-F5,View/Alt-View - Not passing drive letter in %2
 Fixed - Alt-F5,Ctrl-Extract - Error messages not cleared from menu
 Fixed - Alt-F5 - Refresh archive size display following Delete/Ctrl-Delete
 Fixed - Alt-Prune - Ignore errors accessing "System Volume Information" when pruning from root
 Fixed - Alt-Release/This (FW/Split) - GPF when next drive had no current directory for active pane
 Fixed - Alt-Release/This (FW/Split) - GPF aborting Quit confirmation after failing to pick a new drive
 Fixed - Alt-Z/Resume - File sort sequence undefined when using Alt-Sort prior to Alt-Z/Resume
 Fixed - Avail - Refresh drive list
 Fixed - Avail/Next media - Randomly losing current drive letter
 Fixed - Copy - Retry/Ignore following system error was aborting copy
 Fixed - Ctrl-F12 (FW) - Function was disabled when no files in FW
 Fixed - Ctrl-Rename - Skip confirmation prompt when there is no actual filename change
 Fixed - Ctrl-Right (DW) - Expanding the root caused a problem with the fourth visible directory
 Fixed - DW Enter - Subdirectories not logged following removal of Access Denied issue
 Fixed - eXecute - GPF trying to switch drives with non-alphabetic subst'd drive (eg. '2:' & 'CD !:')
 Fixed - F12 - Parsing issue in Rename mask with unmatched quotes
 Fixed - Ignore trailing period in directory name specifications
 Fixed - Keyboard input - Problem replacing highlighted text wider than display width
 Fixed - Move/Ctrl-Move (B/S/G FW) not causing re-sorting of target directory
 Fixed - Move/Delete - Current File position being lost when leaving file window
 Fixed - New-Date - Allow pasting dates from clipboard containing '/' instead of '-'
 Fixed - Shift-F10 - ZShell timing changes to support Send To/Mail Recipient (thanks Liviu!)
 Fixed - View/Alt-View - Buffer overrun when passing several %args

 Version 1.50.9 (24 March 2006)
 --------------
 Change- Alt-Sort - Prevent re-sorting if sort criteria unchanged
 Change- Copy/Move - Refresh source file 'attributes' prior to copy/move
 Change- Error [3] "Path Not Found" now handled by popup error handler for Ctrl-file operations
 Change- F7 Autoview/Ctrl-View - Maintain manual display mode and Mask setting between files
 Change- F9 Menu - Panel redesigned to remove additional inner borders
 Added - Ctrl-Ins - (DW) - Base & Ext options
 Added - F12 Mnemonic: ALT_BKSL (Alt-\)
 Added - Filespec - Support for 'TODAY-#' for a specified number of days prior to today
 Added - Rename Directory - support for c,w,a timestamp prefixes in rename mask
 Fixed - /ZT - Last treespec containing %parameters not working
 Fixed - Alt-F5 (.CAB) - Problems extracting files to temp directory for viewing
 Fixed - Alt-F5 (.ZIP) - Directory entry stored as 2 bytes shown as nameless file
 Fixed - Alt-F5 - (DW) - ZBAR.DAT not updated with current directory name
 Fixed - Alt-F5 - View - File position sometimes lost
 Fixed - Alt-Graft - Unlog directories in grafted branch that exceed MAX_PATH
 Fixed - Alt-Prune - Spinner not shown while refreshing branch after confirmation prompt
 Fixed - Alt-Sort (FW) - Not updating file ordinal correctly, seen via Ctrl-F3
 Fixed - Copy - [87] Invalid Timestamp Parameter error prevented file being copied
 Fixed - Ctrl-F7 - Display buffer overflow with long version strings found in certain executables
 Fixed - Ctrl-F8 - Not updating tagged file count in ordinal display
 Fixed - Ctrl-Log (Switch) - Repositioning issue when parent branch collapsed with F6
 Fixed - Ctrl-Rename - Confirmation prompt accepted invalid responses as 'N'
 Fixed - Directory menu not redisplayed when switching drive from File mode
 Fixed - F7 Autoview - HEX - Text search hits not highlighted correctly
 Fixed - F7 Autoview - Shift-letter commands not replaying from macro
 Fixed - F12 - Commas in macros being stripped from quoted strings
 Fixed - History window - Alt-F10 unavailable when no history items in list
 Fixed - Keyboard input frozen when launching several copies from a command shell (wrong hWnd)
 Fixed - New Date/Ctrl-New Date - +A attribute lost with CO-6B=No
 Fixed - Print File - File position sometimes lost
 Fixed - Treespec - Spinner not shown while refreshing branch before prompt
 Fixed - Treespec - Prevent highlighting default path for F5 Edit (when CO-4T=Yes)
 Fixed - View (DUMP) - Gather truncating at column 80
 Fixed - View - Archive listing - List command options lost when executable missing
 Fixed - Zlist - Lines input from file not trimmed of trailing spaces
 Fixed - ZLOG.TMP - Buffer-overflow loading saved long pathnames

 Version 1.50 (1 January 2006)
 ------------
 Change- /ZP - Disable the progress bar time display
 Fixed - Alt-Compare - Invalid directory name reported when file existed with source dir name
 Fixed - Alt-F10/F3 - ZCOLORS.INI not reloaded from original alternate startup directory
 Fixed - Alt-Release/Disk (FW) - Current file position lost
 Fixed - Compare/Alt-Compare/Alt-F4 - Filenames with extended OEM characters matched incorrectly
 Fixed - Copy/Move - Cosmetic menu issues with long path/filenames
 Fixed - Ctrl-Home (DW) - CO-2I=Fixed - GPF after setting highlight below fixed row with mouse
 Fixed - F9 - REM #ZTTag - Support %parameters in the output filename
 Fixed - Log all drives - Skip error option not working
 Fixed - Mark/Select console text (NT/2K/XP) - Time display not suspended in Non-English versions
 Fixed - Print/Lines - Headers=On - Limited to 2 digit input when defaulted to 55
 Fixed - PgUp/PgDn (DW) - Highlight = Fixed - Jumping to first/last dir when < 14 visible
 Fixed - View - WRAP - Line not wrapping when last character on line was a Tab

 Version 1.50rc19 (23 November 2005)
 ----------------
 Change- Alt-F1 - About box function key color scheme changed
 Change- Alt-Prune - Allow use of F6 when not visible (sets F3=No & F5=Yes)
 Change- Ctrl/Move - Insert externally created target directory into logged branch
 Change- Log - Force Quit confirmation when cancelling logging and no logged drives
 Change- Logging - Allow Esc to interrupt logging of single directory
 Change- New Date - DW - Display error when function attempted at root directory
 Fixed - Alt-Batch - !! not being translated to CR/LF pair
 Fixed - Alt-F5 - Random logging problem with filenames shorter than 8.3
 Fixed - Alt-F5 - unrar.dll = Problem with OEM/ANSI translation
 Fixed - Alt-F5 - .CAB - Icomp5.exe output parsed incorrectly
 Fixed - Alt-F10 - CO-2A setting of AUTO caused buffer-overrun
 Fixed - Alt-Prune - F6=Yes - Silently relog and skip newly non-empty directories
 Fixed - Alt-Prune - Random input appended to PRUNE confirmation when Fn keys used
 Fixed - Ctrl-Copy - Logging externally created target directory when adding to branch
 Fixed - Ctrl-F5 - Non-existent long archiver path caused buffer overflow
 Fixed - Ctrl-Z - Last line of .ZLS file skipped if EOL missing
 Fixed - Edit - Empty input field with SFN editor setting and CO-5H=Yes caused GPF
 Fixed - F2 Browse - (FW) Collapsing non-current drive could lead to repositioning exception
 Fixed - F7 Autoview - Esc to SFW in F8 Split mode could return to wrong drive
 Fixed - Interrupting initial logging didn't open Log menu
 Fixed - Menus/Mouse - Various options not implemented
 Fixed - Rename with complex mask showing display corruption after parsing
 Fixed - sHortcut - Default desktop pathname not translated to OEM for display
 Fixed - Spell Search (DW) - Long search string containing '.' causing buffer-overflow
 Fixed - Tag/Untag (DW) - Highlight lost on last directory when Alt-K set to 'tagged'
 Fixed - View/Ctrl-Search - Trailing spaces truncated from search string when using Fn options
 Fixed - View - ALPHA - Backwards search in F8 Hit mode repositioning hits on last line
 Fixed - View - ALPHA - Backwards search from top of file not positioning first hit on last line
 Fixed - View - ALPHA/WRAP - End positioning performance issue
 Fixed - View - End/PgDn - Not positioning last page correctly when top line is blank
 Fixed - View - ALPHA - Gather appending random charcter when last line has no EOL mark
 Fixed - View - WRAP - Next hit not moving to next page when no line breaks detected
 Fixed - View - WRAP - PgUp not working when no line breaks detected
 Fixed - ZLOG.TMP loaded after screen height reduction led to DW highlighting issue
 Fixed - ZLOG.TMP loading crashed of no ZTW.INI found
 Fixed - ZLOG.TMP loading in F8 Split mode with SFW active, not drawing directory tree

 Version 1.50rc3 (17 September 2005)
 ---------------
 Change- Installer - List names of files backed up
 Fixed - Alt-Mirror - Directory scrollbar drawing incorrect with CO-3P=No
 Fixed - Alt-Mirror - Progress bar reaching 100% before completion
 Fixed - Treespec - Limited to 64K directories
 Fixed - View/+ Next search hit - not refreshing page

 Version 1.50rc2 (13 September 2005)
 ---------------
 Fixed - Alt-F5 - ZIP - Problem parsing stored directory names with attribute
 Fixed - Alt-F5/Extract/Esc - Random GPF caused by reallocated memory
 Fixed - Alt-F5/Ctrl-Extract - Target directories relogged when CO-1R="No"
 Fixed - Make directory - Mask containing '.' before '\' not allowed
 Fixed - Tag/Untag (DW) - Last directory in tree not redrawn to show tagged files

 Version 1.50rc1 (6 September 2005)
 ---------------
 Fixed - Ctrl-F5 - Newly created archive not being logged unless Auto-refresh enabled
 Fixed - Ctrl-Ins - 'I'nfo - not including file size
 Fixed - F3/Shift-F3 - Branch not re-sorting following directory renaming
 Fixed - GPF when attempting to sort files in an empty direcory of a renamed branch
 Fixed - Log all drives - Skip error option not working
 Fixed - Keyboard input - Replacing marked text didn't adjust new string length
 Fixed - Open - Filename w/o extension not opened when similarly named executable exists
 Fixed - Progress bar - Estimated time during copy improved for small file overhead
 Fixed - View - Not highlighting search hits for multiple separated asterisks
 Fixed - View/Ctrl-Search - Search failing for multiple trailing asterisks

 Version 1.49.2s (12 August 2005)
 ---------------
 Change- UNRAR.DLL updated to v3.50.0.214
 Fixed - Alt-F5 - Disabled use of UNZIP32.DLL for files > 2Gb
 Fixed - Alt-F5 - Encryption - prevent trimming trailing spaces from password
 Fixed - Alt-I - Problem querying version information in certain modules
 Fixed - Alt-I - 'n' - Prevent launching of NDIR.EXE if not available
 Fixed - Ctrl-Search - F5 Search TOC only was broken
 Fixed - F3/Shift-F3 - Prevent directory sorting/rethreading when no changes detected
 Fixed - Log - Error querying volume name under VirtualPC on MacOS
 Fixed - Move (Branch FW) - Source directory not being re-sorted to discard moved file
 Fixed - View - ANSI - Problem searching using /O switch and F2=no
 Fixed - View - Dump - Unicode search highlighting broken
 Fixed - View - Problems searching for and highlighting extended characters
 Fixed - View - Unable to reach last line with End/PgDn if last character was a FF

 Version 1.49.2r (12 July 2005)
 ---------------
 Added - Alt-F5 - RAR - UNRAR.DLL interface for reading encrypted headers, and extraction
 Added - Make/Rename Directory - support for rename masks
 Fixed - /T Console title string truncated
 Fixed - Alt-Copy/Move - (4C=No) - Not prompting to "Automatically Replace?" when required
 Fixed - Alt-Menu (DW) selection with mouse not correct for Alt-F7 - Alt-F10
 Fixed - Alt-Mirror - Not duplicating source directory attributes
 Fixed - Alt-eXecute - Problem with names containing '&' (under NT/W2K/XP)
 Fixed - Ctrl-sHortcut - Default input mask to *.
 Fixed - Ctrl-Search  & View/Search - User locale specific searching for extended characters
 Fixed - F7 Autoview - Alt-I causing loss of file position
 Fixed - F9/Alt-X - Removed '&& EXIT' from generated batch script for Win9x
 Fixed - Shift-F10/Paste - ZShell.exe crashed under Win2K if Explorer window closed
 Fixed - Stats (extended) - Overhead calculation incorrect from Branch FW
 Fixed - View - Reducing window height caused EOF to be unreachable with PgDn/Down

 Version 1.49.2q (8 June 2005)
 ---------------
 Change- CO-1R - "After a write" - automatic refresh only after ZTreeWin writes to disk
 Change- Ctrl-Ins - T option - Clear clipboard if no files tagged
 Change- Stats (extended) - Average size now based on Displayed file size
 Change- Stats (extended) - Displayed file counts wrong in Tags-Only mode after untagging
 Change- Stats (extended) - Reporting of NTFS compressed file counts
 Change- Progress bar (/ZP option) - Current data rate in KB/s or MB/s
 Change- UNZIP32.DLL support updated to v5.52
 Fixed - Alt-F5 - Ctrl-Ins - Info - not copying file timestamp to clipboard
 Fixed - Alt-F5 - Ctrl-Ins - T, F & P options - problem building pathnames
 Fixed - Alt-F5 - Ctrl-Ins - UNC=Yes - stripping first 3 characters from filename
 Fixed - Alt-Mirror - Not sorting updated target directories
 Fixed - Alt-Prune - Matching deleted file size not cleared, then shown in Stats
 Fixed - F3 (DW) - Branch collapsed with F6 showing externally created subdirectories
 Fixed - Filespec - Inverted mask with quoted comma (eg. -"*,*.*") not parsed correctly
 Fixed - Filespec - Problem parsing quoted filespec with leading '=' (eg. "=ABC*.*")
 Fixed - Filespec - Extended characters were not matching unless same case
 Fixed - sHortcut - Automatically Log new shortcut file information (based on CO-1R)
 Fixed - Print - Setting Margin forced Wrap from Off to 75
 Fixed - View - ALPHA - Problem searching backwards when form-feed characters present
 Fixed - View - ANSI - Problem searching for extended characters
 Fixed - View - Problem viewing 0-byte files

 Version 1.49.2p (6 May 2005)
 ---------------
 Added - Progress bar (/ZP option) - Current data rate in KiB/s or MiB/s
 Added - Ctrl-Ins - Toggle between forward & backslash with '\' (or '/')
 Change- Alt-Z/Quit & Resume - Confirm replacement of existing file (if not default ZLOG.TMP)
 Change- Shift-F10 - Context menu functionality moved to ZShell.exe
 Change- View - Win9x - View first 1Mb of large file if memory-mapping fails
 Fixed - Copy/Move as - Problems replacing existing file when source filename contained '~'
 Fixed - Ctrl-F5 - Not refreshing current directory if more than 1 level deep
 Fixed - Ctrl-Open - Timing issue opening multiple MS Office documents
 Fixed - F7 Autoview - Some (shifted) View functions not resetting to Autoview menu
 Fixed - Logging drives specified on command line failed when drives unavailable
 Fixed - Open - Use context menu default action to support opening files with incorrect extensions
 Fixed - Quit - Delay exit if Open command still in progress

 Version 1.49.2o (20 April 2005)
 ---------------
 Added - Alt-Mirror - F4 Replace mode (Older)/(Prompt)
 Added - Alt-Prune - F6 Delete only empty directories
 Added - CO-3A - Alpha - sort by alphabetic value, ignoring any leading numerics & punctuation
 Added - Command line switch /SA (sort file by alphabetic value)
 Added - F12 Mnemonic: SH_DEL
 Change- Command line directory name specification overrides CO-1P to 'root-only'
 Change- Command line switches /SA (sort ANSI) & /SO (sort OEM) replaced by /SCA & /SCO respectively
 Change- Rename - 'F4 Previous' reassigned to F5
 Fixed - '_' (DW) - Should act as '-' when Active Mode Spell Search is disabled
 Fixed - Alt-F5 (.ZIP) - File APIs left in ANSI-mode when no filenames parsed from the .ZIP
 Fixed - Alt-Compare - Comparing branch to a root directory caused all files to be tagged
 Fixed - Alt-Info - Ignore Access-Denied errors when attempting to reset last-accessed timestamp
 Fixed - Alt-Info - Owner information not being translated to OEM
 Fixed - Alt-Sort - Alpha - problem sorting filenames containing no alphabetic characters
 Fixed - Alt-Sort - FW - Prevent global resorting on exit of FW if sort criteria has not changed
 Fixed - Copy/Move as - Problems replacing existing file when source filename contained '~'
 Fixed - Ctrl-F12 - Not recording SH_RIGHT mnemonic
 Fixed - Delete (B/S/G FW) - Prevent resorting of all logged directories on exit from FW
 Fixed - F8 Split - (DW/FW) Active Spell Search not copied to RHS
 Fixed - Filespec - inverted mask with quotes (eg. -"backups*.*") not parsed correctly
 Fixed - JFC - Customized TFC.BAT not being passed files containing '&' wrapped in quotes
 Fixed - Keyboard input - Ctrl-Left/Right - Mark current input string - not working with /ZB switch
 Fixed - Keyboard input - Prevent unassigned Fn keys clearing initial highlighted text (via CO-4T)
 Fixed - Log menu displayed if started from a networked drive without letter
 Fixed - Open/Ctrl-Open - (with no associated .BAT) - synchronization issue with launching thread
 Fixed - Open - Use context menu default action to support opening files with incorrect extensions
 Fixed - Print - Wrap setting causing blank lines to be skipped
 Fixed - Spell Search - Started in RHS of F8, then unsplit, spell string shown but not active
 Fixed - Treespec - Pasting SFN path with trailing backslash being rejected
 Fixed - View - Junk - Search - Partial hits at end of file being highlighted
 Fixed - ZAAP - re-publish current item to zbar.dat if required when ZTreeWin gains focus
 Fixed - ZAAP - re-publish current item to zbar.dat when leaving F7 Autoview

 Version 1.49.2n (15 February 2005)
 ---------------
 Added - Alt-Sort - Alpha - sort by alphabetic value, ignoring any leading numerics & punctuation
 Added - F12 Mnemonics: CTRL_SH_RIGHT & CTRL_SH_LEFT
 Added - Shift-Home (DW) - Reset extension width to minimum
 Change- Compare/Alt-Compare/Alt-F4 - Prevent directory/branch being compared with itself
 Change- Disk Logging Method being overridden to root when directory specified on command line
 Change- Scrolling DW highlight set to line 4 (if possible) after initial logging
 Fixed - Delete - Override System attr - Recycle-bin=Yes - Check if Windows confirmation aborted
 Fixed - Double-Click on unselected item when ZTree without focus, acting on selected item
 Fixed - Enter (DW) - bookmark not being set on empty directory
 Fixed - Existing file prompt miscalculating file sizes > 4Gb
 Fixed - F9 Menu (from FW in Split mode) - Mouse selection of menu item generating a TAB
 Fixed - F9 Menu - Alt-Edit - Problem leaving first line blank
 Fixed - F9 - REM #ZTTag - Problem writing -fparm to file not specified with fullpath
 Fixed - File ordinal display of tagged files not accounting for filespec
 Fixed - File size logging incorrect by 1 byte for each 4Gb
 Fixed - Filespec - Date & Size spec entry being repeated when used together

 Version 1.49.2m (24 December 2004)
 ---------------
 Fixed - Alt-F5 - Problem parsing ZIP64 zips greater than 4Gb
 Fixed - Copy/Move - Handle case where existing target has shortname matching source filename
 Fixed - Ctrl-Esc - Reset Ctrl menu when ZTree loses focus
 Fixed - Ctrl-Rename - Case change not working for files without an extension
 Fixed - Ctrl-F8 (Partial Untag) - removing tags from unprocessed files
 Fixed - Filespec - Date & Size specs negated with leading '-', not displaying '-'
 Fixed - Keyboard input - Problem with highlighted default value when longer than line
 Fixed - Rename (DW) - Unable to delete characters with '/'
 Fixed - Rename file with no extension using """ mask caused display of trailing '.'
 Fixed - Target directory input (B/S/G FW & Split mode) - TAB paths - Not defaulting other pane dir

 Version 1.49.2l (15 November 2004)
 ---------------
 Fixed - Alt-Info - OEM codepage issue causing file information to not be found
 Fixed - Alt-R/T - GPF when releasing the only logged drive
 Fixed - Ctrl-Edit (B/S/G FW) - Problem using START for separate editor windows
 Fixed - Ctrl-Move - Moving with new name to current directory looped on same file
 Fixed - Delete dir - Cursor went to root if F2 Browse previously used to log a directory
 Fixed - eXecute - Prevent redundant error reporting when drive media removed
 Fixed - F2 (DW) - Spell Search navigation inoperative
 Fixed - F5 (B/S/G FW) - Sorting of FW causing wrong file to be archived
 Fixed - F8/Tab (FW) - Displaying directory Spell Search and ordinal on inactive side
 Fixed - F8/Tab (FW Tags-Only) - File list offset reset when tabbing back to FW
 Fixed - Progress bar (/ZP option) - Problem with slow Rename operations
 Fixed - Rename (DW) - Warn of invalid name containing '/'
 Fixed - sHortcut - Removed JFC option for existing file prompt

 Version 1.49.2k (16 October 2004)
 ---------------
 Added - Keyboard input - Shift-(Ctrl)-Left/Right/Home/End - Mark current input string
 Added - Keyboard input - Shift-Del/Ctrl-X to cut selected input line text to the Clipboard
 Change- F9 Menu - Load ZTW_MENU.DAT from startup directory if present
 Change- F9 Menu - Prevent changes to ZTW_MENU.DAT if file is read-only
 Change- Spell Search (DW) - Support ':' for specifying 'extension' in directory name
 Fixed - Alt-F5 - Problem parsing ZIP SFXs made from UNZIPSFX.EXE
 Fixed - Alt-Info - Failing to restore last-access timestamp
 Fixed - Delete/Alt-Prune - Recycle-bin=Yes - Display confirmation dialog when not enough space
 Fixed - Editor/Viewer setting using START now supports START parameters such as /MAX
 Fixed - eXecute - (CMD.EXE) - prepend command line with @ when multiple quoted strings
 Fixed - JFC - TFC.BAT containing @"C:\...\TFC.EXE" not parsing program name correctly
 Fixed - JFC - TFC.BAT not containing pathname to TFC.EXE not parsing parameters correctly
 Fixed - Move - Access Denied reported on source file with RSH attributes
 Fixed - Progress bar (/ZP option) - Improved estimated time left and display before 1%
 Fixed - Tree Stats (Alt-K) - Not refreshed using F9 or X when directory contents changed
 Fixed - ZAAP - Rename - not publishing current filename to zbar.dat

 Version 1.49.2j (20 August 2004)
 ----------------
 Added - Ctrl-Ins - Filename Base & Ext options
 Change- Alt-F2 Format - Shell format API call made asynchronous
 Change- ARCHIVER.BB2 - support for environment variables in command lines
 Change- JFC - support for environment variables in TFC.BAT
 Change- Delete/Ctrl-Delete File - Remove Recycle-Bin option if file/s not on local-fixed drive
 Fixed - /ZT - Last treespec - GPF if ZT history not found
 Fixed - Alt-Move (Showall FW) - Files moved to another drive not logged in target directory
 Fixed - Ctrl-Search - Hex - Not resetting input field length after validation error
 Fixed - Edit - Editor setting with no path (eg. EDIT.COM) lead to corrupt command line
 Fixed - F7 Autoview - Ctrl-Up/Down - Not obeying CO-4P setting
 Fixed - F7 Autoview - CURRPATH color (ZCOLORS.INI) not working with truncated pathnames
 Fixed - F9 Menu - /XT command line switch prevented use of - / + commands
 Fixed - Keyboard input - '+' (shift '=') not working
 Fixed - Mouse wheel (W2K/XP) - /ZB - Scrolling not working to full extent of console
 Fixed - Move - Check that source file can be deleted prior to deleting existing target
 Fixed - Ordinal display - Improved formatting for large values
 Fixed - Rename - Increased buffer size for file/replace strings
 Fixed - View - Backwards search - Menu showed search as 'forward'

 Version 1.49.2i (22 June 2004)
 ---------------
 Added - F9 Menu - Alt-X - Launch script in new session
 Added - F9 script directive - "#ZTExit" - force exit from F9 menu after script execution
 Added - F9 Script directive - "#ZTStart" - force async execution & pass parms to START commmand
 Added - F9 script directive - "#ZTVersion" - replaced with current ZTree version
 Added - F9 script directive - "#ZTView" - force script to be viewed and not executed
 Added - DW - Shift-Left/Right - scroll extension width in small file window
 Change- Alt-Prune - Prevent refreshing of directory attributes if CO-1R = No
 Change- Batch parameter !! - restrict usage to Ctrl-Batch & Alt-Batch
 Change- F9 - REM #ZTTag - File now saved to current directory if no path specified
 Change- UNZIP32.DLL support updated to v5.51
 Fixed - Alt-Info - Random spinner display problem due to timing issue in clock thread
 Fixed - Alt-F5/Extract from .CAB - Target pathname being corrupted internally
 Fixed - Alt-F5/Extract from .CAB - Sharing violation attempting to move file to target dir
 Fixed - Alt-Z/Load - Reducing window height after saving ZLOG.TMP caused GPF on reloading
 Fixed - Alt-Z/Merge - Not recalculating window display parameters from loaded file
 Fixed - Alt-Release/This (Global FW) - Not prompting for new drive when last released
 Fixed - Alt-Release/Files in branch (F8) - Not releasing current file reference from other pane
 Fixed - Ctrl-Print - Addition FF written between files when Line/page != 0
 Fixed - F2 (DW) - Changes to tree in F2 not redrawn if DW function cancelled
 Fixed - F3 (Branch FW) - Refresh continuing beyond scope of current branch
 Fixed - F9 - Alt-Edit/Load - Problem encountering null character in loaded file
 Fixed - F9 - Mouse navigation not working
 Fixed - F9 - REM #ZTTag - Ignore -s & -a arguments if they follow -f
 Fixed - F9/Move/Right - Collapsed branch not updating child entries correctly
 Fixed - Mouse wheel (W2K/XP) - Scrolling Up was erratic
 Fixed - Spell search (DW prompted) - Unable to reach last directory in tree
 Fixed - View - Gather - Only drive of last saved to file defaulted on next use
 Fixed - View - JUNK - Gather - GPF copying to clipboard due to buffer overrun
 Fixed - View - Search - Esc from new search causing loss of previous search criteria
 Fixed - View - Search - Previous search hits on same page not being removed

 Version 1.49.2h (10 May 2004)
 ---------------
 Change- Alt-Mirror - Use CO-6C/6D for F5/F6 defaults
 Change- Alt-Prune - Prevent selection of "F3 Recycle branch as single object" at root directory
 Change- Error [123] "Invalid name" now handled by popup error handler for Ctrl-file operations
 Change- F9 - Increased displayable menu to 2048 lines
 Change- F9/Alt-Copy item - Prevent duplication of root menu item
 Change- F9/Edit/Insert - Insert blank line without going into edit line mode
 Change- F9/Edit/Write - Prompt on existing output file to Append or Overwrite
 Added - ZCOLORS.INI - Support 'for '?' in file extension specification
 Fixed - Alt-Copy/Move - Showall/Global FW not forcing path-mode to 'Full'
 Fixed - Alt-F7 (or F8/F9 to maximize) (Win9x) - Window other than ZTree becoming topmost
 Fixed - Alt-Info - Random GPF if current file not found
 Fixed - Alt-Prune - Not reporting unlogged subdirectories when files with +RSH present
 Fixed - Alt-Release/All (Global FW) - Releasing files on current drive
 Fixed - Alt-Release/Branch (Global FW) - Reducing file count on current drive
 Fixed - Alt-Release/This - Alt-Z/Resume causing GPF
 Fixed - Alt-Zlog - Not restoring correct current drives in F8 Split mode
 Fixed - Copy - Sharing violation [32] on target file being reported as error [80]
 Fixed - Ctrl-Copy/Move/Delete - Override attributes allowing Retry with wrong F2 setting
 Fixed - Ctrl-Copy/Move - CO-4C=No (Win9x) - With root as target, no 'Automatically replace...' prompt
 Fixed - Ctrl-Rename - Word Caps not working
 Fixed - Ctrl-Rename - Problem with masks using :a, :c or :w timestamp prefix
 Fixed - Ctrl-Z - Log operation at root (eg. L=C:\*) not expanding whole drive
 Fixed - Edit (DW) - CO-1A using [SFN] parameter - Trying to rename unsaved new file to LFN
 Fixed - F3 (FW) - Tags lost from files that followed a deleted/moved file
 Fixed - F4 - Menu cycle not generating Alt mode on keyboards with AltGr key
 Fixed - F8 - Not initializing %j1 parameter when CO-3H=No
 Fixed - F8/Tab - Not initializing %j1 parameter when CO-1S!=No
 Fixed - F9 - Not saving menu offset beyond line 255 between uses
 Fixed - F9/Alt-Copy item - GPF copying script with blank lines
 Fixed - F9/Edit/Shift-Ins & Paste - Pasting into empty script below line 1, inserting at previous line
 Fixed - F9/Edit/Paste - At line 1, scrap being inserted at line 2
 Fixed - F9/Edit/Write - Preserve blank lines
 Fixed - F9/Add/Move - New item added under collapsed parent caused GPF when moved
 Fixed - F9/Add/Move/Down - Last node in branch being moved to new parent
 Fixed - Filespec - Files with leading '.' and no extension no longer match an *.ext filespec
 Fixed - Filespec - Reject filespec containing "*?"
 Fixed - Filespec - filespec containing "?*" not treated consistently in name and extension parts
 Fixed - Keyboard input - Ctrl-Left/Right - not skipping multiple spaces between words
 Fixed - Keyboard input - Pasting from clipboard now beeps when truncating due to full input buffer
 Fixed - Mark/Copy console text (NT/2K/XP) - Problem after hitting Alt or Ctrl keys while marking
 Fixed - New date (DW) - Random GPF
 Fixed - Open - Timing issue could cause FW refresh using ANSI mode
 Fixed - Open *.ZLS in FW not redrawing page to show tags
 Fixed - Progress bar (with /ZP option) - not pausing when current operation interrupted
 Fixed - Rename - Multiple *s in name or extension of mask not being reported as invalid
 Fixed - Rename - Mask containing '.' within <insertion> pair treated as extension seperator
 Fixed - Shift-F10 Context menu - Run in separate thread to allow asynchronous execution
 Fixed - View - (ALPHA) Search backwards from EOF with hit on last line repositioning incorrectly
 Fixed - View/Hex/Edit - Maintain search hit highlights during edit navigation
 Fixed - View/Hex/Search (Hex) - Highlight hits in both hex and text 'columns'

 Version 1.49.2g (19 March 2004)
 ---------------
 Added - CO-1J - Numeric seperator - '
 Added - F2 Browse - Support for Ctrl-Tab navigation
 Added - F9/Alt-Copy item - Duplicate current menu item including script
 Added - F9/Alt-View - View the processed script without executing
 Added - F9/F3 Save menu - Save entire menu to ZTW_MENU.DAT
 Added - F9/Edit/Write - Save script to specified file or clipboard
 Change- Alt-Info - Display numeric FileVersion additionally if different to string FileVersion
 Change- Alt-Kbyte (DW) - Size, Count & None now act as command keys
 Change- F9/Edit/Ctrl-V/Shift-Ins - Insert from Clipboard rather than overwrite
 Change- F9 Script directive - "#ZTHome" - removed trailing backslash
 Fixed - Alt-Compare/F4 - Not matching filenames correctly
 Fixed - Alt-Info - OEM translation required for Version string and to retrieve Owner info
 Fixed - Alt-Release/This drive (FW) - Not switching to next logged drive
 Fixed - Ctrl-Rename - Case changes not dealing with extended characters
 Fixed - F2 Browse - Ctrl-Right was acting as Enter at the end of a branch
 Fixed - F9 Script parsing - %parm with spaces not quoted when following user quoted string
 Fixed - F9/Edit script/Edit - Cursor position being saved between edits
 Fixed - F9/Edit script/Load - Use current directory as default path
 Fixed - F9/Edit script - Pasting from clipboard created 300 line script
 Fixed - New-Date - Trap year entry outside of 1980-2127 for FAT partitions
 Fixed - Rename - Case changes not dealing with one extended character names
 Fixed - Spell search (DW) - Trailing * from Prompted mode lost when repeating in Open mode

 Version 1.49.2f (12 March 2004)
 ---------------
 Added - Alt-Release/All other drives - Release all but the current drive
 Added - Alt-Release/This drive - Release the current drive
 Added - Ctrl-Search/F5 Search ZIP TOC only - For Zip files, search only the central directory
 Added - Rename File - F4 Previous - Recall previous original filename
 Change- Alt-F5 - Added UNZIP32.DLL specific error messages
 Fixed - Alt-Info - Problem querying owner information on subst drive
 Fixed - Alt-Mirror (from root) - using CO-5X setting rather than 'Full' as required
 Fixed - Alt-Release/Current (FW) - CO-1T = Branch/Current - Current directory being relogged
 Fixed - Alt-Z/Resume - Reading current drive stats unconditionally
 Fixed - Backspace/Left (DW) - CO-2I="Fixed" - not moving to parent after selection with mouse
 Fixed - F8/Tab - Problem retaining tags in opposite panel after automatic refresh
 Fixed - Open - WinWord launched under Win9x hanging on exit
 Fixed - Ordinal display formatting improved to support large values
 Fixed - View/Search - ALPHA - Not repositioning current page left or right to show hit

 Version 1.49.2e (26 February 2004)
 ---------------
 Added - /PMC command line switch - Set default path-mode for Alt-Copy/Move/Mirror to 'Current'
 Added - /PMF command line switch - Set default path-mode for Alt-Copy/Move/Mirror to 'Full'
 Added - /PMR command line switch - Set default path-mode for Alt-Copy/Move/Mirror to 'Relative'
 Added - CO-5X - Default path mode (full/current/relative)
 Added - CO-5Y - Alt-Copy Relative after Alt-Compare
 Added - Ctrl-Batch - F4 OEM/ANSI character set translation
 Added - Ctrl-Ins - UNC option to copy UNC format pathname to clipboard
 Added - File ordinal display now shows tagged file count (T N/M)
 Added - Filespec (FW) - Tab - cycle current filename mask, size and timestamp
 Added - Keyboard input - Ctrl-Home - Delete from start of field to cursor
 Added - View - Alt-0-9 - Goto bookmark 0 - 9
 Added - View - Ctrl-0-9 - Set bookmark 0 - 9
 Change- Ctrl-Batch - Defer display updates in large file lists to improve performance
 Change- Ctrl-Log - Allow switching to disconnected drive if already logged
 Change- ZAAP interface now publishes ZTree's hWND in bytes 3-6 (use /ZBH for old format)
 Fixed - Alt-\ (or ;) - Increased maximum supported ordinal value entry
 Fixed - Alt-F - LFN display mode - GPF with very long extensions
 Fixed - Alt-F5 - ZIP - Problem parsing stored directory names without attribute
 Fixed - Alt-Graft - Retry option not retrying following an access error
 Fixed - Alt-Log (FW) - GPF when logging error ignored with Skip
 Fixed - Alt-Release (FW) - Releasing all drives sometimes lead to GPF
 Fixed - Alt-Prune - Prune proceding despite unlogged directories due to no access
 Fixed - Copy - Delete existing target when required to avoid RETR by Webdrive
 Fixed - Copy/Move/Extract - New first level directory not inserted into tree if root unlogged
 Fixed - Copy/Move/Extract - Second level child directory created under collapsed branch not logged
 Fixed - Ctrl-Copy - Support for skipping error [87] (invalid timestamp parameter)
 Fixed - Ctrl-Copy/Move/Rename - Problem with file mask using both sequence number and timestamp
 Fixed - Ctrl-Copy/Move - CO-4C=No - 'replace existing files' prompt skipped for non-empty target
 Fixed - Ctrl-Search - Read errors causing GPFs
 Fixed - Delete/Ctrl-Delete - F8 - Opposite pane's matching file stats not updated
 Fixed - Delete/Move - 'No matching files' displayed in SFW after logging another drive from FW
 Fixed - F3 (DW) - Changing access permissions did not allow directory to be logged
 Fixed - F3 (FW) - GPF occurring if tagged files deleted externally
 Fixed - Move - Showall FW - File moved to another logged directory on current drive removed from FW
 Fixed - Open - ShellExecute thread hanging when application unable to accept DDE conversation
 Fixed - Print (DW) - Current drive stats unconditionally refreshed
 Fixed - Rename - Buffer overflow causing GPF when new name filled input field
 Fixed - Treespec - B/S/G FW - CO-3H=Yes - File position should not be saved

 Version 1.49.2d (23 January 2004)
 ---------------
 Added - Alt-F6 - Cycle between normal, no ZCOLORS.INI settings, and monochrome
 Added - Alt-Info (DW - NT/Win2K/XP - NTFS) - Display directory owner
 Added - CO-1S - Option for Current or Branch directory refreshing
 Added - CO-1T - Option for Current or Branch directory refreshing
 Added - Ctrl-Z - Batch logging, releasing, tagging & untagging based on ZLIST.ZLS - see sample
 Added - F2 Browse - F4 - navigate to current DW directory
 Added - F5 (FW) - Archive current file
 Added - F9 script directive - "#ZTDrive" - replaced with drive letter of currently running ZTW executable
 Added - F12/Alt-F12 - Display flashing "P" in bottom-right during macro playback
 Added - History window - Alt-Left/Right arrow - Cycle sort sequence of displayed history items
 Added - History window - Normal, Alt & Ctrl menus
 Added - Open *.ZLS file invokes Ctrl-Zlist command
 Added - Rename masks - :a, :c, :w - use file's last-access, creation, last-write timestamp values (see F1 3.2.1.16)
 Added - Treespec - F5 Edit toggle - Shift-TAB to cycle backwards through matching paths at current depth
 Added - Treespec - F5 Edit (No ) - TAB/Shift-TAB to cycle through matching paths at current depth
 Change- Alt-\ (or ;) - Replaces Alt-1 directory/file ordinal navigation
 Change- Alt-Mirror/Ctrl-Copy/Move - Replace option 'Older' now uses CO-5U & 5V settings
 Change- Ctrl-1 - Removed toggle display of directory/file ordinal
 Change- Ctrl-Z - Toggle use of ZCOLORS.INI moved to Alt-F6
 Change- History window - Alt-F10 - Open History Maintenance menu
 Change- History window - Left/Right arrow - Cycle display filter of marked, unmarked and all history items
 Change- Statistics Display - Global FW - Show drive label and available space for current file
 Change- Treespec - Support for treespec starting with  '\', and no drive letter
 Change- Viewer - Display first 250Mb of file if not enough memory to map entire file
 Change- Viewer - Line display - Improved mouse support
 Change- Z (DW) no longer an alias for Branch
 Fixed - /MAX:-+c - Not adjusting initial column size to an even number of columns
 Fixed - Alt-Log-B/* - Changed media prevented fully logging branch of new disk
 Fixed - Alt-Prune - Not displaying Retry option when correct F2 attribute override option selected
 Fixed - Alt-Prune - Not reporting unlogged directory when R/S/H files found and Force option not set
 Fixed - Alt-Prune - Retry not working following failure to delete a subdirectory
 Fixed - Ctrl-F5 - Problem running some archivers in current console buffer
 Fixed - Ctrl-F7 - FW - 'Megaview' - Improved .DOC,.DOT & .MP3 format & display
 Fixed - CO-1A-1F - Support for relative pathnames containing spaces
 Fixed - CO-5U setting not ignoring a 1 second timestamp difference
 Fixed - Copy/Move/Extract - Parent of target directory locked due to open search handle
 Fixed - Ctrl-B/S/G - Problem repositioning to end for last selected file that is missing or no longer tagged
 Fixed - DW - '|' Prompted spell search not updating directory ordinal display
 Fixed - Filespec - Inverted mask not working when quotes required (eg. -"*,*.*")
 Fixed - History window - Del or Alt-F10/Del followed by sorting caused invalid deleted entries to be saved
 Fixed - History window - Left/Right arrow - Deleting items from filtered list left invalid items
 Fixed - History window - Left/Right arrow - Filter that resulted in full list, not displaying any
 Fixed - History window - Mouse selection not working
 Fixed - JFC - F8 Split with opposite side at logged empty directory - Tab caused GPF
 Fixed - Print file - Allowing printing to selected file when 'device' entered with full path/filename
 Fixed - Treespec - Ctrl-\ - Problem returning to non-existent directory when root directory collapsed
 Fixed - Treespec - Edit (Yes) - Allow entry of '\'
 Fixed - Treespec - F2 Browse - switching to another logged drive not accepted by treepec input

 Version 1.49.2c (14 November 2003)
 ---------------
 Added - /MAX[:+/-r:+/-c] - Adjust the maximum window size by +/- r rows and +/- c columns
 Added - /MAX=+/-r[:+/-c] - Set the adjustment for max mode by +/- r rows and +/- c columns, without invoking max mode
 Added - Alt-Z - Alt-L/Alt-M/Alt-Q/Alt-R - perform function with default filename
 Added - Alt-1 - Enter directory/file ordinal or offset to navigate to
 Added - CO-2A - MAX[:+/-c] - Adjust the maximum window width by +/- c columns
 Added - CO-2B - MAX[:+/-r] - Adjust the maximum window height by +/- r rows
 Added - Ctrl-1 - Toggle display of directory/file ordinal
 Added - Ctrl-F7 - FW - 'Megaview' - Toggle display of summary file contents
 Added - Directory/File ordinal display in bottom-right of DW/FW
 Added - Copy/Move/Extract - Support for environment variables and shortnames in target directory specification
 Added - F9 script directive - "REM #ZTTag filename [-s] [-a] [-f%parms]" - write tagged file list
 Added - F9 script directive - "REM #ZTIfTagged text" to include if tagged files are in the current file window
 Added - F9 script directive - "#ZTExe" - replaced with filename of currently running ZTW executable
 Added - F9 script directive - "#ZTHome" - replaced with path of currently running ZTW executable
 Added - F9 script directive - "#ZTTemp" - replaced with name of the of current ZTMPnnnn directory
 Added - History window - Ctrl-F1 - Open History Maintenance menu
 Added - History window - Left arrow - toggle display filter of only marked history items
 Added - History window - Right arrow - toggle display filter of only unmarked history items
 Added - Alt-Info (FW - NT/Win2K/XP - NTFS) - Display file owner
 Added - Treespec - F5 Edit toggle - free format path editing, supporting environment variables & shortnames
 Added - Treespec - F5 Edit toggle - TAB to cycle through matching paths at current depth
 Change- Alt-Z - ZLOG.TMP loaded automatically at startup now causes any /K macro to be ignored
 Change- Alt-Z - Load/Merge/Quit/Resume now prompt for filename, without F4
 Change- Ctrl-Copy/Move/Rename - CO4T not providing default of *.*
 Change- Ctrl-F5 - Encrypt - prompt for password confirmation
 Change- F12 Mnemonic: SNUM_INS changed to SH_NUM_INS
 Change- MAX - Win9x - Set console size to fill entire desktop (use MAX:-r/:-c or /MAX=-r:-c to reduce)
 Fixed - Alt-F7 - Not restoring to previous dimensions when rows or cols was previously maxed
 Fixed - Alt-F5 - Ctrl/Alt-Extract - F2 option not defaulting to CO-6A setting
 Fixed - Alt-Prune - Not reporting R/S/H files found only in branch root
 Fixed - Alt-Release/Disk/all drives (DW) - CO4A=Yes - Force Log menu on Esc from Quit confirmation
 Fixed - Alt-Z/Load - When mupltiple drives loaded, all but current had total files/bytes doubled
 Fixed - Bookmark navigation (Alt-Left/Right) - unavailable drive not being quietly dropped from list
 Fixed - Ctrl-Rename - Input buffer corruption after repeated Tab,Esc sequences
 Fixed - Edit (DW) - CO-1A using [SFN] parameter - Enter with no filename passing directory name
 Fixed - F2 Browse - Didn't support Shift-BackSpace to delete last Spell-search character
 Fixed - F3 - S/G FW - not refreshing all directories that are in FW scope
 Fixed - F5 - Collapsing then expanding at root prevented display of other branches when logged
 Fixed - F6 - Enter on unlogged root dir - prevented subsequent display of second level dirs
 Fixed - F8 - Using mouse to click to opposite panel in DW sometimes caused entry to FW
 Fixed - F9 - Removed unconditional appending of '@EXIT' to ZTW_MENU.BAT
 Fixed - Log (DW)/Esc - Highlight reset to root
 Fixed - Logging initial drive - Esc three times caused GPF
 Fixed - Menu selection with mouse not reset after using F1 Help
 Fixed - Move - B/S/G FW - File moved to current directory not removed from source dir display
 Fixed - Quit - When started from a command hshell, initial window and buffer sizes not restored
 Fixed - Startup aborted if first drive specified on command line cannot be logged
 Fixed - Stats (extended) - Branch stats of current drive shown when switching to next/previous drive
 Fixed - Treespec - B/S/G FW - Not maintaining current file position after opening normal FW
 Fixed - View - Gather - prevent use in 0-byte file
 Fixed - View - JUNK - problem highlighting search hits with characters outside displayable range
 Fixed - View - archive with archiver that does not support LFNs - pass SFN of archive

 Version 1.49.2b (3 October 2003)
 ----------------
 Added - Alt-Z - ZLOG Volumes - Save or load logged volume information
 Added - Copy/Move - CO-4D=Confirm - Confirm new filename when a 'complex' mask is used
 Added - Ctrl-Copy/Move - F4 Confirm option to verify correct filename mask has been used
 Added - /ZV command line switch to load a volumes file saved previously by Alt-Z
 Change- Ctrl-Z - Reload ZCOLORS.INI each time colorization is enabled
 Change- Ctrl-F5 - Save last used archiver index to ZTW.HST 'zt=' toggle 15
 Fixed - Alt-Copy/Move - Long mask not being truncated for display with F5/F6 options
 Fixed - Alt-F10 - Blank CO-1B entry prefixed with 'START start' when CO-1A prefixed with 'start'
 Fixed - Alt-Mirror - After 'disk full' error, DW jumps to target drive
 Fixed - Alt-Prune - Delete as S.O. not defaulting to Yes when F4 Recycle-Bin initially selected
 Fixed - Alt-Prune - F2 attribute setting allowing retry before all attributes covered
 Fixed - Alt-Prune - Recycle-Bin=Yes/Delete as SO=Yes - After Windows 'In use' error, branch still removed
 Fixed - Alt-Sort - F1 - now linked to Alt-Sort help topic
 Fixed - Copy/Move - After 'disk full' error, DW jumps to target drive
 Fixed - Ctrl-Rename - Input defaulting to *.* with CO-4T=No
 Fixed - Ctrl-View - Esc not cancelling searching of small files
 Fixed - Delete File - Recycle-Bin - W2K & later - *.HTM/*.HTML - ignore connection with 'name files' subdirectory
 Fixed - Filespec - Group Begin on Finnish Kbrd (Ctrl-Alt-') broken
 Fixed - Filespec - Group End on German Kbrd (Strg-Alt-') broken
 Fixed - Log - Esc - From empty B/S/G FW caused GPF
 Fixed - F7 Autoview - WRAP - search hit extending to subsequent lines caused overlapping highlights in filelist
 Fixed - F9 Menu - F5 Graphics toggle not redrawing Scrollbar thumb
 Fixed - F9 Menu - Scrollbar thumb allowed dragging beyond limits
 Fixed - sHortcut - Menu not reset after 'disk full' error on target drive
 Fixed - Stats (extended) - Long filespec not marked as truncated
 Fixed - View - Alpha - End - Problem postioning file with last page full of nulls
 Fixed - View - Gather - File saved to directory of last Alt-F5 when CO-5D=None
 Fixed - View - Disable Edit command when viewing archive list output (ZTW.$$$)

 Version 1.49.2 (8 September 2003)
 --------------
 Change- Alt-Prune - Default "F3 Recycle branch as single object" to 'Yes', when available
 Change- FW - Backspace - Log parent directory if required to remain in FW
 Change- History - Ctrl-% - jump to entry marked with % when not the current one
 Added - Alt-F1 About - Alt-F1 to display build date
 Added - Ctrl-sHortcut - Prompt for shortcut name mask
 Fixed - Alt-F5/View - WinZip SFX detection failing for large headers
 Fixed - Alt-F5 - Deleting single archive file in directory after Alt-F5 not using CO-2R
 Fixed - Alt-F5 - Extract As - applying archived file attributes to original filename
 Fixed - Alt-F5 - Parse empty directories for display in Directory Window
 Fixed - Alt-F10 - Not passing ZTW.INI pathname in quotes to ZTW_CFG.EXE
 Fixed - Alt-Sort - nuMber sequence not correct in some cases
 Fixed - Alt-Sort - Path (On) - In Global mode, sort lowest drive letter first
 Fixed - CO-1E/F - Configured .EXE not being passed specified parameters
 Fixed - Condensed tree width (CO-2H) enabled by default with no ZTW.INI
 Fixed - Copy/Move - Replacing existing logged file not updating filename case
 Fixed - Ctrl-Batch - Catch write errors to batch file
 Fixed - Ctrl-Copy/Move/sHortcut - Display default mask value with CO-4T=Yes
 Fixed - Ctrl-View - Alt menu display not working
 Fixed - Ctrl-F5 - Added error message for command line limit using non-@list archiver
 Fixed - Ctrl-F5 - Shift-P not cycling backwards through Path options
 Fixed - Ctrl-F12 - Display message on open error for ZSAVE.ZTM
 Fixed - Ctrl-Up/Down (DW) - Broken in earlier builds
 Fixed - Ctrl-View - Next/Prev commands not refreshing file index display in the menu
 Fixed - Edit - DW - Create non-existent file for editor requiring [SFN] to be passed
 Fixed - eXecute - Prevent expansion of environment variables prior to execution
 Fixed - eXecute/F9/Open etc - Do not restore console position after execution
 Fixed - F2 Browse - F3 - Relog drive when removeable media changed
 Fixed - F7 Autoview - DUMP mode (80 columns) - Not all search hits displayed correctly
 Fixed - F7 Autoview - Shift-Gather - Last file in FW not allowing Down or End keys
 Fixed - F7 Autoview - Position indicator at bottom of window not removed completely
 Fixed - F8 - Delete/Move file not reducing tagged file stats in opposite pane
 Fixed - F8 - When splitting, not copying tags for all drives to right pane
 Fixed - F9 - /MAX - Win9x - New window opened by START covered by ZTree window
 Fixed - Invert/Tags (FW) - Crash if FW contained no files
 Fixed - JFC - (F8 Split) - Crash when opposite pane's parent directory unlogged
 Fixed - JFC - Problem passing arguments when TFC.BAT had lines following the TFC.EXE line
 Fixed - Keyboard input - Ignore all unbound Ctrl/Alt/Shift combinations
 Fixed - Move file - Prevent copying when file cannot be moved from RO media
 Fixed - Move file - (Branch FW) Maintain file in list when moved within branch
 Fixed - Move file - (Branch FW) Tag stats not updated when moved within branch
 Fixed - Move file - (F8 Split / Showall on opposite pane) Problem moving to same drive
 Fixed - New date - Default input not highlighted according to CO-4T
 Fixed - New date - Detect deleted/renamed file/directory condition
 Fixed - New date - Pasting from clipboard not adhering to mask
 Fixed - New date - Win9x - 'access' updated by OS when 'created' or 'written' changed
 Fixed - Print functions - Detect full disk condition when writing output to a file
 Fixed - Print functions - Refresh target directory of output to file
 Fixed - sHortcut - Support full rename masks in shortcut name
 Fixed - Treespec - Not accepting path selected from F11 bookmark history
 Fixed - View - ZKEYS.LOG not being read entirely due to buffering
 Fixed - View - Gather - F2 not clearing clipboard
 Fixed - View - Gather - PgDn setting end mark beyond EOF
 Fixed - View - ALPHA - End key - displaying beyond end when size matched the screen height
 Fixed - View - WRAP - Backwards Search problem when hit on last line
 Fixed - View - WRAP - Gather - Line termination and Gap incorrect
 Fixed - View - WRAP - PgUp from end not working with line length exceeded page size
 Fixed - View - WRAP - PgUp from within first page moved beyond BOF
 Fixed - View - WRAP - Search hit not positioned correctly when line length exceeded page size

 Version 1.49.1d (18 July 2003)
 ---------------
 Change- Ctrl-Right (DW) - Uncollapse a branch previously collapsed with F6
 Change- Error [33] "File is locked" now handled by popup error handler
 Added - Mouse wheel scrolling (W2K/XP) with Ctrl key held will simulate Ctrl-Up/Down
 Fixed - Alt-Mirror - F5/F6 attribute settings not being applied to directories
 Fixed - Alt-Sort (from Alt-F5 with no paths) Charset (ANSI) lead to GPF
 Fixed - Ctrl-F5 - Encrypt - problem pasting password from clipboard
 Fixed - Ctrl-Right (DW) - Uncollapse a branch previously collapsed with F6
 Fixed - F3 (DW) - Externally removed/renamed directory shown as R/O after cancelling error
 Fixed - F3 (DW) - Media switch to an empty disk with same serial number caused refresh error
 Fixed - F3 (DW) - Not removing '-' indicator for subdirectories previously hidden with Shift+Num-
 Fixed - F8 - Filespec not displaying trailing '.*' when added for CO-4I=Yes
 Fixed - F9 Menu - Prevent '-' 'collapsing' a menu item with no sub-items
 Fixed - Mouse wheel scrolling (W2K/XP only) (DW) - with Shift key held opening FW after 3rd page
 Fixed - Rename (FW) - prevent renaming a filename to its exact current value
 Fixed - Select drive (,/.) - (CO-2Q=No) tree not redrawn when no matches in previous BFW
 Fixed - SFW - Deleted/moved files causing 'No files' display when CO-3C=ANSI
 Fixed - Treespec - Recalling path from history refreshing when CO-1R=No

 Version 1.49.1c (7 July 2003)
 ---------------
 Added - Mouse wheel scrolling (W2K/XP only) with Shift key held will advance a page
 Fixed - Ctrl-Print - Esc not cancelling function
 Fixed - Ctrl-Right (DW) - Branch collapsed with F6 not released before expanding first level
 Fixed - Date display not updated while spinner is active
 Fixed - Edit (DW) - Enter with no filename entered crashing when Editor setting uses [SFN]
 Fixed - FW - Filenames beginning with ASCII 0xFF being filtered from display
 Fixed - Select drive (,/.) - defer display of current path until file list built
 Fixed - Spell Search - Trailing '*' being added unconditionally in Active mode
 Fixed - Treespec - Prevent logging of collapsed root directory when CO-1Q=Yes
 Fixed - Treespec - Refresh each already logged directory part when recalling from history

 Version 1.49.1b (24 June 2003)
 ---------------
 Added - /ZB command line switch to enable ZAAP interface - see http://www.ztree.com/html/zaap.htm
 Added - Open - .DBF - pass current search history in TEMP\zsrch.$$$ for ZTW_VdBF.EXE (v1.4h+)
 Change- View - Tab/Shift-Tab - cycle the tab width between 2,3,4,6 & 8 spaces
 Change- Ctrl-F3 - FW - use CO-3L setting to position highlight after refreshing
 Fixed - Alt-Batch - previously used long batch mask not positioned properly in input field
 Fixed - Alt-Compare - not resetting file counter, causing subsequent Alt-Mirror to fail
 Fixed - Alt-File Display - end of filename line not cleared when extension display widened
 Fixed - Alt-Log/Branch or * in root of drive with no media required 3 cancel actions
 Fixed - Alt-Quit - cancel from confirmation, not resetting Alt menu
 Fixed - Compare (DW) - Error message displayed if directory is empty
 Fixed - CO-1T - Refresh when file window exited not activating spinner
 Fixed - Delete (DW) - Prevent refresh when attempting to delete the root directory
 Fixed - Ctrl-Enter - DW - open FW with no tagged files
 Fixed - Ctrl-View - After using Skip on an error, endless loop if no more viewable files
 Fixed - F1 Help - Prevent use of Alt-F7/F8/F9 and Edit functions
 Fixed - F3 - DW - Branch collapsed with F6 not being refreshed
 Fixed - F12 - loading a macro file with a line > 1024 characters causing an unwanted ',' to be inserted
 Fixed - F7 Autoview - Stuck in F7 mode after using Ctrl-Enter with no visible tagged files
 Fixed - F8 Split - FW - Current file indicator not set in inactive (right) panel
 Fixed - FW (Branch or Showall) - position in FW not saved when bookmark navigation commands used
 Fixed - JFC - Prevent actually comparing a file with itself
 Fixed - Move - moving a file to a different target drive not updating available space display
 Fixed - Numpad-5 - FW with odd number of lines (43) jumps to previous file when repositioning
 Fixed - Select drive (,/.) - defer display of current path until file list built
 Fixed - View - ALPHA - Repeat search not proceeding when nulls treated as line delimiters
 Fixed - View - Ctrl-F3 - hide menu and allow any key to abort refresh
 Fixed - View - WRAP - Repeat search not repositioning page to display hit on long line

 Version 1.49.1 (9 May 2003)
 --------------
 Change- Alt-F10/CO-1R relabelled "Automatically refresh directories"
 Change- Ctrl-Search - Error handler - "Skip [A]ll errors and untag" now "Skip same error and [L]ose tags"
 Change- Error Handler - "Skip same error" now tracks the three last errors for the current operation
 Fixed - Alt-F5 - Alt-Extract - Sort by Path (off) - CO-3D = "No" - Current page not redisplayed after sorting
 Fixed - Alt-F5 - Extract/View - UNZIP32.DLL not used to extract when a supported ZIP archiver not found
 Fixed - Alt-Log Branch/* - Cancelling error caused by missing branch generated a second error
 Fixed - Alt-Log (FW) - random GPF
 Fixed - Bookmark navigation to released drive causing GPF
 Fixed - Ctrl-Batch - Existing target file with R/S/H attributes not replaced even when confirmed
 Fixed - Ctrl-Search - Error handler - "Skip all errors and [K]eep tags" not working
 Fixed - Ctrl-JFC - F8 Split - Random GPF
 Fixed - F2 Browse - Displaying selected directory using DATTR- settings of ZCOLORS.INI
 Fixed - New date - (Win9x/FAT) - reporting Error [183] File/directory already exists
 Fixed - Print functions - unable to print to network printer using UNC format (\\server\printer)
 Fixed - Tags-only mode lost in F8 Split when Tabbing from other side with no tags
 Fixed - Treespec - Not honoring CO-1R setting of "No"
 Fixed - View - ALPHA/JUNK/WRAP - Search hits with '*' wrapped to next line not completely highlighted

 Version 1.49.1rc6 (30 April 2003)
 -----------------
 Change- Alt-F10 - F4 Color configuration - menu redesign
 Change- Installer - Improved backup directory creation & existing installation directory detection
 Fixed - Compare/Alt-F4 - CO-5U & V not working in some combination
 Fixed - View - (DUMP) Search in HEX mode not highlighting hits correctly

 Version 1.49.1rc5 (25 April 2003)
 -----------------
 Change- Alt-F10 - F4 Color configuration - menu redesign
 Change- Spinner (busy indicator) changed to use normal tag color
 Added - NSIS Installation package
 Fixed - Alt-eXecute - (WinNT+) - Not truncating command line for use as quoted title
 Fixed - Alt-F10 - Options 1A-D - Parsing problem when no extension specified
 Fixed - Alt-K - DW - Truncating directory name when no branch totals displayed
 Fixed - F3 - DW - SFW list not reset to home with CO-3L=No
 Fixed - F7 Autoview - F3 not resetting Tags Only mode after all files untagged in TO mode
 Fixed - F8 - TAB - CO-1R not forcing refresh when current FW has no files
 Fixed - F9 - Menus not using active B/S/G color
 Fixed - F9 - DW - Screen corruption on exit when current directory deleted externally
 Fixed - Filespec - Not activating spinner while counting matching files
 Fixed - Mouse & menu issues
 Fixed - View - (ALPHA) Search in HEX mode for CR/LF pairs not working

 Version 1.49.0n (10 April 2003)
 ---------------
 Change- /DEB - External programs now launched via command shell
 Change- Alt/Ctrl-Copy/Move - Allow F3 & Up arrow to revert from 'change case' to 'mask' mode
 Change- Alt-F10 - Launch automatically at startup if ZTW.INI requires upgrade
 Change- Ctrl-F5 - @list name no longer shown in command prompt
 Change- Ctrl-Quit - Launch shell in a new console
 Change- Ctrl-Search - Error handling - Disable use of [S]kip (instead of [A]ll)
 Change- Current file and directory pointers in inactive window now highlighted
 Change- Display "access denied' in SFW of unlogged directory as appropriate
 Change- Log/Volumes - Display SUBST pathnames (not in Win95)
 Change- Log/Volumes - Made list width dynamically sized
 Change- Shift-F3 (DW) - Rescan next-level subdirectory names
 Change- Treespec - Initial display,  Tab & \ - Rescan only next level directory names
 Added - Alt-F5 (no stored paths) - Display full archive pathname in top path line
 Added - Alt-F5 (w/stored paths) - Display full archive pathname in root line of tree
 Added - Alt-F5 (w/stored paths) - Support Alt-KByte function
 Added - Alt-F5 (w/stored paths) - DW Support for Alt-F7/F8/F9 when not in F8 split mode
 Added - Alt-F5 (w/stored paths) - DW Support Bksp, Numpad-5, Sh-Num-%, Ctrl-Up/Down/Home/End/Tab/Left/Right
 Added - Alt-F5 (w/stored paths) - FW Support Bksp
 Added - Alt-Numpad-0### direct entry of ANSI characters
 Added - Alt-Up/Down/Home (in Small FW) - Change height of SFW (when CO-4P=No)
 Added - Display SUBST pathname in tree and in Stats (?) (not in Win95)
 Added - F12 Mnemonics: CTRL_HOME & CTRL_END
 Added - Mouse support - sub-menu items now active
 Fixed - Alt-F2 Format (WinNT) - console resetting preventing use of Ctrl-Copy
 Fixed - Alt-F5 (w/stored paths) - Alt-Up/Down/Home - problems redrawing SFWs
 Fixed - Alt-F5 (w/stored paths) - Mouse menu actions not working correctly
 Fixed - Alt-F5 (no stored paths) - Open large FW even if CO-3P=Yes
 Fixed - Alt-F5 - CAB support tweaks
 Fixed - Alt-F5 - Disable Delete/Ctrl-Delete for archivers that don't support it
 Fixed - Alt-F5 - Extract - Esc from password prompt caused an error on next attempt
 Fixed - Alt-F5 - Not resetting inverted Filespec indicator
 Fixed - Alt-F5 - Problems parsing YYYY format dates from archiver list output
 Fixed - Alt-F5 - Support Extract/Ctrl-Extract with line-5 missing from ARCHIVER.BB2 entry
 Fixed - Alt-F10 - F4 - Disable use of 'W' in History/Menu/View modes, plus cosmetics
 Fixed - Alt-eXecute - (WinNT+) - Not truncating command line for use as quoted title
 Fixed - Alt-Log/Disk - Not logging all selected drives via *
 Fixed - Alt-Release/Disk (Win9x) - Esc key not functioning with CapsLock active
 Fixed - Alt-Tag/Untag-Up/Down - Not resetting menu
 Fixed - Alt-Up/Down-Ctrl-Up/Down - FW - resetting menu unnecessarily
 Fixed - B/S/G FW - when CO-3P=No, Enter key in menu labelled 'More' rather than 'Tree'
 Fixed - Copy/Move following Alt-F5/Extract caused extracted files not to be logged
 Fixed - Ctrl-Copy/Move - Existing file - JFC/identical - prevented All/neVer/Older options
 Fixed - Ctrl-Enter/F4 - CO-3K=No - Filespec with no matching tagged files not displaying correct message
 Fixed - Ctrl-Enter/F4 - CO-3K=Yes/2Q=Remain - With no matching tagged files, GPF on next Ctrl-Enter/F4
 Fixed - Ctrl-F3/Esc (FW) - Causing problems passing parameters to TFC.BAT
 Fixed - Ctrl-F5 - Buffer overflow when entering an extremely long command-line
 Fixed - Ctrl-F5 - Disable store Paths options for archivers that don't support 'w/paths' (line 9)
 Fixed - Ctrl-F5 - PowerArchiver - Force 'Display output' option to 'Yes'
 Fixed - Ctrl-F5 - Warn that Cabarc will replace existing .CAB
 Fixed - Ctrl-Search (SFW) - Tags not removed from SFW for non-hits
 Fixed - Ctrl-Search - Prevent hit counter updating when file skipped due to error
 Fixed - F3 - DW - SFW list not reset to home with CO-3L=No
 Fixed - F7 Autoview - Alt-Up/Down (untag to top/bottom) - not functioning
 Fixed - F7 Autoview - Opened from DW, not returning to DW
 Fixed - F7 Autoview - Opened from SFW, not returning to SFW
 Fixed - Treespec in F8 mode not setting current drive to return to from F7 Autoview
 Fixed - F7 Autoview/Ctrl-View - Gather - Problem saving to path/file containing !!
 Fixed - F8 - GPF following window resizing with Alt-F9
 Fixed - F8 - FW - Display opposite pane's current file pointer highlighted & tagged when required
 Fixed - F9 - #ZTSETx directives displaying incorrect options menu
 Fixed - FW - Not exiting with no files remaining when CO-2Q=Enter/Remain & CO-2R=no
 Fixed - History lists - Selection by letter/number key broken
 Fixed - JFC - (F8 Split) - Tab to insert current file from opposite side when in DW
 Fixed - JFC - Use shortname of full TFC.EXE path to avoid problems with multiple quoted names
 Fixed - Keyboard input - Deadkey & AltGr support
 Fixed - Log - * All marked drives - highlight positioning problem when relogging current drive
 Fixed - Log - Volumes - Prevent use of Insert on '* All marked drives' line
 Fixed - Log - Volumes - Leave function following use of Volumes/*
 Fixed - New Date - F4 (All) - Not refreshing new timestamp for display
 Fixed - New Date - Improved date input validation and error message
 Fixed - Numpad-5 - FW - Repositioning incorrectly when odd number of rows in FW
 Fixed - Rename (Win9x) - Not adding +A attribute with CO-6B=Yes
 Fixed - Shift-F10 - Not translating object name to ANSI for shell API call
 Fixed - Shift-Esc (Win9x) - Not cancelling current spell search
 Fixed - sHortcut - DW - in F8 mode, not refreshing opposite pane's directory contents
 Fixed - sHortcut - DW - Existing file prompt causing a GPF
 Fixed - sHortcut - Problem creating shortcut to files/directories with extended characters
 Fixed - Spell Search (Open - FW) - New search not resetting previous extension width
 Fixed - Stats (?) - 'STATS:' color setting from ZCOLORS.INI not highlighting correct lines
 Fixed - View - Double-click now treated as two single-clicks for up/down scrolling
 Fixed - View - F3 - Increase in file size not allowing PgDn to move beyond previous EOF
 Fixed - View - JUNK/WRAP - Search hits wrapped to next line not completely highlighted
 Fixed - View - WRAP - Gather - Saving wrapped part of line at end point

 Version 1.49.0m (28 February 2003)
 ---------------
 Change- Alt/Ctrl-Batch - Mask with leading @ omitted from history with CO-5P=Yes
 Change- Stats (?) - Global FW - Drive stats of drive of current file shown
 Added - /LQ - Command line switch - Log Quietly - Skip all errors while logging
 Added - F12 Mnemonic: SH_ESC
 Added - Shift-F10 - Context menu popup for both DW and FW
 Fixed - Alt-F5 - Branch/Showall - Treespec '\' problems
 Fixed - Alt-F5 - Ctrl-Extract - Error handling improved
 Fixed - Alt-F5 - For an SFX, not  warning about no Deletes
 Fixed - Alt-F5 - View/Extract - Problem with UNZIP32.DLL and shortnames on CDRW
 Fixed - Alt-F5 - Quit - Waiting for confirmation with CO-4A=yes
 Fixed - Alt-Graft - Problem grafting to non-visible target under collapsed parent
 Fixed - B/S/G - Opening FW with no files when CO-2R=no
 Fixed - B/S/G FW - Displaying "No files" instead of "No matching files" as appropriate
 Fixed - Bookmark not added when navigating to a directory with Treespec
 Fixed - Compare - DW - No error message when root directory not logged
 Fixed - F2 - Switching back to drive with saved directory no longer present could GPF
 Fixed - FW - Randomly allocating too much space for required files
 Fixed - FW - Ctrl-F4/Enter - maintain file position when no tagged files or CO-3K=yes
 Fixed - FW - '|' Prompted spell search with no hit crashing after reopening FW
 Fixed - Edit - DW - Delete new file created for short name before calling editor
 Fixed - F9 - #ZTSET/ZTSETQ directives truncating %parameters starting with 'p'
 Fixed - Make directory - Trailing '.' not being removed
 Fixed - Popup Error box - Expand window for long error messages that need wrapping
 Fixed - Treespec - Retry in response to an unavailable drive locking up
 Fixed - Treespec - Not relogging new media when recalling treespec from history list
 Fixed - Edit/View (also Alt) - Not resetting console when calling console app
 Fixed - View - JUNK - Search hits highlighting problem
 Fixed - View - Offset - History list was disabled
 Fixed - View - Search not highlighting hit preceded with tabs once page scrolled left

 Version 1.49.0l (6 February 2003)
 ---------------
 Change- F9 - Alt-Edit - End to jump to end of script
 Change- F9 - Tab/BTab - Skip blank menu entries
 Change- SFW - Ensure full page of files is shown where possible
 Added - Alt-F5 - DW - Alt-Home to reset height of Small FW
 Added - Ctrl-F5 - Support for encryption using InfoZips's ZIP-CR.EXE
 Added - F9 - Alt-Edit script - Move line
 Added - F9 - Alt-Edit script - Undo changes
 Added - F9 - Backspace - Navigate up to root menu
 Added - F9 - Ctrl-Home/Ctrl-End - Jump to first/last non-blank menu item at current level
 Added - F9 - Ctrl-Left/Right - Collapse/Expand menu branch
 Added - F9 - Right arrow - Navigate down
 Fixed - Alt-Copy - To UNC destination not correctly parsing target directory
 Fixed - Alt-F5 - DW - Print Paths truncating first 2 characters of pathname
 Fixed - Alt-F5 - DW - Print to filename without path not defaulting to archive directory
 Fixed - Alt-K - DW - Setting size/tagged/branch not listing 0 bytes for subdirectories
 Fixed - Branch - Not opening empty BFW when no matches and CO-2Q = "Enter and remain"
 Fixed - DW - Shift-Backspace moves from root to first subdirectory when CO-6H=Yes
 Fixed - Edit - DW - Create specified file so that [SFN] will get a short-name
 Fixed - F8 - Filespec longer than 200 chars caused buffer overflow
 Fixed - F8 - Print/Tree - Omitting Alt-K output
 Fixed - F9 - Alt-Edit - Preserve blank lines
 Fixed - F9 - Alt-Edit/cOpy scrap - GPF when copying blank lines
 Fixed - SFW - Setting filespec could result in GPF due to incorrect scrollbar position

 Version 1.49.0k (30 January 2003)
 ---------------
 Change- Alt-F10 - CO-1T renamed CO-1U
 Change- Alt-F10 - Settings for Alt-F,Alt-S,Ctrl-Z & View-F8 no longer reloaded
 Change- Ctrl-functions - Error [2] "File Not Found" now handled by popup error handler
 Change- Menu word case consistency changes
 Change- Rename directory - Confirmation default based on CO-4D setting and mask used
 Change- Rename file - Confirmation default based on CO-4D setting and mask used
 Change- SFW - Maintain list position & display current file when CO-3H=Yes
 Change- UNZIP32.DLL - Internal beta 5.5.1 to support forward slashes in saved paths
 Added - Alt-F5 - FW - Shift-Left/Right - Scroll extension width
 Added - Alt-F10 - CO-1T - Refresh directory when file window closed
 Added - Extended stats (?) - Display 'Other overhead' usage for fully logged drive
 Added - F7 Autoview - Delay output of archive listings when list is being scrolled
 Added - FW - Shift-Home - Reset extension width to minimum
 Added - Treespec - Tab & \ - Refresh current branch display
 Fixed - Aborting initial logging of full disk caused tree positioning error
 Fixed - Aborting logging could result in memory leak
 Fixed - Alt-F5 - Ctrl/Alt-Extract - Sort by path prior to archiving if CO-3D=No
 Fixed - Alt-F5/Extract&View - Password input - Problems with Ctrl-Bksp and Delete keys
 Fixed - Alt-F5/Extract&View - Translate archive name to ANSI for call to UNZIP32.DLL
 Fixed - Alt-F5 - Subdirectories being inserted multiple times into tree
 Fixed - Bookmark - CO-1R caused Branch bookmarks to be discarded
 Fixed - Copy/Move - Target directory stats reread when leaving FW
 Fixed - Copy/Move - Initial use of F3 in Target inserting blank line
 Fixed - Copy/Move - Replacing existing file didn't preserve source filename case
 Fixed - Ctrl-Copy/Move - New destination for full media resetting progress indicator
 Fixed - Ctrl-F5 - Sort by path prior to archiving if CO-3D=No
 Fixed - Ctrl-Move - To current directory replacing existing files - showing dupes
 Fixed - Ctrl-View - 'Next/Skip' on error went to next file when using 'P'revious
 Fixed - F9 Menu - Problem positioning item with mouse towards bottom of screen
 Fixed - FW - Cursor positioning problem when unsplitting to less than a page of files
 Fixed - Log - List volumes - display network mapping for A: & B: if present
 Fixed - Print - Print to: - leaving field blank caused GPF on redisplay of menu
 Fixed - Print - Cancelling printing to new directory still attempted writing
 Fixed - Treespec - Strip quotes from path pasted from clipboard
 Fixed - Treespec & F3 - Not skipping access denied in "\System Volume Information"
 Fixed - View - ALPHA - Search backwards - GPF displaying a hit on the first page
 Fixed - View - CO 5B=Yes - View mode defaulted to ALPHA after using F1
 Fixed - View - Gather - F4/F5 to mark end line prior to start caused GPF
 Fixed - View - Search not highlighting all hits depending on Tab settings
 Fixed - View - Search not highlighting partially visible hit scrolled off page

 Version 1.49.0j (24 December 2002)
 ---------------
 Change- F7 Autoview - fit DUMP mode output within window without scrolling
 Added - /OA - command line switch - Sort ascending
 Added - /SA - command line switch - Sort using ANSI character set
 Added - /SO - command line switch - Sort using OEM character set
 Added - /SL - command line switch - Sort by Length
 Added - /SM - command line switch - Sort by nuMber
 Added - /SN - command line switch - Sort by Name
 Added - /ST - command line switch - Sort by Time
 Added - Alt-F10 - 3A options - Time/Length/number
 Added - Alt-F10 - CO-3C - Sort character set (ANSI/OEM)
 Added - Alt-F10 - CO-4V - Enable F2 and F11 on non-destination input
 Added - Alt-Sort - Charset (OEM/ANSI) option to select locale-specific ANSI sorting
 Added - F12 mnemonics: OEM, ANSI - for Alt-Sort Charset selection
 Added - FW - Shift-Left/Right - scroll extension width
 Added - Oops! (DW) - call ZOOPS.BAT if found, otherwise open Recycle Bin
 Fixed - Alt-F3 - Tags-only FW - now reverts to all matching files and removes tags
 Fixed - Alt-F5 - Delete/Ctrl-Delete - handle case of read-only archive file
 Fixed - Alt-Log - 1-9 - Not responding to numeric keypad keys
 Fixed - Alt-Mirror - GPF mirroring to unlogged target drive
 Fixed - Alt-Mirror - with CO-1R=Yes, newly added directories not being copied
 Fixed - Alt-Prune - F5 setting lost if F2 required to override file attributes
 Fixed - Alt-Prune - From root directory - incorrectly reporting R/S/H sub-directories
 Fixed - Alt-Wash - failing with Access Denied [5] on Win9x FAT32 drives at 4gb mark
 Fixed - Compare - offered to create non-existent target directory
 Fixed - Copy/Move - target dir on non-existent drive reported 'Path not found'
 Fixed - Ctrl-Copy/Move - internal relogging optimizations to avoid unnecessary resorting
 Fixed - Ctrl-Copy/Move - internal relogging resulting in duplicates for long filenames
 Fixed - Ctrl-Delete - override attributes confirmation - display buffer overrun
 Fixed - Ctrl-Edit - reporting total tagged files, not matching tagged files
 Fixed - Ctrl-Insert - (FW) - copy directory names when file window empty
 Fixed - Ctrl-Search - added new error handling options to choose tag state
 Fixed - Enter FW - Refresh directory if CO-1S=Yes before CO-2Q check
 Fixed - eXecute - no error message with "CD" to non-existent directory
 Fixed - F7 Autoview - display current filename before trying to load file
 Fixed - F7 Autoview - Ctrl-Search - current filename display on top line not updated
 Fixed - F9 Menu - Edit script - Problem pasting from scrap after deleting lines
 Fixed - First subdirectory of tree not highlighted when it is current at startup
 Fixed - Keyboard input - Overwrite mode - Tab key not working correctly
 Fixed - Keyboard input - Cursor position reset to end using Esc from command history
 Fixed - New Date - invalid date entries added to history prior to validation
 Fixed - Rename mask of :x:< >*.* not being translated correctly
 Fixed - View/Alt-F5 - improved detection of ZIP SFXs
 Fixed - View/Alt-F5 - detection of RAR SFXs broken
 Fixed - View - ALPHA - GPF at EOF if file scrolled left when highlighting hits
 Fixed - View - JUNK - improved PgUp & PgDn scrolling
 Fixed - View - Numpad-5 (Center) - not working correctly in WRAP mode or with narrow files
 Fixed - View - Search for long string containing '*' could cause redisplay problem
 Fixed - View - Stuck in ALPHA mode after viewing an archive listing
 Fixed - View - WRAP - Search for text visible on current page caused repositioning

 Version 1.49.0i (16 November 2002)
 ---------------
 Change- Ctrl-Enter (FW) - now aliases Ctrl-F4 (show tags-only toggle)
 Change- Ctrl-Insert - Long/Short names menu options
 Change- Shift-Numpad-- - Show '-' at parent directory to indicate subdirectories are hidden
 Change- F6 (DW) - Show ':' at unlogged branch when collapsed
 Change- View - Line - Numpad-5 - reposition current line to center
 Added - Alt-F5 - Ctrl-Extract - neVer/Older options to existing file prompt
 Added - Alt-Prune - Check for R/S/H attributes on directories
 Added - Alt-Release - F4 Unmap and release network drive(s)
 Added - Ctrl-F5 - store Paths (Current) & mnemonics [N]one/[R]elative/[C]urrent/[F]ull
 Added - Filter indicator (#) to top-left corner to indicate (B/S/G) Alt-F4 filtered file list
 Added - Input fields - support for F2 Browse and F11 bookmark history
 Added - Log - F4 Map to network drive
 Added - Rename - Find & Replace operators: S,1-9 (see help)
 Added - Shift-F3 (DW) - refresh current directory only (non-recursive)
 Added - Treespec - (Fixed highlight) Ctrl-Up/Down to scroll directory tree
 Added - View - Shift-Numpad1-9 to jump to 10%-90% of file
 Fixed - Alt-F5 - Alt-E - not refreshing target directories with CO-1R Yes
 Fixed - Alt-Graft  - prevented from grafting to target with name extended form of source
 Fixed - Alt-H (DW) - prevent attempt to hide root directory
 Fixed - Alt-Info - version information not shown when reported language not present
 Fixed - Alt-Info - (Win9x) - problem with remote drives when resetting access timestamp
 Fixed - Alt-Mirror - Esc after error not immediately aborting
 Fixed - Alt-Mirror - Retry after error not restarting at current file
 Fixed - Alt-Mirror - Not displaying directory attribute colors when target was another drive
 Fixed - Alt-Prune - Warn when directories hidden (Shift-Num-)
 Fixed - Alt-Prune - Warn when S/H directories hidden by CO-2J
 Fixed - Alt-Prune - Made F3 & F5 toggles mutually exclusive
 Fixed - Alt-Release-Current (Global FW) - could result in negative file counts
 Fixed - Copy/Move - check for copy/move to self was case-sensitive
 Fixed - Copy/Move - Problem with internal relog indexing
 Fixed - Copy/Move - B/S/G FW not updated with file copied to empty directory
 Fixed - Copy/Move - B/S FW - memory leak when copying to logged directory on another drive
 Fixed - Copy/Move/Alt-Mirror - improved error handling when file existed as dir and vice versa
 Fixed - Ctrl-Copy/Move - device errors being reported twice
 Fixed - Ctrl-Copy/Move - prevent target refresh if operation cancelled after network error
 Fixed - Ctrl-F3 (FW) - Cancelling function before first refresh could cause GPF
 Fixed - Ctrl-F12 - not recording SH_INS due to remapping
 Fixed - Ctrl-Log causing current drive to revert to previously logged following Autoview
 Fixed - Ctrl-Volume - Force volume name to uppercase for FAT partitions
 Fixed - DATTR- coloring not using background of TREE color
 Fixed - eXecute - Display free disk space for drive after manually switching (eg. "D:")
 Fixed - F3/Alt-Graft  - after renaming parent directory to last in tree could lead to loop
 Fixed - F3 - Branch/Showall FW - Not refreshing drive stats
 Fixed - F3 - DW - not resetting status of hidden directories (Shift-Numpad-)
 Fixed - F5 - DW - Branch not re-expanded if all files are unlogged
 Fixed - F7 - Ctrl-V - Esc not positioning file list to last viewed file
 Fixed - F8 - TAB - redisplaying file list of branch unlogged in opposite panel
 Fixed - F9 - Edit script - TAB/BTAB - not skipping collapsed menu entries
 Fixed - F9 - Alt-Delete item caused collapsed branch above to lose sub-items
 Fixed - F12 - loading large macro from file caused GPF after buffer overflow
 Fixed - Log - Volumes - Determine if remote drives are available
 Fixed - Move file with new name to current directory didn't refresh file list
 Fixed - New date - Write-protected media not detected under Win9x
 Fixed - Open - using .BAT - not launching when ZTree path contained spaces
 Fixed - Print (DW) - relog directory that is target of print file
 Fixed - Rename Directory - didn't fully support file rename masks
 Fixed - Rename Directory - Require confirmation for attributes based on CO-4D
 Fixed - Rename - for single file rename, made F4 Confirm independent of CO-4D
 Fixed - Rename mask of <:x:>*.* not being translated correctly
 Fixed - Treespec - F4 - unable to jump to last target directory when not fully-qualified
 Fixed - View - Alpha - Mask - Search hit highlighting incorrect following controls chars
 Fixed - View - HEX edit - save error due to write-protected media not detected
 Fixed - View - HEX edit - unable to arrow right from last character of second last line
 Fixed - View - JUNK - search hits highlighting problem
 Fixed - View - Menus not working via mouse clicks
 Fixed - View - Search/Ctrl-Search - input truncating trailing spaces
 Fixed - View - Search - Backwards - ending prematurely
 Fixed - View - Search - exception handling of i/o error during search didn't kill spinner

 Version 1.49.0h (26 September 2002)
 ---------------
 Change- Ctrl-F5 - default last used archiver when archive name has (supported) extension
 Change- Delete directory - Highlight scrolls up to previous directory in all cases
 Change- Log - Volumes - Display Sharename instead of volume for remote drives
 Change- Enter (DW) - on logged directory now sets bookmark regardless of dir content
 Change- ZTW.HST - allow file to be loaded after externally sorting
 Added - Alt-F10 - F1 - context (page) sensitive help and default display
 Added - Alt-Prune - F5 Keep current directory files (yes/no)
 Added - Ctrl-Delete - in Input field - erase to end of line
 Added - Ctrl-F5 - Encrypt option
 Added - F9 - Edit script - Edit - Up/Down - edit previous/next line
 Added - F12 mnemonics: CTRL_PGUP & CTRL_PGDN
 Added - sHortcut - 'Create as' input prompt (Tab for default)
 Added - Treespec - F4 Prev Target - jump to last used copy/move to: directory
 Added - View - F2 - Clear clipboard
 Added - View - Gather/Lines - F4 - Copy current line to clipboard
 Added - View - Gather/Lines - F5 - Append current line to clipboard
 Added - View - Gather - F6 - Select Gap of 0/1/2 lines between appended text
 Added - View - Gather - support for batch parameters in filename (eg. %4.dif)
 Fixed - Alt-F (FW) - highlight position lost after resorting
 Fixed - Alt-F (FW) - highlight position not reset to first column
 Fixed - Alt-F2 (using ZFORMAT.BAT) - GPF trying to set current directory to null
 Fixed - Alt-F5 - Branch/Showall - truncating path display as for 80 columns
 Fixed - Alt-F5 - Not matching TAR/TGZ entries in ARCHIVER.BB2
 Fixed - Alt-F5 - in SFW - open LFW displayed original FW's stats (not archives)
 Fixed - Alt-F5/Extract (with CO-1R=Yes) following Delete/Move not sorting deletes out
 Fixed - Alt-I - attempting to reset last access timestamp on read-only media
 Fixed - Alt-Prune - Base directory delete attempted even when Prune cancelled
 Fixed - Alt-S (FW) - followed by Delete/Move resulted in only current directory sorted
 Fixed - Alt-Wash - Last partial block of drive not being washed
 Fixed - Alt-Wash - handle error [1450] when Paged Pool is full
 Fixed - Batch parameters - %2:%3 not being quoted when required
 Fixed - Bookmark - with CO-1R=Yes, missing BMs not removed from list
 Fixed - Compare - not aborting when target device not ready
 Fixed - Copy/Move - Existing file - abbreviate large file sizes in K when required
 Fixed - Copy/Move - F8 Split - using opposite FW as target could lead to GPF
 Fixed - Copy/Move - not refreshing available space of non-current target drive
 Fixed - Ctrl-Copy - to current directory - not refreshing filelist
 Fixed - Ctrl-F5 - (Win9x) - Ctrl-C disabled after invoking 32bit archiver
 Fixed - Ctrl-F5 - (using DOS archiver) - not refreshing filelist to show new archive
 Fixed - Ctrl-New Date - Tab key not inserting timestamp of current file
 Fixed - "Device not ready" error not caught when checking for target directory
 Fixed - Edit - editor command defined using %environment vars% not passing [SFN]
 Fixed - eXecute (Win9x) - Unable to spawn command shell in a directory > 209 chars long
 Fixed - F2 Browse - Log A: or B: not re-logging changed media
 Fixed - F2 Browse - F1 Help - Esc - highlight color lost
 Fixed - F3 - DW - Branch subdirectories not being re-sorted by name
 Fixed - F5 - not expanding a branch previously collapsed with F6
 Fixed - F7 - bottom-right of screen not redrawn correctly after console resized
 Fixed - F8 - FW - last spell search shown from LHS, but not available
 Fixed - F8 - FW - TAB - Empty file window not redisplayed with CO-1R = Remain
 Fixed - F8 - TAB - redisplaying file list of branch unlogged in opposite panel
 Fixed - F9 - Edit script - blank script line truncates script on save
 Fixed - F9 - quotes being inserted into quoted LFNs in scripts when executed
 Fixed - History lists - prevent Up/Down arrows scrolling into blank entries
 Fixed - Insert key (DW) - Acting as Enter
 Fixed - Keyboard input - Characters entered via AltGr being incorrectly translated
 Fixed - Log (FW) - * All - GPF when attempting to save position on current drive
 Fixed - Log - filenames beginning with '.' could lead to GPF
 Fixed - Log - Volumes (Up) - Drives with no volume label not showing free space
 Fixed - Log - Volumes (Up) - Disconnected shares not removed from list
 Fixed - Print File - suppress final FF if one is present in file being printed
 Fixed - Spell Search - various consistency issues resolved
 Fixed - sHortcut - unable to create shortcut in path containing '.' in name
 Fixed - "System Volume Information" (NTFS) - display "Access Denied', not "No Files"
 Fixed - Treespec - GPF caused by loss of position in tree after Ctrl-Bksp then Esc
 Fixed - View - Force ALPHA mode initially when displaying archive listing
 Fixed - View - Gather (with Lines active) - better integration with current line highlight
 Fixed - View - Gather - anchor lost after hitting Home and crossing other anchor
 Fixed - View - GPF after Error [8] ('not enough storage')
 Fixed - View - Search - Backwards from EOF not ending on ESC or displaying progress
 Fixed - View - Search - Backwards - position hit at end of newly displayed page
 Fixed - View - Search - Second hit on page (directly following first) not highlighted

 Version 1.49.0g (31 July 2002)
 ---------------
 Change- Copy/Move - Logged target directories now updated internally without relogging
 Added - Alt-Wash - (DoD Sanitize) method - write 0's, 1's, random data, then verify
 Added - Display UNC sharename for remote drives in tree and in Stats (?)
 Added - F9 - Left - traverse to parent menu item
 Added - F9 - Tab/BackTab to traverse menu at current depth
 Fixed - Alt/Ctrl-Extract - 'O'lder replacement option broken
 Fixed - Alt/Ctrl-Extract - support for disk swapping if target becomes full
 Fixed - Alt-Prune - corrupt longnames left logged when pruning not successful
 Fixed - Alt-Sort (Branch/Showall/Global) - not using directory in collating sequence
 Fixed - Batch parameters - %8 returning null value in FW of root directory
 Fixed - Copy/Move - Rename mask chaining caused source file to be not found
 Fixed - Copy/Move - Single file copy/move offering new destination prompt
 Fixed - Compare/Alt-Compare - Cancelling Binary compare caused incorrect file tagging
 Fixed - Ctrl-Copy/Move - Esc from error prompt acted as Skip
 Fixed - Ctrl-F4 - maintain untagged files in list after Copy/Move to current branch
 Fixed - Edit - current file position lost when editor changed case of filename
 Fixed - F3 in root dir - not matching pathnames of changed case
 Fixed - F8 - Unsplit from RHS - not applying RHS filespec to logged files
 Fixed - F9 - Edit script - Copy function failing beyond first page
 Fixed - Log - Volumes - Esc from history returning drive value from unrelated history usage
 Fixed - Numpad-5 - FW - problems centering when > 80 cols
 Fixed - Open - navigate, followed by Log/Esc - caused file position to revert to Opened file
 Fixed - Open - not passing all referenced %parameters
 Fixed - sHortcut - (Win9x) - unable to create shortcut to path with extended OEM characters
 Fixed - Spell search (Closed=|) - F3 not trimming last search string & not getting match
 Fixed - View - (Alpha) position indicator not showing end of file when last line visible

 Version 1.49.0f (3 July 2002)
 ---------------
 Change- Alt-Prune/Delete Dir - hide Recycle Bin option for non-FIXED drives
 Change- Rename mask - format \a.b\X.Y\ changed to "a"X"|"b"Y"E
 Added - Alt-F5 - Support for ZIP64 (PKZip 4.5) archives > 4Gb
 Added - Alt-Prune - (Recycle-bin) - "F3 Delete branch as single object"
 Added - Alt-Sort - nuMber - sort by numeric value, ignoring any leading 0s
 Added - Alt-Tag (FW) - UP = 'U', DOWN = 'D'
 Added - History window - +/| to append current item to input field
 Added - New Date - F4 (ALL) option to set all timestamps to same value
 Added - Rename - F4 option to confirm rename even if CO-4D not set
 Added - Rename - Find & Replace operators: N,E,B,X,I,C,U,L,W & | to chain rules
 Fixed - Alt-F2 - changed timing to allow format dialog to get focus
 Fixed - Alt-F5 - Delete key not acting as 'd'
 Fixed - Alt-F5/Extract - Not doing OEM/ANSI conversion on pathname for UNZIP32.DLL
 Fixed - Alt-F10 - GPF returning from Alt-F10 with empty file-window
 Fixed - Alt-Info - hanging when file window empty (Tabbed to from Split mode)
 Fixed - Alt-Mirror - Not handling S/H target files properly
 Fixed - Batch parameters 4 & 5 incorrect for filenames starting with . but no extension
 Fixed - Ctrl-Enter - allowed access to file-window with no tagged files
 Fixed - Ctrl-F5 (NT) - ARJ32 - keyboard input blocked with 'Display Output'
 Fixed - Ctrl-PgUp/PgDn - GPF in large list displaying more than 3 columns
 Fixed - Ctrl-Search - '*' not matching zero characters
 Fixed - F3 (DW) - not honoring CO-2J setting to hide S/H directories
 Fixed - F7 Autoview - Not resetting when new filespec has no matches
 Fixed - F7 Autoview - Split - mouse file selection not working when right pane active
 Fixed - Filespec - Alt-[ & Alt-] range following a '*' got no matches
 Fixed - History window - PgDn not resetting to bottom of list
 Fixed - sHortcut/Ctrl-H - improved handling of existing file/s
 Fixed - Make dir - ..\ creating new directory under previous, not parent dir
 Fixed - Mark/Copy console text (NT/2K/XP) flashing due to clock thread running
 Fixed - Open - search ZTREE directory only for ext.BAT
 Fixed - Spell Search (DW) - support repeat searching for name with no trailing '*'
 Fixed - Spell Search (Open '|') - Tab caused screen corruption
 Fixed - View - HEX - Search not updating position indicator during search
 Fixed - View - Search repeat at end of file not resetting when no hit on last page

 Version 1.49.0c (11 June 2002)
 ---------------
 Added - Alt-F5 - ARJ - header decoding now done internally
 Added - Alt-F5 - Jar - added prompt for password
 Added - Alt-F10 - CO-5U - File Compare - Ignore 2 second timestamp difference
 Added - Alt-F10 - CO-5V - File Compare - Ignore 1 hour timestamp difference
 Added - DW - Alt-Home to reset height of Small FW (for Scrolling highlight bar only)
 Added - DW - Alt-Up/Down to change height of Small FW (for Scrolling highlight bar only)
 Added - DW - Double click in left border of branch to collapse (F6)
 Added - F7 Autoview - Alt-Left/Right to change width of view window
 Added - F12 - macro directive: STOP - immediate termination of current macro
 Added - F12 mnemonics: ALT_HOME, ALT_LEFT & ALT_RIGHT
 Added - Filter indicator (-) to top-left corner to indicate a filespec is in effect
 Added - FW - mouse double-right-click to View current file
 Added - Rename mask - '\a.b\X.Y\' - convert a to X in name and b to Y in extension
 Added - Treespec - Ctrl-Up/Down to scroll directory tree
 Added - View - Hex Edit - warn if file is read-only
 Added - ZCOLOR.INI - STATS: - set attribute of Matching/Tagged file labels
 Change- Beep now uses MessageBeep()
 Change- Ctrl-F4/B/S/G - tag indicator moved to top-left corner
 Fixed - Alt-F3 - After media change (eg. floppy in A:), spinner did not stop
 Fixed - Alt-F5 - Ctrl-Delete using @list caused corruption of initial FW list
 Fixed - Alt-F5 - Ctrl-Delete using @list in Ctrl-F4 mode not resetting to remaining files
 Fixed - Alt-F5 - Delete/Crtl-Delete - removed password prompt for all but Jar
 Fixed - Alt-F10 - editor/viewer/JFC command changes not prompting for Quit confirmation
 Fixed - Alt-F10 - long editor/viewer/JFC commands not truncated for display
 Fixed - Alt-JFC - not honoring START in command line
 Fixed - Alt-Log (from FW) sometimes lead to GPF
 Fixed - Alt-Log - improved menu prompt to indicate releasing of all drives
 Fixed - Alt-Mirror - Repositioning problem when copying to the end of the current tree
 Fixed - Alt-Prune - Unexpanded branch being visually truncated in attempt to expand it
 Fixed - Alt-Release - (Disk) - F1 help prompts fixed
 Fixed - Alt-Release - FW - (Disk) - GPD after releasing only logged disk
 Fixed - Batch parameters %7 & %j8 not wrapped in quotes under NT when '&' in shortname
 Fixed - Batch parameters %j1,%j2,%j3,%j7 & %j8 not set with other pane in DW
 Fixed - Compare/Alt-Compare - menu not clearing properly, and better display of long names
 Fixed - Copy/Move as - filename not saved to history if Tab used to get current name
 Fixed - Copy as - to current directory - new file displayed with wrong timestamp & size
 Fixed - Ctrl-Copy - existing target file not being untagged
 Fixed - Ctrl-F5 - archive specified with ..\ causing default archiver to be selected
 Fixed - Ctrl-F5 - archive specified with multiple '.' not using extension to default type
 Fixed - Ctrl-F5 - Background execution - restoring screen display when archiving complete
 Fixed - Ctrl-F5 - not parsing :nnn: in archive name
 Fixed - Delete/Move - Not resorting base directory from Ctrl-FW when all files deleted/moved
 Fixed - Edit/Alt-Edit - DW - editor called when no filename supplied
 Fixed - F2 Browse - ,/< not switching to previous drive
 Fixed - F2 Browse - not saving highlight position when switching drives
 Fixed - F7 Autoview - Hex mode sticky between sessions
 Fixed - F7 Autoview - mouse selection of filenames not working consistently
 Fixed - F9 - Menu letter navigation problems beyond first page
 Fixed - F9 - unable to create ZTW_MENU.DAT from scratch in path containing spaces
 Fixed - F9 - #ZTSetQ - problems masking input with * at end of line
 Fixed - F12 - macro entry of ',' caused GPF
 Fixed - F12 - ALT-F7/F8/F9 leaving Alt menu active
 Fixed - F12 - CTRL_B/S/G/RET leaving Ctrl menu active
 Fixed - sHortcut - Set Working directory
 Fixed - sHortcut - unable to create shortcut to path with extended OEM characters
 Fixed - JFC/Alt-JFC - not parsing environment variables in command line
 Fixed - Make directory (Win9x) Not displaying current/parent directory name
 Fixed - Make directory - display bug caused by not truncating trailing backslash
 Fixed - Numpad-5 - DW - problem repositioning first half page of tree
 Fixed - Timestamp handling improved to support full NTFS year range
 Fixed - Treespec - problem when pasting just a drive letter or D: with no backslash
 Fixed - Treespec - Tab didn't complete current path after non-matching character input
 Fixed - Treespec - '\' didn't complete current path after non-matching character input
 Fixed - View/Alt-F5 - better detection of spanned zips
 Fixed - View/Alt-View - DW - viewer called when no filename supplied
 Fixed - View - Gather - menu reset before Gather complete
 Fixed - View - Gather - not refreshing target directory of file on another drive
 Fixed - View - Gather - text not being translated properly for copy to clipboard
 Fixed - View - Hex Edit - Retry option no attempted after save failure
 Fixed - View - Hex  - Search - GPF in certain cases accessing beyond EOF
 Fixed - View - Search - problem dealing with zero-byte file

 Version 1.49 (1 April 2002)
 ---------------------------
 Change- Open - .DBF - launch DBF.BAT in preference to launching ZTW_VdBF.EXE
 Fixed - F7 - Support Shift-Backspace & Shift-Esc to clear spell-search
 Fixed - F8 - FW, Ctrl-F4, TAB, TAB - Control menu forced on
 Fixed - F8 - FW - Alt-R,D,current drive - could lead to crash
 Fixed - F9 menu - Alt-Delete - was updating sibling branch depth
 Fixed - Print - to file with path - not validating existing directory
 Fixed - View - on .exe (SFX) invoking wrong archiver

 Version 1.48l (27 March 2002)
 -----------------------------
 Added - /AUTO - use current console size
 Added - Alt-F5 - F12/Alt-F12 support
 Added - Alt-F5 (with stored paths) - Ctrl-Enter - open FW of tagged files only
 Added - Alt-F10 - CO-1S Refresh directory when file window opened
 Added - Alt-F10 - CO-2A/2B - AUTO setting for current console size
 Added - Filespec - support for <> and inverted forms (-=, -> etc) for date and size specs
 Added - Global FW - F3/Alt-F3 support (refreshes drive of current file)
 Added - Make Directory - support multi-level directory creation (eg. dir1\dir2\dir3)
 Added - Rename directory - confirmation prompt when configured by Alt-F10 CO-4D
 Added - Replace existing file - Alt-JFC command support
 Added - sHortcut - warning when replacing existing file
 Added - Target directory input - TAB paths - toggle between default paths
 Added - View - F1 - 'pop-up' help window
 Change- Clipboard - prevent Ctrl-C/Shift-Ins from copying empty line to clipboard
 Change- DW - '+' on logged directory relogs (loses tags)
 Change- F2 function renamed 'Browse'
 Change- F2 Browse - now maintains 'current' directory per drive
 Change- Numpad 'division' key on German keyboards now returns '/'
 Change- UNZIP32.DLL support updated to v5.5
 Fixed - /ZT - Last treespec - if directory not found, revert to current directory
 Fixed - Alt-Copy - (Branch) - to target on another drive could GPF
 Fixed - Alt-Copy/Move - (Branch) - not logging newly created target directories
 Fixed - Alt-F4 (compare) Identical - crashing in certain cases
 Fixed - Alt-F5 - Alt-Extract - from root of B/S view - 'path not found' under Win9x
 Fixed - Alt-F5 - Ctrl/Alt-Extract - F2 option not overriding RO/S/H existing targets
 Fixed - Alt-F5 - Delete - archive size/timestamp not refreshed after returning to FW
 Fixed - Alt-F5 - Extract - check available target space
 Fixed - Alt-F5 - Extract - not restoring file attributes
 Fixed - Alt-F5 (with stored paths) - not honoring CO-2Q/2R settings
 Fixed - Alt-F5 (with stored paths) - Ctrl-B/S with no tagged files broke subsequent B/S
 Fixed - Alt-F5 - CAB - not parsing date/time/size
 Fixed - Alt-F5 - RAR - extract prompting for non-existent password
 Fixed - Alt-F5 - RAR - not decoding header when archive comments present
 Fixed - Alt-F5 - RAR - unable to extract/View files in password-protected .rar
 Fixed - Alt-F5 - RAR (multi-volume) - extract prompting for non-existent password
 Fixed - Alt-F7/MAX - Center window instead of forcing it top-left
 Fixed - Alt-F7 - now reverts to 80 x 25 when initial size is MAX x MAX
 Fixed - Alt-F7 - fullscreen - restrict to valid 80 column modes
 Fixed - Alt-F10 - F3 - retain current video settings unless changed in Alt-F10
 Fixed - Alt-Log - Tree - not resetting menu after logging aborted
 Fixed - Alt-Release/Disk - CapsLock effecting shifting of drive letters
 Fixed - Alt-Release/Disk - Shifted drive letters not working from a macro
 Fixed - Batch parameter %3 - suppress when '\' and next character in mask is '\'
 Fixed - B/S/G file window - Ctrl-Menu active on entry
 Fixed - Copy/Move (Branch/Showall/Global) - not refreshing FW to show new file in list
 Fixed - Ctrl-Copy/Move - to UNC target - problem validating target paths
 Fixed - Ctrl-Edit - refresh file list to show changes in edited files
 Fixed - Ctrl-Enter - now observes CO-2Q setting (as for Ctrl-B/S/G)
 Fixed - Ctrl-F5 - Global FW - not refreshing FW to show new archive in list
 Fixed - Ctrl-F5 - Problem launching InfoZip under NT4
 Fixed - Ctrl-F5 - Problem launching PKZIPC.EXE when ""s used in PATH setting
 Fixed - Ctrl-Filespec - hanging when retrieving an invalid filespec from history
 Fixed - Ctrl-JFC - problems handling long filenames
 Fixed - Ctrl-Log - not refreshing screen when logging cancelled
 Fixed - Ctrl-Quit - back to original method of overlaying current console
 Fixed - Ctrl-Search - not matching hits wider than 80 chars using wildcard search
 Fixed - Ctrl-Search - ESC from search input caused loss of previous search string
 Fixed - Ctrl-Search - HEX string - not able to find strings containing 00 values
 Fixed - Ctrl-View - file count display wrong after untagging files
 Fixed - Delete/Move last matching file, not abiding CO-2Q setting
 Fixed - DW - Fixed highlight bar - mouse-scrollbar, then keyboard navigation causing GPFs
 Fixed - eXecute - (NT/2K/XP) support to run executables with '&' '(' ')' in name
 Fixed - eXecute - (Win9x) recalculate display setting when switched to fullscreen mode
 Fixed - eXecute - History window not restoring screen contents when closed
 Fixed - Edit/Alt-Edit/View/Alt-View - Query registry key 'App Paths' if program not in PATH
 Fixed - Edit/Alt-Edit/View/Alt-View - Not passing configured command line switches
 Fixed - Edit - Problem launching editor configured with ""s, containing space and '.'
 Fixed - F2 Select directory (/XT) -/+ keys not switching between logged drives
 Fixed - F7 (Win9x in non-standard video modes) - archiver list output corrupting screen
 Fixed - F7 (DW) - screen corruption if directory had no matching files
 Fixed - F7 (DW) - screen corruption if directory had no matching files
 Fixed - F7 - F8 Split mode - date/time was being redisplayed after leaving Autoview
 Fixed - F7 - F1 - Shift menus reverting to to Autoview mode and corrupting display
 Fixed - F7 - F12 SH_ macros not being passed to viewer
 Fixed - F8 (FW) - current tagged files count not kept after unsplitting from right
 Fixed - F9 menu - Alt-Add - input string not positioned correctly
 Fixed - F9 menu - Alt-Delete - not updating child branch depth
 Fixed - F9 Menu - support for long menu entry names
 Fixed - F9 Menu - (Win9x) recalculate display setting when switched to fullscreen mode
 Fixed - F9 Menu - #ZTSET - prompt position not reset after going to line 2
 Fixed - F12 - not shifting lowercase macro characters to uppercase
 Fixed - Filespec - excluded mask combined with date/size not working (eg -*.tmp,=01-01-02)
 Fixed - Filespec - improved support of multiple date/size specifications
 Fixed - FW - 100+ cols - Long filename display not formatting correctly in some cases
 Fixed - History window - prevent navigation when no items in list
 Fixed - History - saving when highlighted default input not changed
 Fixed - JFC - buffer overrun preventing second file being found
 Fixed - JFC - Not launching TFC.BAT containing quoted path to TFC.EXE
 Fixed - Log - support for HP DLA formatted media with no files/directories
 Fixed - Log - support for long pathnames saved by IE causing error [206]
 Fixed - Make Directory - losing file tags in current directory
 Fixed - Make Directory - not detecting name in use for a file
 Fixed - Make Directory - Tab (change case) causing GPF
 Fixed - MAX (Win9x) - screen corruption on startup if console/Font too large
 Fixed - Move - to a different drive - not deleting source file
 Fixed - Move - to same drive under NT/2K/XP - not removing automatically added +A attribute
 Fixed - Print (DW) - printing to drivers caused problems with second header line
 Fixed - Quit - /MAX /Y - close window quickly without restoring original size
 Fixed - Rename (NT/2K/XP) - adding +A attribute despite CO-6B setting of "No"
 Fixed - Replace existing file prompt - not restoring progress-bar display
 Fixed - Spell Search (closed) - Ctrl-Home at last hit indicating End of search
 Fixed - sHortcut - to extensionless file - not adding .LNK to created shortcut
 Fixed - Spell Search (Open FW) - Repeat " from non-match resets first hit position
 Fixed - Spell Search - various consistency fixes
 Fixed - TEMP/TMP/ZTMP - problem verifying when a root specified
 Fixed - Title bar of ZTree window was truncated to 80 characters
 Fixed - View/Alt-View - External viewer - Win9x, using non-standard video mode - FW offset lost
 Fixed - View - Gather (Alpha/Wrap) - of binary data not masking or removing nulls
 Fixed - View - Gather (Hex/Dump) - not terminating lines with CRLF
 Fixed - View - Gather (Hex/Dump) - appending to existing file not separating with CRLF
 Fixed - View - Gather (Hex) - offset column changed from 6 to 8 characters wide
 Fixed - View - Offset % not working correctly for large files
 Fixed - View - trap error trying to view in-use Outlook .PST file
 Fixed - View - Search - menu remained on screen after Esc
 Fixed - View - Search - not highlighting hits wider than screen using wildcard search
 Fixed - View - Search - repeating last search didn't display search menu
 Fixed - View - WRAP - not toggling menu, Tab & Lines settings correctly
 Fixed - View - WRAP/ALPHA not toggling between modes correctly
 Fixed - View - HEX/DUMP (mode detection disabled) not toggling to ALPHA
 Fixed - ZCOLORS.INI - missing color value caused GPF on startup

 Version 1.48k (30 January 2002)
 -------------------------------
 Change- Alt-F10 - Page layout completely revised
 Change- Alt-JFC - calls JFC command as specified in CO-1F
 Change- Alt-Mirror - process branches collapsed by F5/F6
 Change- DW - Backspace - jump to parent directory and finally root
 Change- Log/Ctrl-Log - menus now more descriptive of function
 Change- View - Ctrl-F3 replaces Alt-F3 for Auto-Reload
 Added - /ROWS:MAX - start with window set to maximum height
 Added - /COLS:MAX - start with window set to maximum width
 Added - Alt-Attribute - DW -  F4 Apply to logged subdirectories (y/n)
 Added - Alt-F10 - CO-1S - Swap Log and Ctrl-Log key assignments
 Added - Alt-F10 - CO-2E - Kilobytes displayed as multiples of (1000/1024)
 Added - Alt-F10 - CO-2R - Access to empty file windows
 Added - Alt-F10 - CO-3L - F3 in File window retains cursor position
 Added - Alt-F10 - CO-5D - Display archive list output (View/Alt-View/Autoview)
 Added - Batch parameters - %ja %jd %js - relate to other pane's current file
 Added - F11 Bookmark history - Support for Del key
 Added - F12 - support for keys SH_NUM1 - SH_NUM9
 Added - F12 - support for NUM5 key
 Added - FW - Backspace - switches to FW of parent directory (if permitted)
 Added - View - HEX Edit - Display current byte in hex, oem, ascii, decimal
 Fixed - /OD - command line option was broken
 Fixed - Alt-F5 - Extract from spanned archive not displaying output
 Fixed - Alt-F5 - .RAR - directory entries being logged as 0-byte files
 Fixed - Alt-F9 - SFW - GPF toggling from largest size back to 25 lines
 Fixed - Alt-F12 - File window - command unavailable when no files in list
 Fixed - Alt-I - Version information not being initialized
 Fixed - Alt-K - not showing branch totals when base directory empty
 Fixed - Alt-K - Size - show 0k for directories containing only zero-byte files
 Fixed - Alt-K - Tagged - not refreshing after using Alt-C in DW
 Fixed - Alt-Mirror - problem traversing branch when collapsed with F6
 Fixed - Alt-Mirror - progress bar not initializing properly
 Fixed - Alt-Mirror/Ctrl-Copy/Move - progress bar not updated for replace 'Older'
 Fixed - Alt-Mirror - Target directories with copied +r attribute not shown
 Fixed - Alt-Prune - Branch collapsed with F6 not highlighted after expansion
 Fixed - Alt-Prune - not refreshing Alt-K (tagged) stats when dir not deleted
 Fixed - Alt-Sort - FW not re-sorting all logged directories
 Fixed - B in Dir window caused unlogged branch to be bookmarked
 Fixed - Batch parameters - %j7 & %j8 not returning shortnames
 Fixed - Batch parameters - %j1 - &j8 not returning correct values from Showall
 Fixed - Batch parameters - %j1 - &j8 not returning values in Directory window
 Fixed - Batch parameters - %8 & &j8 returning null value in root Directory
 Fixed - Ctrl-Copy/Move - Progress bar not updating when all files 0 bytes
 Fixed - Ctrl-Edit - From Branch FW - pass filenames using relative paths
 Fixed - Ctrl-Edit - not suspending clock thread
 Fixed - Ctrl-Edit - passing (null) when no quotes required for filename
 Fixed - Ctrl-Edit - truncating filenames passed from Branch FW
 Fixed - Ctrl-F5 - selection of missing archiver lead to error message overflow
 Fixed - Ctrl-F8 (partial untag) - not refreshing file list to remove tags
 Fixed - Ctrl-View - Alt-F7/F8/F9 - screen not restored correctly
 Fixed - Delete/Move causing resorting of all logged directories
 Fixed - Edit - Call 32-bit editor without using command shell
 Fixed - Edit - DW - not passing shortname in %8
 Fixed - Edit - not passing shortname in %7
 Fixed - F2 Select directory - not restoring right-hand stats display
 Fixed - F3 on a collapsed (F6) branch lost collapsed indicator
 Fixed - F3 on unlogged but expanded branch unlogged deeper subdirectories
 Fixed - F7 (F8 Split) - Alt-F7/8/9 - not redrawing tree in other pane
 Fixed - F7 - Alt-F5 - cosmetic problems
 Fixed - F7 - Alt-F7/8/9 - not restoring pathname at top when leaving F7
 Fixed - F7 - deleting all matching files externally caused a lockup
 Fixed - F7 - Filename column width increases with screen width
 Fixed - F7 - getting stuck on an archive that could not be listed
 Fixed - F11 Bookmark history - disable Ins key
 Fixed - Filespec command history - storing duplicate string when CO-4H=Yes
 Fixed - File window - files with long extensions not being formatted optimally
 Fixed - File window - GPF when leaving FW after deleting/moving all files
 Fixed - Filespec - Tab not toggling current filename with mask
 Fixed - FW - Alt-S, then Alt-F7/8/9 - current file position lost
 Fixed - FW - Shift-Numpad-minus on last file did not reposition cursor
 Fixed - FW - Long filename display truncating 3 character extensions
 Fixed - History window - PgUp / PgDn jumping to top/bottom instead of a page
 Fixed - JFC - Not passing %1 to .BATs/.CMDs
 Fixed - JFC - Tab toggle provides second filename as *.BAK
 Fixed - Log - FW - command unavailable when no files in list
 Fixed - Log - FW - logging multiple drives including *current* lead to GPF
 Fixed - New Date/Ctrl-New Date - (Win9x) - +a attribute added with CO3E=No
 Fixed - Open spell search - DW - not handling 'extension' part of name
 Fixed - Open file - adds file to Recent documents list
 Fixed - Open .EXE via EXE.BAT not restoring video settings
 Fixed - Small FW - F8/Alt-F7/8/9 not restoring directory 'pointer'
 Fixed - Small FW - F8 Split - Alt-F7/8/9  displaying wrong branch in other pane
 Fixed - Small FW - Height of window now proportional to main window height
 Fixed - Stats - Slack space not being recalculated when required
 Fixed - View/Alt-View - not calling external archivers configured in CO-1A/B
 Fixed - View - Gather - appending incorrect line termination
 Fixed - View - DUMP - use full width of window for data display
 Fixed - View - DUMP - Search hits not highlighted beyond column 80
 Fixed - View - HEX/DUMP - NULL symbol being translated with Charset toggle
 Fixed - View - HEX EDIT - display correct characters in OEM/ANSI modes
 Fixed - View - JUNK - buffer overrun at end of long file
 Fixed - View - JUNK - Gather not capturing JUNK mode display
 Fixed - View - JUNK - Gather causing GPF in certain cases
 Fixed - View - JUNK - Search hits not being highlighted correctly
 Fixed - View - Search hits with * not highlighted correctly when sub-hits existed

 Version 1.48j (1 January 2002)
 ------------------------------
 Change- Alt-KByte - Added Interactive menu to select options including new Count display
 Change- Alt-KByte - Changed suffix symbols - see F1 help (available now from Alt-K)
 Change- Display 4 character file extensions when wide enough
 Change- Alt-Info - dynamically position info box based on highlight location
 Change- F8 split - (120+ cols) retain time display in 1 column mode
 Change- JFC - Call to TFC v2.23 now passes display columns in %6
 Change- View/Autoview - Do not retain the right-hand stats window for any console width
 Added - Available Disk Space - [N]ext media option for switching removable media
 Added - Batch parameters - %j1 - %j8 in F8 split mode relate to other pane's current file
 Added - Directory stats - display directory Files count when > 25 lines
 Added - F7 AutoView - Alt-F7/F8/F9 video mode commands
 Added - Stats - Display Name Length value
 Added - View - Alt-F7/F8/F9 video mode commands
 Fixed - Alt/Ctrl-Batch - improved logic to add quotes around long filenames
 Fixed - Alt-F5 - setting filespec on entry to zip with stored paths crashed
 Fixed - Alt-F5 - Unable to delete password protected file with PKZIP 4.x
 Fixed - Alt-F5 - Ctrl-Extract/Delete - reverting to 80 columns for 32bit archivers
 Fixed - Alt-F5 - Ctrl-Delete - using shell invocation for 32bit archivers/@list
 Fixed - Alt-F7 - not limiting zoom to max supported 400 x 200
 Fixed - Alt-F8/F9 - window repositioning to incorrect location after max size
 Fixed - Alt-F9 - Not reverting to smaller height when max = standard
 Fixed - Alt-F9 - "Full-screen" - skip invalid modes
 Fixed - Alt-F10, CO1G - did not support entering values up to 400x200
 Fixed - Alt-Graft - problems grafting to an unlogged target
 Fixed - Alt-Graft - Hang grafting to root directory
 Fixed - F7 Autoview - (120+ cols) - tag/untag not updating stats display
 Fixed - F7 Autoview - With CO-3P set to Yes, a missing file caused an endless loop
 Fixed - F7 Autoview - GPF following use of eXecute, Edit etc
 Fixed - F7 Autoview - cosmetic fixes to filename/path display on top line
 Fixed - F7 Autoview - (Shift)Gather - Autoview menu overwritten after marking begun
 Fixed - F8 Split - unsplitting from right pane lost sort current sequence
 Fixed - F9 Menu - Edit Script - visual fixes plus added input line limit
 Fixed - F9 Menu - Edit Script - Not restoring screen when returning to menu
 Fixed - F9 Menu - Edit Script - Edit/Insert line - Ctrl-V caused a GPF
 Fixed - F12 Macro - unable to load a @file containing spaces in name
 Fixed - Filespec with no matches allowed access to file window with CO3P=NO
 Fixed - History - adjusted window sizes
 Fixed - JFC - call TFC.EXE directly when specified in TFC.BAT
 Fixed - JFC - call TFC.EXE with %6 wrapped in quotes ("-aYY,XX")
 Fixed - Log/Esc - from FW - Not dealing with unlogging of current drive properly
 Fixed - Rename directory - prevent inputting of '\' characters
 Fixed - Second running instance of ZTree sometimes used wrong window handle
 Fixed - View - Alt-Edit - menu not reset after launching editor
 Fixed - View - End/PgDn key did not work when file was 1 line taller than window
 Fixed - View - Search - problem highlighting a hit on a line with wide leading tabs
 Fixed - eXecute - TAB - wrap filename in ""s when necessary
 Fixed - eXecute - Win9x - Changing back to standard video mode prior to eXecute didn't reset first console

 Version 1.48i (10 December 2001)
 --------------------------------
 Change- Alt-Batch - now creates ZTMPnnn\ZTW_ABAT.BAT to support !!
 Change- Alt-F10 - Options G - Video mode now supports rows x cols
 Change- Alt-Graft - Allow new target directory to be created for graft
 Change- Stats window - Global file view - hide slack space
 Change- Stats - Distinguish File Statistics in Global mode
 Change- /KBR now *enables* keystroke logging to ZKEYS.LOG
 Change- UNZIP32.DLL - latest 5.42 now included
 Added - /MAX - command line switch - maximize window on startup
 Added - /NOMAX - command line switch - prevent Alt-F7 zoom video
 Added - /ROWS:nn[:nn:nn] - Supported toggles for Alt-F9 screen height
 Added - /COLS:nn[:nn:nn] - Supported toggles for Alt-F8 screen width
 Added - Alt-F5 - Spell Search to archive directory
 Added - Alt-F7 - Video mode zoom to maximize window size
 Added - Alt-F8 - Video mode increase column width (by 20 cols)
 Added - Alt-F10 - Support for space key to toggle current option
 Added - Ctrl-F5 - defaults first matching archiver if extension supplied
 Added - eXecute - Tab key defaults current filename
 Added - F2 select directory - Spell Search functionality (both modes)
 Added - F2 select directory - Treespec support
 Added - F2 select directory - F11 Bookmark history list selection
 Added - Print/Directory functions - included available drive space
 Added - Stats - Display information for /MAX setting
 Fixed - . command line parameter caused unnecessary root logging
 Fixed - /Title command line string being made uppercase
 Fixed - Alt-Batch - occasional focus problems as ZTree resized itself
 Fixed - Alt-F4 - file sort sequence is not restored
 Fixed - Alt-F5 - ARJ/LZH/JAR - not parsing file attributes
 Fixed - Alt-F5 - JAR - not parsing list output correctly
 Fixed - Alt-F5 - Repeat spellsearch " not functional
 Fixed - Alt-I - keep Info window open when hitting the root directory
 Fixed - Alt-Prune - Auto expand branch collapsed by F5/F6
 Fixed - Copy/Move - to logged path that's been removed, failed to create it
 Fixed - Ctrl-Branch - Delete/Move last file did not reset menu
 Fixed - Ctrl-Enter (from Directory) not resetting list offset for display
 Fixed - Ctrl-F3 - auto-refresh locking up if first keypress was not ESC
 Fixed - Ctrl-F5 - filenames passed to JAR/ARJ/RAR should be OEM translated
 Fixed - Ctrl-Ins - Directory window allowed F option which is invalid
 Fixed - Ctrl-Treespec - partially erasing menu when treespec unavailable
 Fixed - Delete directory - Override (R/S/H) attributes not working
 Fixed - eXecute - defaulting current filename regardless of type
 Fixed - F7 - HEX mode - display ASCII column where space permits
 Fixed - F7 - Locked file loop prevented moving to another file
 Fixed - F7 - Shift View menus not resetting after release of Shift key
 Fixed - F8 - not duplicating tagged files from collapsed branches
 Fixed - Filespec - GPF after releasing active branch from other side in F8
 Fixed - Keyboard input - prevent cursor going beyond end of line
 Fixed - Rename - not defaulting to last used Case values on first TAB press
 Fixed - Rename directory - retry after a sharing violation didn't recover
 Fixed - Stats - Slack space not being calculated correctly
 Fixed - Stats - Win9x not displaying correct cluster size for some media
 Fixed - Treespec - from root of collapsed tree GPF'd on Esc
 Fixed - Video mode switching - fixes for 34 & 60 line modes
 Fixed - View - Retry after a read error not opening file when possible
 Fixed - View - Hex edit displays current byte in both HEX and ASCII columns
 Fixed - View - Hex edit - skip confirmation prompt if no changes made

 Version 1.48h (5 November 2001)
 -------------------------------
 Change- Ctrl-F12 - flushes ZSAVE.ZTM upon start
 Added - /KBR - command line switch to (currently) disable zkeys.log
 Added - Alt-Release-Disk - Shift+drive to release multiple drives
 Added - Ctrl-Copy/Move - Tab Change case of each target file
 Added - Ctrl-file functions- replaced 'All' with file count in menus
 Added - Delete directory - Confirmation for RO/S/H when CO-2I not set
 Added - Log - Volumes (Command history) - * Log all tagged drives
 Added - Rename - provide confirmation prompt according to Alt-F10 CO 2L
 Added - View - Ctrl-F12 to start/stop macro recording
 Fixed - Alt-Attributes/Shortcut - menu not reset when Escaping from function
 Fixed - Alt-Copy - with case option - GPF after specifying target directory
 Fixed - Alt-Copy/Move - same path not being truncated for display
 Fixed - Alt-F5 - ARJ output not being parsed correctly
 Fixed - Alt-F5 - View/Extract - incorrectly passing password to PKZIP 4/4.50
 Fixed - Alt-Prune - final directory delete not using Prune Recycle bin option
 Fixed - Alt-Wash - creating multiple temp files on floppy
 Fixed - Autoview - Small filewindow - list offset not adjusted correctly
 Fixed - Bookmark - not dropping root bookmark from released drive (eg A:)
 Fixed - CO-2F - Filespec include date/size in > < range has been reactivated
 Fixed - Ctrl-file functions - set scrolling to page progression for 1 column
 Fixed - Ctrl-JFC - not displaying long names in truncated form
 Fixed - Ctrl-Move (from Ctrl-F4 view) - menu not reset when all files moved
 Fixed - Ctrl-Open did not check for tagged files
 Fixed - Cursor position lost when toggling Fn options in command menu
 Fixed - Error popup - Skip was only working for the last error detected
 Fixed - eXecute - console resizing not needed for 34 line mode under NT+
 Fixed - F2 Select directory - allowed '+' & not F5/F6 on on collapsed branch
 Fixed - F2 Select directory - failing after relogging a disk with larger tree
 Fixed - F3 on a directory removed externally triggered two error dialogs
 Fixed - F8 split - File view on left/relog same drive on right, overwrote list
 Fixed - F8 split - Filespec in window border overwritten lost after eXecute
 Fixed - F8 split - Released drive from other pane continues to show old path
 Fixed - F8 - Tab - problems keeping file position/offset stable after deletes
 Fixed - F12 Macro mnemonic DESCEND - not being parsed
 Fixed - History list - Esc caused cursor to jump to end of input field
 Fixed - JFC / F8 split - Wrong default compare file shown after eXecute
 Fixed - Log disk - F8 Split - Logging new disk from resorted file list GPF'd
 Fixed - Make directory - prevent creation of pathnames too long for system
 Fixed - Move from Branch view - causing a GPF in certain cases
 Fixed - Move/Delete - F8 Split /Tab - loss of file position sometimes GPF'd
 Fixed - Print functions - made Wrap and Margin settings sticky b/w sessions
 Fixed - Quit - cursor position not restored when returning to shell
 Fixed - Rename - First hit of Ctrl-Tab (with CO 3B=Yes) also changed basename
 Fixed - Sticky Toggles (in ZTW.HST) not being saved correctly
 Fixed - Untag from directory with filespec set - tag counter incorrect
 Fixed - View from Autoview -  clock redisplayed on return from View
 Fixed - View - added exception handling for faults in MemoryMappedFile()
 Fixed - View - Mask setting being set even with auto-detection disabled
 Fixed - /ZT - crashed if last treespec entry had invalid drive letter

 Version 1.48g (11 October 2001)
 -------------------------------
 Change- Alt-Copy/Move - normal file window - support for Full/Relative/Current
 Change- Delete - Display file attributes/timestamp etc on menu
 Change- View - Alt-F3 Auto-reload replaces Ctrl-F3
 Added - /B command line option to disable Beeps
 Added - Alt-F12 - Instant replay of last used F12 macro
 Added - Ctrl-F12 - Toggle logging all keystrokes to ZKEYS.LOG
 Added - Ctrl-F12 - Toggle logging all keystrokes to ZSAVE.ZTM
 Added - F9 Menu - #ZTSET prompt now supports environment variable substitution
 Added - File window - Ctrl-F3 - auto-refresh file list
 Added - History lists - F3 to write in-memory command history back to ZTW.HST
 Added - Print/Gather - allow creation of non-existent target paths for new file
 Added - View - Charset option made sticky between sessions
 Added - View - Alt-menu added for Alt-Edit and Alt-F3
 Added - View - F12 macro access
 Fixed - Alt-Copy/Move - from Showall view, displaying files list of target
 Fixed - Alt-Copy/Move - Full/Relative/Current paths were available for Showall
 Fixed - Alt/Ctrl menus did not reset when hit with Shift key
 Fixed - Alt-F5 - Ctrl-Extract - creating stored paths when not required
 Fixed - Alt-F5 - Extract - Password input not hidden using paste & navigation
 Fixed - Alt-F5 - Extract - not replacing read-only existing target file
 Fixed - Alt-F5 - Files not being sorted
 Fixed - Alt-F5 - Unable to open a zip larger than 2Gb
 Fixed - Alt-Graft - improved highlight repositioning after grafting completed
 Fixed - Alt-Graft - improved highlight repositioning for FIXED highlight bar
 Fixed - Alt-Graft - not dealing with target branch being collapsed with F5/F6
 Fixed - Alt-Graft - not dealing with target branch being unlogged
 Fixed - Alt-Prune - Final dir delete not using selected Recycle-bin setting
 Fixed - Alt-Prune - Recycle-bin not defaulting to Alt-F10 option 2D
 Fixed - Alt-Sort - not resorting on current criteria
 Fixed - Alt-View - was broken
 Fixed - Alt-Wipe - unable to wipe more than 4Gb on a FAT32 drive
 Fixed - Arrow indicating curr directory shown in wrong position for long names
 Fixed - Bookmark - [/] lead to deadlock if bookmark had been unlogged
 Fixed - Compare - Binary - No support for Esc to abort function
 Fixed - Copy/Move as - mask using pattern :0000: not formatted correctly
 Fixed - Ctrl-Copy/Move as/Ctrl-Rename - <:001:> mask seq not skipping failures
 Fixed - Ctrl-F4 (show tags)- Untagged files removed from list after a move
 Fixed - Ctrl-F4 - menu reset before release of Ctrl key
 Fixed - Ctrl-Search - search performed even when NUL string entered
 Fixed - Ctrl-View - search hits not being caught in first page of file
 Fixed - Ctrl-View - with 1 file - search stops on same hit twice
 Fixed - Ctrl-View - [P]revious - crashed
 Fixed - Delete - Allowed input of 'A'll which resulted in GPF
 Fixed - Delete - rearranged menu to always show file's timestamp etc.
 Fixed - Delete - Recycle-bin not defaulting to Alt-F10 option 2D
 Fixed - Delete - Skip override confirmation based on Alt-F10 option 2I
 Fixed - Delete Dir - GPF deleting last directory in tree
 Fixed - Delete Dir/Alt-Prune - improved highlight repositioning
 Fixed - Delete/Prune - Recycle-bin option sticky & not defaulting to Alt-F10
 Fixed - Error message popup now wraps long messages onto second line
 Fixed - File window offset not stored between visits, causing unwanted shift
 Fixed - Filespec - setting to match current file lead to crash in F8 split
 Fixed - Filespec - unable to enter a ';' into a filespec even when using ""s
 Fixed - F7 Autoview - not clearing top line for current filename
 Fixed - F8 Split - Tab to other pane in Branch mode retains pathname display
 Fixed - F8 Split - wrong path shown if current dir deleted from opposite side
 Fixed - F8-JFC/Filespec-Tab - opposite pane's current file position gets lost
 Fixed - F9 Menu - Deleting last script line no longer moves highlight up
 Fixed - F9 Menu - #ZTSET prompt was limited to 80 characters
 Fixed - JFC - after a search using a wildcard '*', incorrect filenames passed
 Fixed - Move - (between drives) - Error on source drive reported as target
 Fixed - Move - moving last file of a directory caused a GPF
 Fixed - Paste long string from clipboard into an input field prevented editing
 Fixed - Print/Gather - creation of new target directories not resetting name
 Fixed - Print - Error [53] printing to filename (no path) in root directory
 Fixed - Print - Lines per page - setting of 0 not sticky
 Fixed - Rename - file with no extension shown with trailing '.'
 Fixed - Search - long search strings not displayed correctly
 Fixed - Spell search (DW/closed) - Pressing Enter on hit reverted to previous
 Fixed - Spell search (DW/open) - Displaying End Search message too soon
 Fixed - Treespec (B/S/G mode) - not resetting list offset for single directory
 Fixed - Treespec - refresh list of available drives on entry
 Fixed - Treespec - selecting treespec history using Down arrow invalidated path
 Fixed - View/Ctrl-View - Search string not displayed during search
 Fixed - View/Search - string with multiple '*', second '*' not matching 0 chars
 Fixed - View - clock not being hidden while viewing
 Fixed - View - End key navigating too far when first line of file is blank
 Fixed - View - Gather - Highlight remained after aborting gather
 Fixed - View - Gather - output filename without path not shown in current dir
 Fixed - View - JUNK - End key not showing last character of file
 Fixed - View - Search with wildcard '*' highlighting one character too few
 Fixed - View - subsequent searches not starting at top of current page
 Fixed - View - WRAP - scrolling using Up arrow sometimes locked up
 Fixed - Win9x - keyboard queue clogging with spinner active (Alt-I jumps etc)
 Fixed - ZTMP directories reused if not is use by another instance of ZTree

 Version 1.48f (20 August 2001)
 ------------------------------
 Change- History lists - increased limit to 64 entries
 Change- Stats - Slack Space moved right & calculated for current logged files
 Change- Viewer - F8 Search skip (hit/page) option made sticky for session
 Added - About box - F3 function to allow input of registration code
 Added - Alt-F10 option 4/P - Bookmark ([/]) list wraps at ends
 Added - F2 Select dir - F5/F6 outline commands to expand a branch
 Added - F8 Split - DW - Ctrl-Shift-Tab to navigate up the current branch
 Added - F9 Menu - auto-backup of ZTW_MENU.DAT to ZTW_MENU.DA$ on load
 Added - F12 mnemonics: CTRL_RET & CTRL_ENTER
 Added - Ctrl-Edit - Confirmation when separate editor sessions will be launched
 Added - Print function - progress bar for large jobs
 Fixed - Alt-Copy - not refreshing all target directories
 Fixed - Alt-F5 - Alt-Extract - not refreshing newly added target directories
 Fixed - Alt-F5 - Archive with paths not using CURRPATH setting in Branch view
 Fixed - Alt-F5 - Commands passed to UNZIP32.DLL now use correct codepage
 Fixed - Alt-F5 - Ctrl-Delete - Menu not redrawn when finished
 Fixed - Alt-F5 - Extract - Long names not being compressed for display
 Fixed - Alt-F5 - No error if ZIP utility unavailable for delete functions
 Fixed - Alt-F5 - Showall - Treespec - drop into directory of current file
 Fixed - Alt-F5 - ZIP with paths - dir appeared empty after deleting one file
 Fixed - Alt-F10 - not enabled when filespec had no matches
 Fixed - Alt-Graft - F2 select - menu showed History option and allowed Logging
 Fixed - Alt-Graft - F2 select - preventing switching to current drive
 Fixed - Alt-R - in large file list, releasing another drive lost file position
 Fixed - Bookmarks - (Alt-Left/Right or [ ]) no longer flash at start/end
 Fixed - Bookmarks - Alt-F10 option 4/P not effective in file mode
 Fixed - Bookmarks - Branch bookmark on a different drive became unreachable
 Fixed - Copy/Move - Existing target dirs not refreshed after new files added
 Fixed - Copy/Move - F5/F6 options after editing target dir lost last changes
 Fixed - Bookmarks - Not rolling off oldest entries when adding new
 Fixed - Bookmarks - Return to File or Branch mode as used by each bookmark
 Fixed - Copy/Move - Target path of..\..\ etc not evaluated properly
 Fixed - Copy/Move/Ctrl-F5 - reformatted file info display for existing file
 Fixed - Ctrl-F5 - Archive created from B/S/G file view not shown
 Fixed - Ctrl-F5 - File list offset not restored after function completed
 Fixed - Ctrl-Move - Logging unlogged target directory
 Fixed - Ctrl-Show/Open - lead to corrupted file list
 Fixed - Ctrl-View - Not returning to last viewed file on Esc
 Fixed - Ctrl-Rename - Not properly formatting long names for display
 Fixed - Filespec - Not setting new file position prior to use of F7 Autoview
 Fixed - F2-Select directory - Insert key not expanding branches
 Fixed - F7 Autoview - Display date as well as time
 Fixed - F9 Menu - Handle case of empty ZTW_MENU.DAT
 Fixed - F9 Menu - ZTW_MENU.BAT now written to ZTMP0000 directory
 Fixed - F9 Menu - (dir) - Refreshing current direct when Auto Relog disabled
 Fixed - History lists - Unable to use certain Ctrl-n keys with Numlock on
 Fixed - Insufficient disk space prompt - allow direct entry to Skip or Retry
 Fixed - JFC (F8 Split) - Default current path from B/S/G view of opposite pane
 Fixed - Keyboard input - Paste from clipboard overflowing buffer
 Fixed - Log - Same drive after Branch command lead to GPF due to bookmark
 Fixed - Move - 'A' attribute added to target file when not requested (Win2K)
 Fixed - Move - Caused relog of current dir even when no auto-relog set
 Fixed - Move - (between drives) - Error on source drive reported as target
 Fixed - Spell Search Directory (Closed) - Enter after PgDn went to prev match
 Fixed - Spell Search (Closed) - No default search string unless CO-4A=Yes
 Fixed - Spell search (closed) - Pressing Enter on last hit reverted to first
 Fixed - Stats (/?) - Crash calculating slack space when cluster size unknown
 Fixed - Target directory of ".." adding additional '\' to fullname
 Fixed - Treespec - Allow pasting a full pathname from the clipboard
 Fixed - Viewer - Gather - supply default value of last used file

 Version 1.48e (10 July 2001)
 ----------------------------
 Change- Alt-F10 - Renumbered options on first two pages
 Change- Bookmark command (Alt-Left/Right or [ ]) no longer wrap at start/end
 Change- Ctrl-F4 reverts to normal file display when last tagged file removed
 Change- Ctrl-Up to save current input to history switched to Alt-UP
 Added - Alt-F10 option 4/K - File window paging like directory window (Y/N)
 Added - Alt-F10 option 4/L - Copy/Move "R" Attribute (F5 default) (=R/-R/+R)
 Added - Alt-F10 option 4/M - Copy/Move "A" Attribute (F6 default) (=A/-A/+A)
 Added - Alt-F10 option 4/N - File window Ctrl/Alt-Up/Down to tag/untag
 Added - Alt-F10 option 4/O - Disable file colorization in ZCOLORS.INI
 Added - Alt-F10 - allow page selection by typing page number
 Added - Alt-Sort - Time sort criteria (then sorts on date)
 Added - Ctrl-F5 - rename mask options supported in archive name
 Added - eXecute - Support 'exit' to leave function
 Added - Print/Print options - mouse support
 Added - Alt-Release - full menu added to file window
 Added - Ctrl-Up/Down/PgUp/PgDn - navigation added to file and directory window
 Added - F5/F6 target attribute toggles for independent (R) and (A) control
 Added - F12 mnemonics: ASCEND, DESCEND - Use in Alt-Sort to set specific Order
 Added - F12 mnemonics: SPLIT, UNSPLIT - Set the F8 split to a specific state
 Added - Treespec - Shift-Esc to quit but leave directory current
 Added - ZTEMP environment variable used if found for TEMP, & creates sub-dirs
 Fixed - Alt-eXecute - WinNT+ - Added Title when program name is in quotes
 Fixed - Alt-F5 - Invert/Ctrl-Invert not working properly
 Fixed - Alt-F5 - Extract As - RO file to Netware volume remained in $$$ZT$$$
 Fixed - Alt-F10 - on exit, reposition tree display if screen is made smaller
 Fixed - Alt-Prune - requires branch be fully expanded & logged
 Fixed - Alt-Sort - lost current file position after re-opening file window
 Fixed - Alt-Sort - in empty file window lead to GPF when returning to Dir
 Fixed - History - Ctrl-Numpad-0-9 not working as for Ctrl-0-9
 Fixed - Copy/Move - fixes to logging of new target directories
 Fixed - Ctrl-Copy - command unavailable after using Alt-F2 Format
 Fixed - Ctrl-Copy - Copying to subdirectory of current forced parent relog
 Fixed - Ctrl-Edit - not abiding Alt-F10 option 3D setting
 Fixed - Ctrl-F4 - after untagging all files, then F3, revert to show all files
 Fixed - Ctrl-F4 - after untagging file, next Ctrl-F4 showed all files
 Fixed - Ctrl-F4 - Not returning all files if tagged file didn't match filespec
 Fixed - Ctrl-F4 - tagged-only files - list not refreshed after file operations
 Fixed - Ctrl-Z not toggling directory colorization (based on attribute)
 Fixed - Dir - Ctrl-Left after using mouse to change highlight lead to GPF
 Fixed - Edit command/Batch parameters etc - '&' only wrapped in ""s under NT
 Fixed - eXecute - Support for PATHEXT as executable file types
 Fixed - F2 Select dir - relogging last used drive when when released
 Fixed - F3 - in tree did not refresh attributes of branch directories
 Fixed - F7 Autoview - View file - incorrect Shift menu shown
 Fixed - F8 Split - tags lost from files copied to subdirectory of current
 Fixed - F9 menu - Alt-Move function not repositioning menu offset
 Fixed - File size storage changed to 64bit to support files > 4gb
 Fixed - File window - current directory not refreshed after certain functions
 Fixed - History window not maintaining cursor size under Win9x
 Fixed - Rename - Tab to cycle case - incorrectly converting extended characters
 Fixed - Rename - under Win2K +A attribute being added unconditionally
 Fixed - Rename - current file position lost
 Fixed - Restored Shift-Numpad-1/9 file/directory positioning
 Fixed - sHortcut - Not refreshing directory where shortcut is created
 Fixed - Spell search displayed in border for closed mode when Open disabled
 Fixed - Treespec - Esc not always returning to the original starting directory
 Fixed - Treespec - History update was replacing partially matching entry
 Fixed - Treespec - initial branch caused tree offset to change
 Fixed - Treespec - not saving to history / saving duplicates
 Fixed - Treespec - TAB appends '\' to pathname
 Fixed - Viewer - hanging after repeat search
 Fixed - Viewer - improved error reporting for unreadable files
 Fixed - Viewer - Hex edit - no error message when changes could not be saved
 Fixed - Viewer - Repeat Reverse search after manually going End missed hits
 Fixed - Viewer - Search - incorrect highlighting when hits wrapped across line

 Version 1.48d (5 May 2001)
 --------------------------
 Change- Alt-Copy/Move/Mirror - Changed paths order to Full/Current/Relative
 Change- Alt-Mirror replaces Alt-Duplicate
 Change- File window - F3 refresh now holds position if Alt-F10 CO 3/M = Yes
 Change- Filespec - support for >= and <= - replaces use of CO-2L
 Change- Trashcan (delete option) changed to Recycle Bin
 Change- Treespec (\) from B/S/G file list jumps to normal file list
 Change- Viewer - ASCII mode relabeled to ALPHA
 Change- Viewer - F5 hit/page searching - moved to F8 (to allow Shift-F8)
 Change- ZCOLORS.INI - PARTPATH changed to CURRPATH to match term Current Path
 Added - Alt-Copy/Move - Preview target path options (Full/Current/Relative)
 Added - Alt-F2 Format - launch ZFORMAT.BAT if found
 Added - Alt-F5 - Ctrl-Ins - copy path/filenames to clipboard
 Added - Alt-F5 - Open archive with paths, support for F5 & F6
 Added - Alt-F10 option 4/H - F9 Menu - Enter - run & leave menu (or Ctrl-Enter)
 Added - Alt-F10 option 4/I - eXecute - Enter - run & quit command
 Added - Alt-F10 option 4/J - Partial untag only successful operations
 Added - Alt-F10 support to File window
 Added - Branch/Showall - F3 to refresh file list
 Added - Ctrl/Alt-Up/Down to Alt-F5 file list to tag/untag to top/bottom
 Added - Ctrl-Edit - Confirmation for more than 5 tagged
 Added - Ctrl-Open - File menu - Open all tagged files
 Added - CTRL_[ & CTRL_] as macro mnemonics
 Added - Ctrl-; - alias for Ctrl-\ - last treespec
 Added - Delete directory/Prune - Trashcan support for Directories
 Added - F9 script directive - REM #ZTSet VAR "Prompt for input:"
 Added - F9 script directive - REM #ZTSetQ VAR "Prompt for password:"
 Added - F9 script directive - REM #ZTInclude Text to include in the .BAT
 Added - F9 script directive - REM #ZTIfDir Text to include if in the Dir window
 Added - F9 script directive - REM #ZTSecure delete ZTW_MENU.BAT when done
         (Note: '::' may be substituted for 'REM')
 Added - Treespec (\) to file menu
 Added - Viewer - F5 - toggle between hit/page searching
 Added - Viewer - Gather - F4 option to enter CLIP:
 Added - Viewer - Offset - support for '%' in Alpha/Wrap modes
 Added - Viewer - Search - F5 option to toggle by hit/page movement
 Added - Viewer - Shift menu for auto-scrolling options
 Added - Viewer - Tab/BTab - toggle tabs through 2-4-6-8 space width
 Fixed - /XT - -/+ (non-Numpad) keys not working from file window
 Fixed - /? - command line options updated
 Fixed - (right)Alt-# not retrieving marked history item
 Fixed - Alt-F2 Format - Set focus to format dialog
 Fixed - Alt-F5 - Extract/View - UNZIP32.DLL support for [] in names
 Fixed - Alt-F5 - F1 for help causing GPF
 Fixed - Alt-Graft - Offset calculation problem for scrolling highlight
 Fixed - Alt-Graft - tree not relinked properly if a directory was renamed
 Fixed - Alt-I - various problems with F7 and F8 modes
 Fixed - Alt-Mirror - Directory of source branch used as target caused loop
 Fixed - Alt-Mirror - not creating empty directories until relogged
 Fixed - Alt-Move - all files - not restoring sort Path option (off)
 Fixed - Alt-Q from file list with no matching files caused GPF
 Fixed - Alt-Release/Branch - Not working when Alt-F10 option 4/B was set 'Yes'
 Fixed - Autoview - Shift-Numpad-minus not working
 Fixed - Bookmarks from Branch view not kept after Esc
 Fixed - Branch window - files Copied/Moved to current branch not shown
 Fixed - Closed file search-spell- " repeat with no input or history GPF'd
 Fixed - Ctrl-Edit - GPF when command-line limit reached
 Fixed - Copy/Move As - to long name, causing GPF
 Fixed - Copy/Move As - filename input moved to next line
 Fixed - Ctrl-Batch  - prevent getting shortname unless %7 or %8 are used
 Fixed - Ctrl-Edit - ignoring [SFN] editor configuration option
 Fixed - Ctrl-F4 - tag shown in stats area after filespec change
 Fixed - Ctrl-F4 - not resetting if filespec set prior to Ctrl-F4
 Fixed - Ctrl-Search - problem finding text across 64K boundary
 Fixed - Cursor input position incorrect if F1 Help invoked, then searched
 Fixed - Directory window - F1 not positioned to correct offset in ZTW.HLP
 Fixed - Filespec from Ctrl-Enter/B/S/G - dropping out of tagged-only display
 Fixed - Filespec - splitscreen, no active file in other pane causing GPF
 Fixed - F1/Edit - Trying to edit the help file (ZTW.HLP) caused GPF
 Fixed - F1 Help - force mask option off in viewer
 Fixed - F5/F6 - tree refreshing problem copying files to collapsed branch
 Fixed - F3 from tree not traversing branch to refresh all levels
 Fixed - F7/Alt-I - Esc/Enter closed F7 instead of Alt-I
 Fixed - F7 - Alt-I window now remains open when navigating files
 Fixed - F8 - Move/Delete,Tab,Tab losing file position
 Fixed - F9/eXecute/Open etc - reset console size after execution
 Fixed - F12 - loading a @macro file containing blank lines caused GPF
 Fixed - History window toggling insert cursor to underline from block character
 Fixed - Move - improved performance by removing redundant API calls
 Fixed - Open - change for extended ANSI name problems
 Fixed - Open Dir/File Search-Spell - allow adding non-matching characters
 Fixed - Print/Catalog of tagged files - 8.3 names line too long
 Fixed - Prune - Ignore 'file not found' errors
 Fixed - Rename - Tab (name+extension) with 1 char extension went AWOL
 Fixed - Rename file case change does not add +A
 Fixed - sHortcut/Open/eXecute - not honoring auto-relog prevention option
 Fixed - Spell search - removed additional ding at end of list
 Fixed - Stats window (?) - increased display length for Volume name
 Fixed - Stats window (?) - Show slack space when drive manually logged
 Fixed - Tree display not coloring r/o directories properly in split mode
 Fixed - Viewer - Autoview - Shift-menu not refreshing for Mask/OEM toggles
 Fixed - Viewer - Charset option defaults to OEM, toggle to ANSI
 Fixed - Viewer - Ctrl-F3 - spinner not being activated/deactivated properly
 Fixed - Viewer - End key not moving to last line when no terminating CR/LF
 Fixed - Viewer - Error generated opening a zero-length file
 Fixed - Viewer - F1 Help display forces ASCII/OEM mode
 Fixed - Viewer - Gather - Prepend two blank lines when appending to file
 Fixed - Viewer - Gather appending random data to end of copied text
 Fixed - Viewer - Gather truncating last character of last line
 Fixed - Viewer - Improved mode detection for binary files
 Fixed - Viewer - Line display disabled for JUNK mode
 Fixed - Viewer - Not trapping file open errors when using /O switch
 Fixed - Viewer - Search - Not updating progress-bar at regular interval
 Fixed - Viewer - Search at EOF with multiple hits shown highlights first
 Fixed - Viewer - Shift-F2/F6 autoscroll - not stopping at end of file
 Fixed - Viewer - Shift-F2 - Shift-F6 - tuned scrolling delays
 Fixed - Viewer - Tab setting not initializing from old 4/8 values
 Fixed - Viewer - Wrap mode was wrapping 80 column lines
 Fixed - Viewer - Wrap mode - Line function now shows correct actual line
 Fixed - Viewer - WRAP - END key not always positioning correctly to last line
 Fixed - Viewer - WRAP - problem scrolling up with long lines
 Fixed - Viewer - WRAP - search hit on very long line positioned incorrectly
 Fixed - Viewer - WRAP - wrapping incorrectly based on character in column 80/81
 Fixed - Viewer - Unable to view small files locked by other apps
 Fixed - Washdisk - unable to cancel with Esc
 Fixed - .ZTM - Macro processing not handling CR/LFs for multiple lines

 Version 1.47u (13 February 2001)
 --------------------------------
 Added - Alt-F5 - Extract - support for extract As "new filename"
 Added - Alt-F10 - p4/G - Option to begin Ctrl-View at current file
 Added - Branch command now adds current directory to bookmark list
 Added - CTRL_TAB  - to supported macro key definitions
 Added - Default icon to .exe
 Added - New date for directory - only works under NT/2000 - sorry!
 Fixed - '-' collapse branch - not working on hidden (F6) branches
 Fixed - Alt-F3 - Alt menu not reset when refresh takes a long time
 Fixed - Alt-F5 - ARJ header processing not correct
 Fixed - Alt-F5 - Extract - problem with UNZIP32.DLL extracting to root dir
 Fixed - Alt-F5 - Extract As - offer current name as default (or with Tab)
 Fixed - Alt-Graft - problem relinking tree when prior branch was collapsed
 Fixed - Alt-Prune - prevent attempt to delete root directory
 Fixed - Copy - source file timestamp not always copied to target file
 Fixed - Ctrl-Copy - current dir not refreshed when copying files to it
 Fixed - Ctrl-Delete - Refreshed file list displayed on error
 Fixed - Ctrl-F5 /View archive - didn't work if TEMP name contained spaces
 Fixed - Ctrl-Rename - mask of *. left trailing '.' in display before refresh
 Fixed - Ctrl-V/Shift-Ins - paste from clipboard truncated string
 Fixed - Ctrl-V/Shift-Ins - paste from clipboard - do OEM translation first
 Fixed - Ctrl-View - Ctrl-F8 not untagging viewed files
 Fixed - Ctrl-View - Not positioning to correct page after Esc
 Fixed - Delete - Trashcan option - didn't support names with extended ASCII
 Fixed - Edit command input - Tab to default current filename
 Fixed - Error popup showed path from a previous error once Skip was used
 Fixed - F2 point - drives read when Alt-F10 'prevent auto-relogging' set
 Fixed - F2/F4/F5 made inactive during string input when not functional
 Fixed - F3 - list not refreshed when all files deleted externally
 Fixed - F3 (dir) - not relinking branch correctly after external deletions
 Fixed - F5 - Not collapsing initially if one directory unlogged
 Fixed - F5 - Preventing collapsed directories working for Ctrl-T/U
 Fixed - File positioning problem deleting files externally above current
 Fixed - Move - failed move across drives not removing aborted new file
 Fixed - Move - file moved to collapsed branch removed collapsed marker
 Fixed - Move - in-use file to same drive - displayed 'not found' error
 Fixed - Prevent logging of created dirs for copy/mode when no auto relog
 Fixed - Print/Print to/Tab - not cycling through all available selections
 Fixed - Print - Windows Drivers - old style Dialog being called behind ZTree
 Fixed - Rename/Tab - keep Name & Extension case in step
 Fixed - Scrollbar arrows showing up/down arrow before first/last item
 Fixed - Split - filemask display in border overwritten with line character
 Fixed - View - Gather to CLIP: causing directory refresh
 Fixed - View - Gather - copying first character from line beyond end point
 Fixed - View/Alt-View - Directory - Causing GPF on second try
 Fixed - Viewer/Offset - setting history item permanent truncated ZTW.HST
 Fixed - Viewer - display spinner as file is being accessed and loaded
 Fixed - View/Alt-View - Directory - External viewer not passed filename

 Version 1.47t (2 January 2001)
 ------------------------------
 Added - Alt-Log (dir) - 1-9 levels
 Added - Error popup - mouse support for options
 Added - Alt-F10 - F4 color setup - Alt-F3 to reset to factory colors
 Added - SH_NUM- to available macro key mnemonics
 Fixed - Alt-Copy/Move - left Sort path option set on
 Fixed - Alt-F4 (Compare) - Identical - certain scenarios lead to GPF
 Fixed - Alt-F5/Extract to current branch with paths lead to GPF
 Fixed - Alt-I - file window - GPF retrieving version when no language info
 Fixed - Alt-Left bookmark toggled only between last two entries
 Fixed - Alt-Log/Branch - not working when Spell Search '*' option enabled
 Fixed - Copy/Move - on error, target drive always reported
 Fixed - Copy/Move - replacing existing file that was tagged didn't untag it
 Fixed - Ctrl-C/Ctrl-V clipboard functions were inoperable
 Fixed - Ctrl-F4 - not resetting to all files after all files untagged
 Fixed - Ctrl-F4/F8 Split screen - Tab between panes lost Ctrl-F4 state
 Fixed - F3 not refreshing empty directories
 Fixed - F8 - not redisplaying current spell search string
 Fixed - F9 - Alt-Edit - Tab wrapped beyond last entry
 Fixed - F9 - Alt-Edit - insert, then Esc caused last line to repeat & crash
 Fixed - F9 - GPF on loading menu after saving a script with blank lines
 Fixed - Filespec - corrupting saved setting for Rename case toggle
 Fixed - Error popup - wrapped long pathname within error box
 Fixed - Log - Esc did not remove Log menu from Dir window following F3
 Fixed - Macros - Alt-0 - Alt-9 not hitting Enter after retrieving history
 Fixed - Mouse - clicking in tree from small file window escapes to tree
 Fixed - Move/Ctrl-Move - Autoview - locked when all matching files moved
 Fixed - Print - to UNC printer name, was prefixing with drive letter
 Fixed - Print/Catalog of tagged files - prevent filename truncation
 Fixed - Print/Tree - pathnames no longer truncated
 Fixed - Print/Windows drivers - heading lines were overlapping
 Fixed - Rename Directory - Retry on error, did not actually retry
 Fixed - Treespec - allow from empty file window (no files or no matches)

 Version 1.47s (22 November 2000)
 --------------------------------
 Added - '|' function - 'closed' Spell file/directory searching
 Added - Alt-F10 option for 'open' Spell file/directory searching
 Added - Alt-F10 option to maintain file position after Alt-Sort
 Added - Alt-F10 option to prevent Ctrl-Copy/Move prompt for empty target
 Added - Alt-F10 option to prevent auto-relogging after leaving file window
 Added - Alt-F10 option to Show Edit command prompt before launching editor
 Added - Alt-F5/Ctrl-Delete from ZIP now supports @list (see ARCHIVER.BB2)
 Added - Ctrl-Enter - (Dir) display only tagged files in current directory
 Added - Ctrl-Space - (Dir) replaces directory navigation of Ctrl-Enter
 Added - Directory view - Shift-Numpad-Minus - remove branch from display
 Added - F7 Autoview - Shift menu now shown for View commands
 Added - Log - Volumes list - allow drive letter typing to select drive
 Added - Stats window - </> (,/.) select drive
 Added - ZTW.HST - saved history format now uses CR/LF line termination
 Fixed - '|' File function - added Shift-Esc to cancel to anchor file
 Fixed - Alt menu not reset when hitting Alt-Space for console menu
 Fixed - Alt-A - Directory window - showing random date in timestamps
 Fixed - Alt-F10 - pass path of current ZTW.INI to ZTW_CFG.EXE
 Fixed - Alt-F5 - Branch/Showall view - support Treespec '\' to jump to dir
 Fixed - Alt-F5 - Entering a stored directory numerous times lead to GPF
 Fixed - Alt-F5 - Long archive names being truncated in stats window
 Fixed - Alt-F5/Ctrl-Delete from ZIP not using LFNs when supported
 Fixed - Alt-Info - not retrieving version info for non-English resources
 Fixed - Alt-Left/Alt-Right - remove unavailable bookmarked directories
 Fixed - Alt-Sort - Descending/Path (on), directories being reverse sorted
 Fixed - Alt-Sort - not maintaining file position for B/S/G views
 Fixed - Copy (with /API) not able to set timestamps when source was RO
 Fixed - Copy/Move file - added check for complete pathname length
 Fixed - Copy function sometimes unable to set all target file timestamps
 Fixed - Ctrl-',' & Ctrl-'.' - moved to Alt-LeftArrow & Alt-RightArrow
 Fixed - Ctrl-B/S/G - with /XT switch - +/- not switching drives
 Fixed - Ctrl-F - initially inserting second-last used filespec
 Fixed - Ctrl-F - not switching filespecs when last one delimited with spaces
 Fixed - Ctrl-F5 - GPF after refreshing directory with many files
 Fixed - Ctrl-F5 - Removed relative path option for showall/global file modes
 Fixed - Ctrl-F5 - didn't maintain position for archive creation in current dir
 Fixed - Ctrl-Log - restoring last used view of current drive, not new drive
 Fixed - Ctrl-Volume - limit volume name to 11 characters on all but NTFS
 Fixed - Ctrl/Alt-Copy/Move - path option of 'partial' changed to 'relative'
 Fixed - Cursor position set to bottom-right corner in some cases
 Fixed - Directory bookmark Alt-Left/right not returning in MRU order
 Fixed - Directory bookmark no longer set by simply expanding a directory
 Fixed - Directory tree truncated after an error trying to log branch
 Fixed - Enter to view attempted after last file in directory is deleted
 Fixed - eXecute -  Prevent parsing !! to attempt newline insertion
 Fixed - eXecute -  command removing all files lead to positioning crash
 Fixed - F2 Select directory - implemented basic mouse support
 Fixed - F3 in branch - not removing all deleted subdirectories
 Fixed - F7 - not refreshing view for current file after a delete/move
 Fixed - F7 in Split mode - not clearing directory name on top line completely
 Fixed - F7 was logging unlogged directories
 Fixed - F9 Menu - certain stored information from XTG_MENU.DAT lead to GPF
 Fixed - F9 Menu - implemented basic mouse support
 Fixed - F9 Menu - not correctly saving/restoring highlight position
 Fixed - F9 Menu - not refreshed after renaming item in the script
 Fixed - F9 Menu - support increased to 1024 entries
 Fixed - File list (sorted descending) lost after deleting a file in split mode
 Fixed - File logging was limited to 65535 files per directory
 Fixed - File view not reset when relogging current drive
 Fixed - Filespec - GPF after moving all matching files between split screen
 Fixed - Filespec - GPF following redraw of more than a full screen of files
 Fixed - Filespec - GPF if entered filespec had no terminating '"'
 Fixed - History (ZTW.HST) being corrupted in certain cases
 Fixed - History - Esc no longer clears default input value
 Fixed - History - Save function didn't support 256 character entries
 Fixed - Invert/Filespec - displaying "No files", not allowing second usage
 Fixed - Left arrow in branch after clicking with mouse below fixed bar - GPF
 Fixed - Log disk - old pathname display not cleared as new drive logged
 Fixed - Long filenames in Stats section were not formatted correctly
 Fixed - Print/catalog of tagged files - extended filename width
 Fixed - Print/directory-Print to: filename of '\name' not using current drive
 Fixed - Print/Print to: - Shift-Tab to cycle backwards through printers
 Fixed - Redesigned stats formatting to support larger numbers
 Fixed - Relog current drive from file window lead to GPF
 Fixed - Rename/Ctrl-Rename - GPF if no files then matched filespec
 Fixed - Rename/New date - not honoring setting to prevent addition of +A attr
 Fixed - Search for blank hex string found all 00 bytes
 Fixed - View an archive with no supporting utility gave no error and blank view
 Fixed - Viewer - problem highlighting search hits in extremely long lines
 Fixed - Viewer - search in ASCII mode with only one line and no EOL hanging
 Fixed - Wash Disk - last partial block of 32K not being washed

 Version 1.47r  (5 September 2000)
 ---------------------------------
 Added - '[' & ']' - jump to last 10 accessed ('bookmarked') directories
 Added - Ctrl-',' & Ctrl-'.' as aliases for '[' & ']'
 Added - Ability to open empty directories, and stay in an empty file list
 Added - Ctrl-Enter - in any input field adds current string to history
 Added - Ctrl-[ - delete current directory bookmark
 Added - Ctrl-] - delete ALL directory bookmarks
 Added - Alt-F10 option to allow access to empty directories
 Added - Alt-F10 option to maintain file position in each directory
 Added - Alt-F10 option to maintain last file view for each drive
 Added - Viewer - maintain mode between sessions (disable auto-detect = yes)
 Fixed - Alt-F4 - Compare Newer - problem when only two files in list
 Fixed - Alt-F5 - Allow Alt-S to sort all directories within the open archive
 Fixed - Alt-Release/current Drive - from file window, switch to next drive files
 Fixed - Alt-Release/other Drive - from B/S/G file window, refresh file list
 Fixed - Alt-Release/other Drive - from normal file window, remain in list
 Fixed - Ctrl-F4 - Branch view when no tagged files caused GPF
 Fixed - Ctrl-F4 - Not resetting from an empty B/S/G file list
 Fixed - Ctrl-F7/F8/F9 - not refreshing Alt-K stats
 Fixed - Ctrl-file functions - changed scrolling to page progression
 Fixed - Ctrl-sHortcut - target directory not relogged
 Fixed - Ctrl-JFC - tagged file check was counting files not matching filespec
 Fixed - Ctrl-Move - Moving all files to a subdirectory caused a relog
 Fixed - Ctrl-Rename - B/S/G view - sometimes causing a GPF after renaming
 Fixed - Ctrl-View - 'U'ntag more than the number of tagged files caused GPF
 Fixed - Ctrl-Volume - removed confirmation prompt
 Fixed - Ctrl-V/Shift-Ins - paste from clipboard - position cursor at end
 Fixed - Delete directory - added Alt-Prune reference to error message
 Fixed - F5 - branch with released files does not expand after being collapsed
 Fixed - F5 - allow expanding of branches with only one subdirectory
 Fixed - F6/* (log branch) - counting file stats multiple times
 Fixed - F7 Autoview - small file window should zoom to large file window
 Fixed - F7 Autoview - Problems with empty file list
 Fixed - F8/Ctrl-L/Filespec - causing a GPF under certain conditions
 Fixed - F8 - right side active, mouse click on left of menu caused Tab
 Fixed - F12 - macro - last character lost from .ZTM when no terminating CR/LF
 Fixed - Filespec - maintain current file position if it matches new filespec
 Fixed - Mouse clicks during keyboard input returned random characters
 Fixed - Replace file prompt - showing incorrect timestamp
 Fixed - Rename - Tab not defaulting current name (with Alt-F10 option 'W' off)
 Fixed - Rename - return directly to new name prompt if renaming fails
 Fixed - sHortcut - using '.' as a target directory caused GPF
 Fixed - Treespec - appending additional '\' to root directory
 Fixed - Treespec - append '\' to current pathname by default
 Fixed - Viewer - Fixes to support extremely long lines in ASCII mode
 Fixed - Viewer/Gather - highlighting not removed after gather completed
 Fixed - Viewer/Gather - Ctrl-C (gather to clipboard) broken
 Fixed - Viewer/Gather - writing more data than size of file in cases
 Fixed - Viewer/MASK - not checking mode when auto-detect = no
 Fixed - Viewer/MASK - still defaulting when auto-detect = no
 Fixed - Viewer/Search - ASCII - support HEX searching
 Fixed - Viewer/Search - added 'in BACKWARD direction' to end message
 Fixed - Viewer/Search - Prevent default value showing when highlight on
 Fixed - Viewer/Search - Prevent default value showing when highlight on
 Fixed - Viewer/Search - F2/F4 toggles clearing input (when highlight on)
 Fixed - Viewer/WRAP - problem scrolling up beyond a 79 byte line

 Version 1.47q - Not released
 ----------------------------

 Version 1.47p (3 August 2000)
 -----------------------------
 Added - F3 in file menu - maintain file position if Alt-F10 option set
 Fixed - Ctrl-Extract to current directory - GPF after Esc from Alt-F5
 Fixed - Ctrl-F5 - Archive name containing '&' required enclosing in ""s
 Fixed - Ctrl-Function - highlight bar not returned home correctly
 Fixed - F3 in file menu - losing tags
 Fixed - F8/F7 on right panel - display pathname from right panel
 Fixed - File menu - Prevent Ctrl+Alt+Up/Down invoking tagging functions
 Fixed - Print - Tree - Not printing tagged file stats in header
 Fixed - Print - Tree - Crash when Alt-K setting active
 Fixed - Viewer - unable to scroll up a Wordpad file in ASCII mode

 Version 1.47o (31 July 2000)
 ----------------------------
 Added - /T command line switch to append console title (/T"[%COMPUTERNAME%]"
 Added - Alt-F10 - option to Restore file position after Ctrl-function
 Added - Alt-F10 - option to select Viewer - Search hit mode - page/hit
 Added - Ctrl-Batch - Prompt to replace existing batch file
 Added - Ctrl-Dir menu - Filespec, Quit, Treespec
 Added - Ctrl-Edit - to (Ctrl) file menu
 Added - Dir menu - Treespec
 Added - Viewer - F3 function to refresh file view
 Fixed - Alt-Info - redesigned window borders
 Fixed - Alt-Info - spinner invoked for each file
 Fixed - Alt-Copy/Move - non-existent target generated error
 Fixed - Alt-Prune - Alt-K stats not cleared for parent directory
 Fixed - Alt-F5/View/Hex or Dump caused a GPF
 Fixed - Alt-F5/Alt-Extract -  not properly refreshing target branch
 Fixed - Alt-K - tagged files mode suppresses 0s, and rounds up to next 1K
 Fixed - Alt-Release/Disk - Esc from logging one drive didn't prompt to Quit
 Fixed - Alt-Quit - Causing GPF
 Fixed - Ctrl-Batch - line buffer was too small
 Fixed - Ctrl-Search/View-Search - F2/F4 cleared current search input
 Fixed - Ctrl-Copy/Move - For full target, Skip & new destination broken
 Fixed - Directory highlight lost tagging/untagging last directory in tree
 Fixed - Error message for 'Skip' overlaying existing text
 Fixed - F2 Point - not ignoring CapsLock state of keyboard
 Fixed - F2 Point - history window occasionally popping up after Enter
 Fixed - F5 collapse branch inoperative if any subdirectories unlogged
 Fixed - F5/F6 - collapsed directories not being restored with Alt-S
 Fixed - F8 - mouse click on menu commands only switching panes
 Fixed - F8 - S/B/G - "tree:*.*" displayed until filespec changed
 Fixed - F8/Tag/Ctrl-F4/Ctrl-Untag/Tab/Tab - file list lost
 Fixed - Print - prevent output of page number when no headers
 Fixed - Print - added tagged file totals to header
 Fixed - Viewer - Prevent redrawing after pressing an invalid function key
 Fixed - Viewer/Edit - unable to edit RO file with correct Alt-F10 setting
 Fixed - Viewer/Search - Pressing '-' at end of file going to top, not last hit

 Version 1.47n (1 July 2000)
 ---------------------------
 Added - Alt-F10 - Color setup - support for left/right arrow selection
 Added - Alt-F10 - Highlight bar to select options
 Added - Alt-F10 - Rename Tab mode option for name + extension
 Added - Alt-F10 - Tree display - condensed width
 Added - Alt-F10 - Viewer - disable display mode detection option
 Added - Ctrl-Ins - With/nO Paths option for Tagged files
 Added - Ctrl-Search - Display number of hits during search
 Fixed - Alt-F9 in file window causing directory highlight to be wrong
 Fixed - Alt-View - prevent archiver listing display
 Fixed - Arj header support made external for new format
 Fixed - Alt-Duplicate - Progress bar now calibrated for branch total
 Fixed - Alt-Duplicate - Unable to abort with Esc key
 Fixed - Alt-Prune - unable to abort with Esc key
 Fixed - Copy/Move - stack corrupted using target name with long extension
 Fixed - Copy/Move - target filename display overwritten by F5 option
 Fixed - Ctrl-Batch - format of size (%s) parameter expanded
 Fixed - Ctrl-F5 - force filenames in ZTW.$$$ to OEM charset
 Fixed - Ctrl-Ins - Dir window - added trailing '\' to Path name
 Fixed - Ctrl-JFC - Compares one tagged file with current file
 Fixed - Ctrl-View/Search - Unable to abort with ESC key
 Fixed - Ctrl-Volume - allow volume name to be entered in lowercase
 Fixed - Directory coloring for attribute not being maintained
 Fixed - Directory tree - extended display for deep branches
 Fixed - F8 Split - wrong drive tree shown after small window access
 Fixed - Filespec - GPF after using Branch with no matching files
 Fixed - Filespec - stored filespec as entered in history
 Fixed - Filespec - TAB on file with no extension caused GPF
 Fixed - Loss of directory position exception after using F2 point
 Fixed - Mouse click at bottom of fixed tree in split mode caused error
 Fixed - Print - limited device input field led to GPF
 Fixed - Treespec - Not expanding a collapsed branch
 Fixed - Viewer - Archive - allow switch to HEX/DUMP for archive itself
 Fixed - Viewer - Archive - display name of archive instead of list file
 Fixed - Viewer - DUMP mode search wrapping over line not colored
 Fixed - Viewer - Gather from last line of file caused GPF
 Fixed - Viewer - Hex Edit - cursor allowed to go beyond last byte
 Fixed - Viewer - Ruler for DUMP mode made a hexadecimal scale
 Fixed - Viewer - Search - reverse repeat search endless loop
 Fixed - Viewer - Wildcard searching stopping at invalid hits
 Fixed - Viewer - WRAP mode search highlighting at end of line
 Fixed - Washdisk - Ctrl/Alt keys overwritten menu area
 Fixed - eXecute - Crash trying to 'CD'  to a different drive

 version 1.47m (3 June 2000)
 ---------------------------
 Added - 28 line support (windowed) - /8 from command line
 Added - Alt-F10 - Clipboard pasting (Ctrl-V/Shift-Ins) into input fields
 Added - Alt-F10 - Color configuration for Tree and viewer search hits
 Added - Alt-Info - Allow View function while info window open
 Added - Alt-Kbyte - new toggles to display tagged size per directory
 Added - Alt-Sort - Length option to sort by filename length
 Added - Viewer - Ruler - HEX and DUMP mode rulers
 Fixed - Alt-F5 - Extract/View - improved OEM character handling for names
 Fixed - Alt-F5 - If not a real .ZIP, subsequent Delete failed due to lock
 Fixed - Alt-F10 - Redesign of color configuration commands
 Fixed - Alt-Kbyte - directory highlight bar made full width
 Fixed - Alt-Sort - spinner now displayed during sorting operation
 Fixed - Alt-Tab - Alt menu displayed switching sessions when operation active
 Fixed - Alt-View - directory view - GPF when Alt-Viewer configured
 Fixed - Esc key inactive switching back to ZTree from another session
 Fixed - Ctrl-Batch - problem when using long masks
 Fixed - Ctrl-Volume - Cursor missing for confirmation prompt
 Fixed - F2 - Select directory - save last position between uses
 Fixed - F7 Autoview - viewing failed after viewing a zero length file
 Fixed - F9 - Alt-Add item, Esc, End, Alt-Add item - GPF
 Fixed - F9 - highlight position not always maintained between uses
 Fixed - Filespec - Tab key inserts current filename if available
 Fixed - sHortcut - target path only being defaulted for first use
 Fixed - Macro - ALT_D returning PgDn
 Fixed - Print - Tree - allow unlimited width when printing to file
 Fixed - Print - Tree - Alt-Kbyte stats moved to beginning of line
 Fixed - Quit - Confirmation menu not responding to mouse click
 Fixed - Ctrl-Search/Viewer-Search - last search string now defaulted
 Fixed - Tag color width lost after using Alt-F5
 Fixed - Treespec from G/S/B view not setting current directory for F2 point
 Fixed - Viewer - ASCII mode - line width now unlimited
 Fixed - Viewer - Gather marking now maintains search hit marks
 Fixed - Viewer - Mouse clicks in certain locations caused GPFs

 version 1.47l (1 May 2000)
 --------------------------
 Added - Autoview - complete support for Gather function
 Added - F12 - Load and execute a macro file
 Added - View/Alt-View - Directory window - view specified file
 Added - Ctrl-Search/Viewer - Search mode for text/hex/unicode
 Fixed - Alt-Ctrl menus activated when tagged file operations running
 Fixed - Alt-Info - allow Tag/Untag functions while Info window active
 Fixed - Ctrl-\ (treespec) - initially returned second-to-last history item
 Fixed - Ctrl-C/V - retrieving from history but still accessing clipboard
 Fixed - Editor - prevent uppercasing of command line
 Fixed - F9 Menu - '+' should only expand one level of 'tree'
 Fixed - F9 Menu - Prevent access to header menu line
 Fixed - F9 Menu - Edit - Pasting scrap beyond end of script caused GPF
 Fixed - Invert-Filespec - Additional problems in split mode
 Fixed - New Date - problems entering YY format year when YYYY expected
 Fixed - Replacement mode (for ctrl-Copy/Move) 'nEver' changed to 'neVer'
 Fixed - Viewer - JUNK mode - various problems losing file position
 Fixed - Viewer - Offset - ASCII mode with LF-only termination not working
 Fixed - Viewer - Search and End problems in WRAP mode
 Fixed - Viewer - Scrolling left/right in DUMP/HEX modes and not Autoview
 Fixed - Viewer - Tab setting lost switching modes
 Fixed - Viewer - WRAP mode - NumPad-5 caused GPF
 Fixed - Volume - command moved to Ctrl-Volume to allow addition of View
 Fixed - Washdisk - NULLS option was in fact writing 0xFFs
 UNZIP32.DLL version upgrade to 5.41

 version 1.47k (9 April 2000)
 ----------------------------
 Added - Ctrl-Ins - in input field to copy current value to clipboard
 Added - Ctrl-View - Alt-Home/End - First/Last tagged file
 Added - [Delete]/Ctrl-[Delete] key in file window performs delete
 Added - [Delete] in directory window performs delete
 Added - F9 Menu - +/*/- keys to expand/collapse menu structure
 Added - F9 Menu - Edit Script - Copy, cOpy scrap, Paste scrap
 Added - F9 Menu - Edit Script - Rename, Load from file
 Added - F9 Menu - Edit Script - Ctrl-V to paste from clipboard
 Added - History - Alt-F10 option to save one character entries
 Added - History - Alt-F10 option to wrap around up/down arrows
 Added - History - Ctrl-Ins to copy current item to clipboard
 Added - Target directory highlights default value based on Alt-F10/option W
 Added - Viewer - Ctrl-Home/End - jump to beginning/End of (longest) line
 Added - Viewer - Ctrl-Left/Right - jump 20 characters left/right
 Added - Viewer - Backwards searching
 Added - Viewer - Offset - History support
 Added - Viewer - Search direction indicator
 Added - Viewer - -/+ Repeat search backwards/forwards
 Fixed - Alt-Duplicate - pathname compare test preventing operation
 Fixed - Alt-F5/Extract - GPF after extracting to current directory
 Fixed - Alt-F5/Extract - target directory of '.' always reverted to root
 Fixed - Alt-F10 / Esc - after Alt-F9 to 34 line mode - screen goes blank
 Fixed - Alt-Prune - error handling to allow error skipping/retry
 Fixed - Alt-Sort/Extension - not using same collating as name sort
 Fixed - Alt-Sort/Name - matching names not sorting extension correctly
 Fixed - Backspace in highlighted default input field cleared entire string
 Fixed - Copy - file to current directory with name starting '.' crashed
 Fixed - Ctrl-F5 - Crash creating archive in directory with long name
 Fixed - Ctrl-Ins - GPF if clipboard was empty
 Fixed - Ctrl-View - file counter moved to bottom menu line
 Fixed - Ctrl-View/Autoview - maintain last used view format between files
 Fixed - F6 collapse branch followed by F5 did not redisplay subdirectories
 Fixed - F7 Autoview - Ctrl/Alt keys made view window flicker
 Fixed - F7 Autoview - Ctrl-View not opening up full viewer
 Fixed - F7 Autoview - directory refreshing from B/S/G mode dropping files
 Fixed - F9 Menu - Edit Script - Tab key changing initial menu position
 Fixed - Filespec - support for ',' embedded in ""s in filespec
 Fixed - History - moved 1 character left to align with input
 Fixed - Invert-Filespec - Not supported properly in split mode
 Fixed - sHortcut - current directory not refreshed
 Fixed - JFC - target relative path of '.\' not handled properly
 Fixed - Open - 'Open With' dialog launched when no default application
 Fixed - Open - was skipping files with no extension
 Fixed - Treespec - Entering trailing '\' caused branch to be traversed
 Fixed - Treespec - Problem retrieving non-existent path from history
 Fixed - Viewer - ASCII file detection not working in some cases
 Fixed - Viewer - ASCII mode problem handling line with no terminator
 Fixed - Viewer - crash opening 1 byte file with no extension
 Fixed - Viewer - offset - added support for % percentage
 Fixed - Viewer - Offset - not working with H/X suffixes
 Fixed - Viewer - wildcard searching in ASCII mode highlighting non-matches
 Fixed - Viewer - WRAP/JUNK modes made to toggle with other modes

 version 1.47j (14 March 2000)
 -----------------------------
 Added - /K command line option to pass key sequences at startup
 Added - /K@filename.ZTM to load startup key sequence from file
 Added - Alt-% (letter/number) in input field enters item from history
 Added - Alt-Prune - added Trashcan option for deletes
 Added - Archiver - Password entry now masked with '*'
 Added - Ctrl-Search - F4 option to search for Unicode string
 Added - F8 Split - File view - indicator for current file of non-active pane
 Added - Open - support for .ztm files to be loaded as macros
 Added - Mouse wheel scroll support - Win2K only!
 Added - Tree/File lists - Shift-Numpad-1 thru NumPad-9 skip 10% to 90% of list
 Added - Tree/File lists - Numpad-5 (Center) positioning improved
 Added - Viewer - Lines function for ASCII mode
 Added - Viewer - Offset function to jump to line/offset (hit 1-9 to invoke)
 Added - Viewer - Search - support for Unicode
 Added - Volume - Tab function to default current name
 Fixed - /XT mode - Ctrl-Left not working in directory window
 Fixed - Alt-F9 - File display - Alt menu state lost
 Fixed - Alt-Graft - not condensing source pathname for display
 Fixed - Alt-Info - preserves file last access timestamp
 Fixed - Alt-Prune - Allow non-deletable directories to be skipped
 Fixed - Copy/Move - attribute options (R/A) made sticky between sessions
 Fixed - Copy/Move - Target directory of '.' not using path of current file
 Fixed - Ctrl-New Date - Tab function now defaults timestamp of current file
 Fixed - Ctrl-Z - switched from Alt-Z to toggle file colors
 Fixed - F8 Split - Tab - Dropped out of Branch view when filespec active
 Fixed - F9 - refresh current directory after leaving menu function
 Fixed - Log disk - volumes - Win9x waited for a keypress before opening list
 Fixed - Print/Catalog of tagged files - attributes not formatted correctly
 Fixed - Print functions - page breaks not working correctly
 Fixed - Rename - Proper(word) case - uppercasing character after umlaut etc.
 Fixed - Small file window - filenames beginning with '.' not aligned properly
 Fixed - View a ZIP - failed if first archiver in ARCHIVER.BB2 not found
 Fixed - Viewer - Hex Edit - End key jumped beyond end of short file
 Fixed - Viewer - Junk mode not wrapping text correctly
 Fixed - Viewer - Not highlighting last used 1 character search
 Fixed - Viewer - Search - Prevent scrolling if matches on current page
 Fixed - Viewer - Search - Prevent scrolling beyond last page
 Fixed - Win2000 - ignore access error for "System Volume Information"

 version 1.47i (12 February 2000)
 --------------------------------
 Added - New-Date - Support for [Del] key
 Fixed - Alt-Compare - Case option not working
 Fixed - Alt-Copy/Move - Partial Paths from Branch view broken
 Fixed - Alt-F10 - option 'Z' not working
 Fixed - Alt-Graft - crash in certain cases when relinking tree
 Fixed - Alt-Graft - re-highlight current dir if grafting aborted
 Fixed - Ctrl-F5 - Prevent endless-loop if previous archiver not found
 Fixed - Ctrl-Move - trap if all files in directory moved
 Fixed - Ctrl-Search - embedded '*' wildcards now match 0+ characters
 Fixed - eXecute - "CD .." not working relative to current directory
 Fixed - Filespec - reformatted masks being added additionally to history
 Fixed - F8 - initial directory of non-current drives not maintained
 Fixed = New-Date - 24hr time format - prevent character input after seconds
 Fixed - PARTPATH - highlight too wide when '...' shown & short branch name
 Fixed - Viewer - Hex-edit - PgUp/PgDn caused changes to be lost
 Fixed - Viewer - Search - embedded '*' wildcards now match 0+ characters
 Fixed - Viewer - text found in search beyond column 80 not highlighted

 version 1.47h (7 February 2000)
 -------------------------------
 Added - Alt-Compare/Alt-F4 - (normal) - binary (no, same, differ)
 Added - Alt-Compare/Alt-F4 - (normal) - Identical (none,both,date,size)
 Added - Alt-Copy/Move - "Current branch paths" option for target
 Added - Alt-F10 - F4 option 'H' to customize history colors
 Added - Alt-F10 - option 'Y' to toggle Edit protection for RO files
 Added - Alt-F10 - option 'Z' to toggle +A attr for Rename/New Date
 Added - Branch mode - PARTPATH setting in ZCOLORS.INI for path highlight
 Added - Copy/Move - F5 option to copy/remove R - copy/set A attribute
 Added - Ctrl-F3 - Normal file window - Refresh file listing
 Added - Ctrl-F5 - Recall last used archiver by default
 Added - Viewer - Search - support for embedded '*' wildcards in string
 Fixed - Alt-C - Branch Compare - options defaulted to Unique/Newer
 Fixed - Alt-Duplicate - prevent using current branch as target
 Fixed - Alt-F5 - JAR archive listing not decoding dates correctly
 Fixed - Alt-I - Keep info window open in split file mode when tabbing
 Fixed - Autoview - allow Esc to abort current file if cannot be opened
 Fixed - Ctrl-F5 - default archive name to current filename
 Fixed - Ctrl-Rename - files with no extension not getting new case
 Fixed - Edit command (Dir) - with [SFN] editor, trailing '8' in command
 Fixed - F8 Split -long filespec overwritten with column dividing line
 Fixed - F9 Menu - Prevent Enter from trying to execute empty scripts
 Fixed - History - Prevent 1 character input being saved
 Fixed - JFC - after pressing TAB, value cannot be extended
 Fixed - JFC - filenames containing ',' not being enclosed in ""
 Fixed - Menu - F1 help not jumping to correct section
 Fixed - Print file - not sending form feeds when lines/page set
 Fixed - Prune - No retry option for files with +S+H (but not +R) attrs
 Fixed - String input - Delete at end of text shortening input length
 Fixed - Viewer - Gathering on a short file - End key did not set mark
 Fixed - Viewer - Edit/Hex Edit - file timestamp not refreshed

 version 1.47g (17 January 2000)
 -------------------------------
 Added - Alt-C - Branch compare - added file compare options from Alt-F4
 Added - Archive View/Alt-F5 support for TAR format (see ARCHIVER.BB2)
 Fixed - Copy - Not setting attributes/timestamp on target if newly created
 Fixed - Copy/Move - mask of '*'.*' being saved in history
 Fixed - "Dir Empty" message changed to "No files"
 Fixed - Viewer - Gather - appending form-feed after each append to file
 Fixed - Viewer - Search for hex string not saving settings between files

 version 1.47f (9 January 2000)
 ------------------------------
 Fixed - Filespec - '*' (*.*) mask was being added to filespec history
 Fixed - Copy - Existing files not detected or replaced (Win9x)

 version 1.47e (8 January 2000)
 ------------------------------
 Added - Many additions to ZTW.HLP - Thanks to Ben Kent & John Gruener
 Added - Shift-Ins - Tagged files - Delimiter toggle for CR/LF or space
 Fixed - Alt-F10 - Added logic to deal with invalid ZTW.INI data
 Fixed - Clipboard paste - insert clipboard text in Insert mode problem
 Fixed - Copy File - fix to preserve name case caused timestamp problem
 Fixed - Ctrl-V - paste appending instead of replacing existing text
 Fixed - Filespec - exclusion flag ('-') not saved in history
 Fixed - Filespec - mask enclosed in ""s - quotes not saved in history
 Fixed - Rename mask - Prevent ' being treated as a word-delimiter

 version 1.47d (30 December 1999)
 --------------------------------
 Fixed - Alt-View from open archive not passing short filename
 Fixed - Clipboard paste - insert clipboard text when in Insert mode
 Fixed - Filespec - Allow space as well as delimiter (',' or ';')
 Fixed - Print to 'Windows Drivers' - problems with WRAP mode
 Fixed - Prevent reading removable drive after switching with </>
 Fixed - Viewer - Gather to PRN or LPTn changed to *not* append
 Fixed - Y2K issue - 'O'lder replace option for Copy/Move/Extract incorrect

 version 1.47c (22 December 1999)
 --------------------------------
 Added - Ctrl-ins - Copy list of Tagged filenames to the clipboard
 Added - Menu (F9) - Press Letter/Number to skip to matching menu item
 Added - Print support for 'WinPrinters'.  Select 'Windows drivers'
 Fixed - Branch/Showall/Global not using correct background color
 Fixed - Copy/Move - not updating case of target filename from source
 Fixed - Ctrl-F4 (show tags) - was toggling even when tag count decreased
 Fixed - Ctrl-Filespec - not toggling to filespec that had been 'adjusted'
 Fixed - Ctrl-Rename - Not saving .Cap (Ctrl-Tab) setting between sessions
 Fixed - Ctrl-Rename - Attempting rename with no mask or cases changes
 Fixed - Edit functions - prevent editing of Read-Only files
 Fixed - Filespec - not displaying filespec label in top-right
 Fixed - Viewer - Ruler not toggling off under Win9x

 version 1.47b (10 December 1999)
 --------------------------------
 Added - Alt-Duplicate - added F4 option to remove RO attr on target files
 Added - Alt-F9 video mode in File window
 Added - Configuration for F9-Menu colors
 Added - Display Filespec as it is being treated by configuration
 Added - File window - Ctrl/Alt-Up/Down - Tag/Untag to start/end of list
 Added - Filespec - >s9999, <s9999, =s9999 match by file size
 Fixed - Alt-Edit not working from View window
 Fixed - Filespec - Treat name and extension section separately
 Fixed - Filespec - Span name section '.' with question mark wildcard
 Fixed - Clipboard commands Ctrl-C & Ctrl-V operative if no command shortcut
 Fixed - Clipboard Paste was restricting to half input limit
 Fixed - Display & Sort - Treat leading '.' & no other '.' as name section
 Fixed - Filespec - "*.*" being saved in command history
 Fixed - F9-Menu - Highlight out of window after video mode change
 Fixed - F2-Select directory - Crash when expanding ('+') top-most branch
 Fixed - JFC - TFC.BAT passed -a99 (video mode) in %6
 Fixed - Rename - first Tab not recalling last used settings
 Fixed - Sort order reverted to configured setting after Alt-F10
 Fixed - Treespec - retrieving from history by shortcut lost last character
 Fixed - Viewer - Hex - repeat search failed when hex string  begins with 00
 Fixed - Viewer - Ruler not offset correctly in Autoview mode

 version 1.47a (18 November 1999)
 --------------------------------
 Added - Ctrl-% (letter/number) in input field directly inputs from history
 Added - Rename mask - :d9999: - to decrement sequence numbers
 Fixed - Alt-Info - Version number not being displayed
 Fixed - Ctrl-Rename - Tab key not allowing case change
 Fixed - F9 Menu - moved  commands to Alt-menu to allow shortcut key access
 Fixed - UNZIP32.DLL - problem validating version

 version 1.46z (16 November 1999)
 --------------------------------
 Added - Command strings (Batch/F9 etc) now supports environment variables
 Added - Highlighted, replaceable defaults instead of blank prompt lines
 Added - sHortcut - added separate command history
 Added - New Date - options to set Last Accessed/Creation dates
 Added - Viewer - Numpad '5' skips to middle of file
 Added - Volume - Now requires confirmation for name change
 Added - Alt-F10 - W option to enable highlight/default entry
 Fixed - Alt-Duplicate - removing RO attribute from target files
 Fixed - Alt-F5/Ctrl-Extract - slow scrolling to tagged files in list
 Fixed - Alt-F5 - filespec not applied to all dirs when paths stored
 Fixed - Alt-F losing position in file window after using Shift-letter
 Fixed - Ctrl-Search/View-Search - Case sensitivity defaults to 'no'
 Fixed - Numpad '5' navigation - Crash if less than a column of files
 Fixed - Numpad '5' navigation - now works with NumLock on
 Fixed - New Date - improved keyboard handling using input mask
 Fixed - Rename - existing name defaults as selected text
 Fixed - Rename - input length limited after entering an invalid mask
 Fixed - Rename mask - adjacent :: variables not recognized (eg. :ddmm:)

 version 1.46y (6 November 1999)
 -------------------------------
 Added - Alt-F5 - Integrated unzipping via use of supplied UNZIP32.DLL
 Added - Ctrl-'%' (letter/number) to mark command history - '%' to select
 Added - Ctrl-Copy - added F4 option to remove RO attr on target files
 Added - eXecute - support to maintain drive/directory between executions
 Added - Keypad '5' key to center highlight in directory and file list
 Added - Override Attributes option to Alt-F10
 Added - Rename Protection options to Alt-F10
 Added - Rename mask support for : : templates - See F1 for options
 Added - Viewer - Shift-F2/F6 - Auto-scroll file contents
 Fixed - Editor/Viewer loading not converting to shortname correctly.
 Fixed - Keyboard input problems after pasting long clipboard text
 Fixed - Open -  not terminating command line in all cases
 Fixed - Progress bar - Tagged operations not accurate when filespec active
 Fixed - Rename masks - substitute by default, allow '<>' to define insertion

 version 1.46x (6 October 1999)
 ------------------------------
 Added - Command line Sort overrides - /OD /SD /SE /SS /SU
 Added - Command option /NC to prevent new console (for telnet use)
 Added - Progress bar time display option /ZP
 Added - Progress bar to Compare directory/branch functions
 Fixed - File window crashed if more than a page of files deleted externally
 Fixed - Filespecs passed on the command line not being accepted
 Fixed - Pathname alone passed on the command line not being accepted
 Fixed - Prune did not refresh current directory if function failed

 version 1.46w (29 September 1999)
 ---------------------------------
 Fixed - Batch command saving extraneous trailing spaces in long mask
 Fixed - Batch creation not enclosing %4.%5 in quotes when required
 Fixed - Control-Directory menu stuck on when Ctrl held at startup
 Fixed - Editor/Alt-Editor - Directory mode now passes only filename
 Fixed - Editor/Alt-Editor (dir mode) - didn't handle full filespec
 Fixed - Treespec not working when tree collapsed with F5
 Fixed - View/Alt-View brought up to same specs as Edit command

 version 1.46v (25 September 1999)
 ---------------------------------
 Added - Editor/Alt-Editor now LFN by default - use [SFN] for shortnames
 Added - Editor/Alt-Editor/Viewer now support %-parameters in command line
 Added - Filespec - allow ';' as delimiter
 Fixed - Editor/Alt-Editor - problem invoking from Directory mode
 Fixed - F8/Ctrl-F4/Tab/Tab - dropping out of Ctrl-F4 mode

 version 1.46u (20 September 1999)
 ---------------------------------
 Added - Alt-Editor configuration option
 Added - Prune Attribute force mode configuration setting
 Fixed - Ctrl-F4 (show tags) not maintaining sort sequence
 Fixed - Delete file - problem with file with multiple attributes
 Fixed - Filespec not maintained after F8-split/unsplit/split
 Fixed - JFC - Esc after file not found did not cancel
 Fixed - 'path not found' error - 'skip' option was broken
 Fixed - Show correct drive letter during logging
 Fixed - Viewer - Wrap mode - unable to cursor-up past line without space

 version 1.46t (07 September 1999)
 ---------------------------------
 Added - Alt-key support to Alt-Sort files
 Added - Copy/Move/Delete - Override/Overwrite options to force completion
 Added - Copy/Move - JFC option to 'Replace existing file' prompt
 Added - Copy/Move/Delete/Prune - Ability to change F2 option for all files
 Added - Ctrl/Alt-Copy/Move - Ability to change auto-replace for all files
 Added - Ctrl-Delete - Ability to change confirm-delete option for all files
 Added - Prune - F2 options to separately choose deletion of RSH files
 Fixed - Alt-Log/Branch in Split-screen using a filespec in right crash
 Fixed - F9 Menu - problem creating ZTW_MENU.DAT in dir with space in name

 version 1.46s (16 August 1999)
 ------------------------------
 Fixed - Alt-F5/Extract to NTFS using PKZIP25 required forced target delete
 Fixed - Alt-F7 Autoview - First press of Shift-arrow had no effect
 Fixed - Alt-F7 Autoview - Enabled F3/Alt-F3
 Fixed - Alt-Sort - a few more tweaks
 Fixed - F3/Alt-F3 - caused error [53] under Win9x used at root
 Fixed - F8/Alt-F5 with filespec active on right restored left filespec
 Fixed - Filespec - more anomalies
 Fixed - Program lockup following Retry to log unavailable device
 Fixed - Sorting by Date/Size used extension instead of name as next pivot

 version 1.46r (8 August 1999)
 -----------------------------
 Fixed - Delete file - allowing deletion of hidden/System/RO files
 Fixed - Filespec - a few more exceptions corrected (*., X*., X*)
 Fixed - History - Set [Home] and [PgUp] to skip to oldest entry

 version 1.46q (8 August 1999)
 -----------------------------
 Added - Support for filespecs to be passed on the command line
 Fixed - Aborting initial logging crashed if command line parameters used
 Fixed - Alt-I - info window remains open for navigating to other file/dir
 Fixed - Copy/Move - Existing target files with no extension not untagged
 Fixed - Ctrl-B/S/G list being corrupted after a change to sort order
 Fixed - F3/Alt-F3 - refreshes new and removed directories in tree
 Fixed - Filespec - numerous fixes for consistency
 Fixed - History - [Ins] allowed marking all items, not all but one
 Fixed - JFC - call to TFC.BAT now passes dummy args for unused pair
 Fixed - Keyboard input adding extra spaces after toggling insert mode
 Fixed - Make dir - support specification of "..\" and "\" prefixes
 Fixed - Sort Files - numerous fixes for consistency
 Fixed - Stats window - increased length of displayed filespec

 version 1.46p (24 July 1999)
 ----------------------------
 Added - Backspace in directory tree - performs same as Ctrl-Left
 Added - Copy/Move - options to skip/retry when source file too big
 Added - Ctrl-Arrow navigation functions to F2-Select directory window
 Added - Ctrl-Backspace in directory tree - performs Alt-Release/Current
 Fixed - Copy/Move - reread source file attributes when existing file found
 Fixed - Ctrl-Right in directory window should not log root
 Fixed - Ctrl-View - Display text being searched for
 Fixed - Delete file - Not preventing delete of R/S/H files
 Fixed - Error [123] reported logging network drives under Win95B
 Fixed - JFC - source file with no extension defaulting wrong target name
 Fixed - Rename file - new name with no extension shown with trailing '.'

 version 1.46o (19 July 1999)
 ----------------------------
 Added - Ctrl-Arrow navigation functions to directory window
 Added - F2-Force option for Copy/Move now has S/H attribute support
 Added - Skip/Next file option to error handling for tagged file functions
 Fixed - Alt-F5/Delete - archive stats not refreshed after deleting member
 Fixed - Ctrl/Alt-Copy/Move - standardized handling for S/H attribute files
 Fixed - Ctrl/Alt-Copy/Move - improved existing target file prompts
 Fixed - Ctrl-F5 - target directory not relogged after archive creation
 Fixed - Filespec - various inconsistencies fixed
 Fixed - PKZIP 2.50 SFX detection added

 version 1.46n (1 July 1999)
 ---------------------------
 Fixed - Alt-F1/F1 to launch browser to web site was broken
 Fixed - Alt-KByte setting had limited size support
 Fixed - Filespec - didn't support *.*.* mask
 Fixed - New Date - 'm' truncated from am/pm for YY format date
 Fixed - Open - Not setting path for cases where no .bat
 Fixed - Prune - Not clearing r/o attribute on main directory for Force
 Fixed - Treespec - Logging new drive not overriding default with ROOT mode
 Fixed - Treespec - Not switching to display of new drive
 Fixed - Viewer - Hex/Dump mode not reset to left margin from ASCII mode
 Fixed - Viewer - Ruler - save state between subsequent uses

 version 1.46m (16 June 1999)
 ----------------------------
 Fixed - Log - Menu not reset following cancelling of logging
 Fixed - Open - Modified ShellExecuteEx() call to work under Win9x
 Fixed - Quit - Must rewrite ZTWIN.BAT to undo last use of Alt/Ctrl-Q!
 Fixed - Rename - Editmask of xxx*.* not treated correctly
 Fixed - Startup directory beginning with '\' not working
 Fixed - Viewer - Improved detection of binary files for DUMP mode

 version 1.46l (13 June 1999)
 ----------------------------
 Fixed - Alt-B - input line not initialized if no command history
 Fixed - Ctrl-Q not working for paths with spaces
 Fixed - eXecute - losing command line arguments other than %1-%8
 Fixed - JFC/Split-screen not defaulting filename with different case
 Fixed - Keyboard input - right arrow moving beyond end of string
 Fixed - Log - not logging a second removable disk
 Fixed - Open - now uses a second thread to prevent called app hanging
 Fixed - Quit - prevent rewriting of ZTWIN.BAT (only for Ctrl/Alt-Q)
 Fixed - Treespec - Esc now returns to previous tree position
 Fixed - Viewer - Prevent screen-redraw if no navigation change
 Fixed - Viewer - Search text limit increased to 256 characters
 Fixed - ZCOLORS.INI - default color for files not matching no extension

 version 1.46k (4 June 1999)
 ---------------------------
 Fixed - Copy As - [Tab] key ending function
 Fixed - Ctrl-View - Previous then Ctrl-End messed up counter
 Fixed = History - list size increased based on window size
 Fixed - View - Hex/Dump modes now highlight text found across a line

 version 1.46j (3 June 1999)
 ---------------------------
 Added - Ctrl-View - Ctrl-Home/Ctrl-End to jump to first/last file
 Fixed - Alt-F5/Alt-Extract - pathname length problem corrected
 Fixed - Command entry not stripping leading '@' when so configured
 Fixed - F2-Select directory not switching to previously logged drive
 Fixed - (Ctrl) New Date - input mask for military time format incorrect
 Fixed - (Ctrl) New Date - unable to enter am/pm with caps on
 Fixed - Ctrl-View - File location display not working properly
 Fixed - History - Down-Arrow now starts at end
 Fixed - History - No wrapping at end of list using arrows
 Fixed - Paste from clipboard to input field not updating end pointer
 Fixed - Space key not inverting tags as prior to v1.46i
 Fixed - Treespec - relogging tree of non-active drive from Global list

 version 1.46i (27 May 1999)
 ---------------------------
 Added - Alt-F10 option to omit saving Command History starting with '@'
 Added - Autoview mode - Quit and Alt-Quit support
 Added - (Ctrl) New Date - TAB key to supply original/current time
 Added - Ctrl-View - display index of current file and total count #/#
 Added - Log disk - '*' logs all available drives
 Added - /ZT command line option to start in last directory from Treespec
 Fixed - Allow keyboard buffering during Copy command
 Fixed - Alt-Compare/F2-Select disk function causing GPF in some cases
 Fixed - Alt-F5 Open archive menus not showing Invert or Ctrl-Invert
 Fixed - Alt-F10 - Configuration being re-read after exiting with Esc
 Fixed - Alt-Log/Disk - cancelling this function caused program to quit
 Fixed - Ctrl/Alt-Copy from Ctrl-B/S/G list causing an intermittent GPF
 Fixed - History getting corrupted at startup
 Fixed - New-Date function - not able to set PM time correctly
 Fixed - New-Date function - skips punctuation characters when editing
 Fixed - Print file - Last line not printed unless terminated with CR/LF

 version 1.46h (7 May 1999)
 --------------------------
 Added - Alt-KByte setting saved between sessions in ZTW.HST
 Fixed - Alt-F5 from archive in Ctrl-B/S/G display failing to display files
 Fixed - Alt-F5 on archive with stored path, showing total stats in each dir
 Fixed - Alt-F9 to resize the window preserves tree location
 Fixed - Alt-KByte - not showing size for root after Alt-Release/Current
 Fixed - Long directory names now display with truncation marker
 Fixed - Startup directory not logging if passed as shortname > 1 level deep
 Fixed - Tab in F8-Split mode opening directly to file window after prev F8
 Fixed - Tree display modified to show more directories before using '...'
 Fixed - Tree scrollbar position not refreshed on '*' or '-'/del
 Fixed - View/Alt-View on archive using external viewer should be raw output
 Fixed - eXecute - command history window moved left to maximize width

 version 1.46g (22 Apr 1999)
 ---------------------------
 Added - F9 Menu - Move function using arrow keys
 Fixed - Ctrl-Copy - File list not refreshed if target directory equal source
 Fixed - JFC - fixes to defaulting of filename 2
 Fixed - Log - Problem redrawing after cancelling
 Fixed - Viewer - Empty search string not disabling search in next viewed file
 Fixed - Viewer - Hex mode - search for consecutive bytes not working

 version 1.46f (28 Mar 1999)
 ---------------------------
 Added - Ctrl-sHortcut - create shortcut to all tagged files
 Added - Ctrl-End/Ctrl-Home - directory navigation for first/last of branch
 Added - Ctrl-PgUp/Ctrl-PgDn - directory navigation same as Tab (for F8 mode)
 Fixed - Alt-B Keyboard input truncated at cursor
 Fixed - F5/F6 problems where non-displayed branches were unlogged
 Fixed - Filename display truncated in Split screen with YYYY date format
 Fixed - Filespec remained active after split/unsplit/split sequence
 Fixed - Log/Available space - support selection of driver letter w/mouse
 Fixed - Log/volumes function - allow Esc to cancel

 version 1.46e (18 Mar 1999)
 ---------------------------
 Added - Alt-K to directory window to display directory size in KBytes
 Added - Alt-Release/files in Current directory
 Added - eXecute - support for %1-%8 parameters
 Fixed - Alt-Attribute on directory - not refreshing color coding immediately
 Fixed - Alt-F5 - Unable to open an ARJ SFX with security envelope
 Fixed - Alt-Batch - default mask to last value
 Fixed - Ctrl-Batch/Alt-Batch - should not truncate trailing spaces from mask
 Fixed - JFC - In split-mode, only default file2 when it actually exists
 Fixed - Print - incorrectly printing UNIX files delimited by CRs
 Fixed - Rename directory - new name not shown when a mask used
 Fixed - Reformatted file display to enlarge size field
 Fixed - Tree position lost after collapsing branches in split-screen mode
 Fixed - Treespec from tree collapsed with F5/F6 unlogging branch
 Fixed - Unable to log short pathnames passed as command line arguments
 Fixed - Viewer - Another problem searching in file ending with multiple CR

 version 1.46d (4 Mar 1999)
 --------------------------
 Added - Ctrl-Ins to copy file or directory information to the clipboard
 Added - Shift-Ins to paste from clipboard
 Fixed - Archiving - various fixes for LFNs and LHA support
 Fixed - Autoview - not displaying Ctrl or Alt menus
 Fixed - Alt-Attribute now ANDs multiple specified attributes
 Fixed - Alt-Sort problem when LFN with extension of 1 character
 Fixed - Delete - Trashcan option causing short name to save instead of LFN
 Fixed - History not allowing marking of more than 16 items
 Fixed - History not allowing selection of oldest entry
 Fixed - JFC - not closing files when doing internal compare
 Fixed - Viewer - problem searching in file ending with multiple CR

 version 1.46c (1 Mar 1999)
 --------------------------
 Fixed - Alt-Duplicate problem where target drive equal to source
 Fixed - Alt-F5, Ctrl-Extract not stopping on Esc
 Fixed - Alt-Release/Files - not marking directory as unlogged
 Fixed - Alt-Sort problem when LFN with extension less than 3 characters
 Fixed - Ctrl-Showall not working in open archive (from Alt-F5)
 Fixed - Edit function passed files containing '&' with ""s, under COMMAND.COM
 Fixed - Edit from Ctrl-B/S/G windows incorrectly causing file list refresh
 Fixed - JFC - beeped if files were identical
 Fixed - JFC - Failing if second parameter was a path only
 Fixed - Print File - filename corrupt in header
 Fixed - Tree position lost after unsplitting screen
 Fixed - View - attempted archive decoding if file ended in zip (eg azip)
 Fixed - Viewer problem with WRAP mode and many tabs second time in
 Fixed - Window not resizing correctly at startup if console > 80 columns

 version 1.46b (20 Feb 1999)
 ---------------------------
 Added - History enhanced to save 32 entries
 Fixed - Alt-Prune - GPF pruning from root directory
 Fixed - Compare - Added 'Binary' option to check file contents for match
 Fixed - Crash refreshing file list when several deleted files externally
 Fixed - Ctrl-Extract from LHA archives not working
 Fixed - Ctrl-F4 (show tags) state lost after tabbing in Split mode
 Fixed - Filename sort by extension only qualified 3 characters
 Fixed - JFC - Prevent display of files if identical
 Fixed - Pasting large amount of text from clipboard caused GPF
 Fixed - Removed 'Path:' label from top to allow more room
 Fixed - Tree position lost in split-screen mode

 version 1.46a (31 Jan 1999)
 ---------------------------
 Added - Alt-F10 config option to prevent access to System/Hidden directories
 Added - Alt-Info - displays module version information where present
 Added - Color coded file/directory names - see ZCOLORS.INI for details
 Added - Ctrl-F8 - Partial Untag to Ctrl-File menu
 Added - Log - Volumes function to list all volume names & available space
 Fixed - Alt-Prune - redesign to keep root branch current
 Fixed - Alt-View - unable to launch Alt-Viewer with command line parameters
 Fixed - Compare function failed after Ctrl-B/S/G when no tagged files
 Fixed - Ctrl-F5 - slow file scrolling while building list of filenames
 Fixed - Ctrl-F5 - catch bad return codes from archivers
 Fixed - Ctrl-F5 - Save 'Display Output' setting in between sessions
 Fixed - eXecute from Directory window caused current dir to be logged
 Fixed - File Sorting not refreshed after changing options in Alt-F10
 Fixed - Open - directory refreshed after Open command used
 Fixed - Print to: device name truncated when select from history list
 Fixed - Volume command - Allow long disk volume names on non FAT drives

 version 1.41 - December 23, 1998
 --------------------------------
 Added - /3 to command line help
 Added - /API command line switch to use API copy function not internal
 Added - /O command line switch to disable OEM conversion of file/pathnames
 Added - ARJ SFX support
 Added - Alt-F5 / Ctrl-F support in open archive
 Added - Alt-Log Disk to Alt-File menu
 Added - Alt-View - support for alternative external viewer via Alt-V
 Added - Copy/Move - allow UNC target path (eg. \\server\dir\filename)
 Added - Ctrl-View - Untag current file function
 Added - Filespec - Datespec value 'TODAY' to mean todays date (eg. '=TODAY')
 Added - Invert Filespec
 Added - Keyboard editing Ctrl-Left/Right to skip past ' ', '.' '_' in filename
 Added - Mouse - Allow file positioning with scrollbar sliding
 Added - Mouse - Double left-click to open current file
 Added - Print - Margin /Wrap options
 Added - Print functions - TAB key now selects printer by name
 Added - RAR SFX support
 Added - Viewer - Ruler function
 Added - eXecute - Configurable brief heading lines
 Fixed - /XT mode - '+'/'-' from file window not redrawing tree after switch
 Fixed - Allow numeric-keypad navigation when NumLock is active
 Fixed - Alt-Batch - File list not refreshed after creating batch
 Fixed - Alt-F5 - GPF with large, complex stored directory structures
 Fixed - Alt-F5 - I5Comp support for lack of headers in redirected list
 Fixed - Alt-F5 - SFX renamed to .zip not opened as archive
 Fixed - Alt-F5 - SFX-detection not recognizing renamed .EXEs
 Fixed - Alt-Graft - display error if attempting to graft to new drive
 Fixed - Alt-Log from small file window could cause GPF
 Fixed - Alt-Open - unable to launch EXE.BAT
 Fixed - Alt-Release from File window caused an exception
 Fixed - Alt-View - Bypass archiver handling when internal viewer used
 Fixed - Alt-Viewer - Allow use of internal viewer by default
 Fixed - Alt-Viewer - Hanging after launching QuickView
 Fixed - Batch Functions - '%8' not returning shortname
 Fixed - Batch Functions - Support for '%!' sequence to enter '!'
 Fixed - Batch Functions - Support for '%%' sequence to enter '%'
 Fixed - Configuration module needed keyboard input update for PgDn
 Fixed - Copy/Move - space check queried root, not target directory
 Fixed - Copy/Move As mask not working with .* option to treat as *.*
 Fixed - Ctrl-Delete - [Enter] defaults to 'Y' (confirm)
 Fixed - Ctrl-F4 - show tags - made a toggle
 Fixed - Ctrl-Invert/Tags - Tagging current file
 Fixed - Ctrl-Log in file window - not redrawing tree if logging current drive
 Fixed - Ctrl-Move - Force r/o mode - not preserving r/o attribute after move
 Fixed - Ctrl-Rename - Allow case changes if no mask entered
 Fixed - Ctrl-Search - Progress bar not tracking correctly
 Fixed - Ctrl-Search/View-Search - F2 Case option now synchronized
 Fixed - Ctrl-View - Shift-N on first file caused GPF
 Fixed - Ctrl-View - Untagging last file caused hang
 Fixed - Ctrl/Alt menus reset prematurely on any keypress
 Fixed - Ctrl/Alt-Extract - Prompt for existing file missing file info
 Fixed - DBF viewer not passed filenames with spaces in ""s
 Fixed - Directory functions with F5-Collapse active caused problems
 Fixed - Existing file prompt - expanded size format for display
 Fixed - External Viewer - Supports [LFN] token
 Fixed - External Viewer - called synchronously to allow archive viewing
 Fixed - F2 Select target relogging drives rather than switching
 Fixed - F4 - Sticky menus not working with CapsLock on
 Fixed - F5/F6 - Toggling not working from disk logged in TREE mode
 Fixed - F7-Autoview - Filespec set to no matches didn't return to tree
 Fixed - F7-Autoview - Problem copying files to current directory
 Fixed - F7-Autoview - mouse selection of files not working
 Fixed - F8 - Tree position lost after closing file window from right side
 Fixed - Filespec - Datespec validation fixed to allow =1-1-98 format
 Fixed - Filespec after F5-Collapse not working
 Fixed - GPF at startup if non-existent directory passed on command line
 Fixed - GPF when logging multiple paths from command line
 Fixed - Initial tree position wrong when startup dir was current dir
 Fixed - JFC - %2 not being passed as shortname
 Fixed - JFC - defaults target path only - Tab to default file
 Fixed - JFC - defaults target file to source name
 Fixed - JFC - messing up command history and possible GPF
 Fixed - JFC - now saves its own command history
 Fixed - JFC - Unable to extend filename if file not found
 Fixed - Keyboard editing Ctrl-Left/Right improvements
 Fixed - Keyboard editing Ctrl-Left/Right improvements
 Fixed - Logging problem with NFS drive (error [234])
 Fixed - More Menu reset problems
 Fixed - Multiple startup directories - only first positioned tree correctly
 Fixed - New path creation not inserting '\' for input of C:DIR
 Fixed - Position in tree lost if branches created above current
 Fixed - Preserve filename position after directory updated externally
 Fixed - Print - Wrap option not working when printing to file/port
 Fixed - Print File - prevent device name equal to current filename
 Fixed - Print [Tab] functions not displaying remote printers under NT
 Fixed - Print command - number of lines expanded to 3 digits
 Fixed - Print functions - Print device name being truncated
 Fixed - Progress bar scaled incorrectly for branch operations
 Fixed - Prune - F2 force option now clears directory attributes if required
 Fixed - Remove tags from files replaced by copy/move function
 Fixed - Rename/Ctrl-Rename - Ignore command if no name entered
 Fixed - Short pathname prevented startup in current directory with "."
 Fixed - Startup path with trailing '\' caused GPF
 Fixed - View - ZIP SFX detection tightened
 Fixed - View file - GPF if ARCHIVER.BB2 contained entry with line 2 blank
 Fixed - View/Alt-F5 - Prevent incorrect archiver detection using only .ext
 Fixed - Viewer - DUMP/HEX modes not marking found text at end of line
 Fixed - Viewer - Gather - Not refreshing target file directory
 Fixed - Viewer - Gather - problem writing to printer port
 Fixed - Viewer - Hex/Search - not matching hex string starting with 00
 Fixed - eXecute - Problem with new config option if not initialized

 version 1.40 - August 23, 1998
 ------------------------------
 Added - /? - Command line help display
 Added - /Y - command line switch to prevent screen restore (for shortcut)
 Added - Alt-Attribute to ALT DIR menu
 Added - Alt-Duplicate branch function to Directory menu
 Added - Alt-F2 - Format A: with shell format function
 Added - Alt-F5 - Integrated archive header processing (ARCHIVER.BB2 not used)
 Added - Alt-F5 - TAB/BTAB key support in tree view
 Added - Alt-F5 - ZIP/ARJ support for password encryption
 Added - Alt-Info - display short path/filename and additional dir/file info
 Added - Alt-Release (disk) to File menu
 Added - Configurable display of YYYY-format file dates
 Added - Configuration option (J) to allow Rename to treat "." as "*."
 Added - Configuration option to disable Alt-Copy/Move sort by path
 Added - Configuration option to prevent Filespec <,> matching entered date
 Added - Ctrl-F5 - Shift-A to cycle in reverse through configured archivers
 Added - Ctrl-F5 - Store relative path option
 Added - Ctrl-F5 <D> option to display archiver output
 Added - Ctrl-F6 - Merge Tags to file menu for Split screen operation
 Added - Ctrl/Alt-Copy/Move/Delete - option to force replacement of R/O files
 Added - F4 (and mouse selection) for sticky menu modes
 Added - F5/F6 tree outlining functions
 Added - File dividing lines configuration option
 Added - Filespec - Date specification now supported (eg: >1-1-97,<1-1-98)
 Added - Filespec - Label now supported (eg. source:*.c,*.h)
 Added - Filespec Help
 Added - Filespec support for embedded wildcards (eg. *.foo.*, *foo* etc.)
 Added - Mouse support
 Added - Open archive - tree view of stored path structure
 Added - PKZIP 2.50 (command line) support added
 Added - Product logo at startup and when logging tree/full mode
 Added - Prune - confirmation options of 'Y' and dir name
 Added - Rename/Copy/Move - TAB key toggles dupe/lower/upper copy of name
 Added - Slack Space display to Stats screen
 Added - Tree Window Highlight Bar - Scrolling/Fixed option
 Added - Viewer - Junk filter option
 Added - Viewer - Previous Tagged file ('P') command
 Added - Viewer - allow invocation of Editor ('E') command
 Added - Viewer/Gather - Ctrl-C or device "CLIP:" to copy to clipboard
 Added - Wash Disk (thanks to Justin Nye)
 Fixed - '+' on directory collapsed logged branches
 Fixed - 'Q' from open archive left wrong color scheme active in file window
 Fixed - Allow use of local ZTW.HST for network shared program directory
 Fixed - Alt-Attribute (from Dir menu) displayed incorrect year in date
 Fixed - Alt-Compare - rewritten
 Fixed - Alt-Copy - Allow Esc to cancel if attempt to copy to source
 Fixed - Alt-F10 - Allow Enter and Esc from second page
 Fixed - Alt-F10 configuration module - problem with cursor in insert mode
 Fixed - Alt-F4 - Compare (oldest / matching paths) not working
 Fixed - Alt-F4 - Compare Global - not matching correctly if date sorted
 Fixed - Alt-F4 - Compare dirs - target pathname not truncated for display
 Fixed - Alt-F4 - Show files - was using case-sensitive filename compare
 Fixed - Alt-F4 - find duplicates not matching when called from Ctrl view
 Fixed - Alt-F4 Compare (Branch/Showall/Global) overhaul & added Scope option
 Fixed - Alt-F5 - Branch/Global file view tag file counting incorrect
 Fixed - Alt-F5 - Color scheme incorrect when opened from Showall
 Fixed - Alt-F5 - Delete file from archive problem with stored path
 Fixed - Alt-F5 - Display "No Path" when no paths stored in archive
 Fixed - Alt-F5 - Extract single file not refreshing target directory
 Fixed - Alt-F5 - Extract tagged files (less than total) not working
 Fixed - Alt-F5 - Extract to drive with F2 not displaying drive letters
 Fixed - Alt-F5 - Extracting to current drive/directory path problem
 Fixed - Alt-F5 - F8 Split problem when tree view of archive on right
 Fixed - Alt-F5 - Files not being sorted when opened in tree view
 Fixed - Alt-F5 - JAR archives displaying phantom 0-byte files
 Fixed - Alt-F5 - Jar format not parsing filenames correctly
 Fixed - Alt-F5 - LHA entry in ARCHIVER.BB2 invalid
 Fixed - Alt-F5 - Memory leak occurring when opening tree view
 Fixed - Alt-F5 - Open Jar archive displaying phantom 0 byte files
 Fixed - Alt-F5 - SFX detection was broken after adding InstallShield entry
 Fixed - Alt-F5 - Sorting files at tree level sorted all real drives files
 Fixed - Alt-F5 - Tag files using global color for tag, instead of normal
 Fixed - Alt-F5 - Tree view where root empty not displaying "Dir Empty"
 Fixed - Alt-F5 - Unable to view or extract files with very long names
 Fixed - Alt-F5 - Various problems with types other than ZIP
 Fixed - Alt-F5 - ZIP - display seconds of file timestamp and attributes
 Fixed - Alt-F5 - setting filespec where no matches dropped out of archive
 Fixed - Alt-F5 improperly parsing filenames with ')'
 Fixed - Alt-F5/Delete - Delete empty archive after all files are deleted
 Fixed - Alt-F5/Extract file to root when current dir not root failed
 Fixed - Alt-F5/View message clarifies case where no supporting archiver
 Fixed - Alt-F5/View not finding supporting archiver in ARCHIVER.BB2
 Fixed - Alt-Log/One Level - not expanding the branch
 Fixed - Alt-Log/Tree - logging from root instead of current directory
 Fixed - Alt-Move - not checking first for tagged files
 Fixed - Alt-Q was clearing screen even without /Y switch
 Fixed - Alt-Release/Disk - GPF if tree collapsed and released previous drive
 Fixed - Alt-Sort - Unsorted should always sort with Path option On
 Fixed - Alt-Sort should re-sort even if the same criteria is selected
 Fixed - Alt-Tag - locking up for more than 64K files
 Fixed - Archive tree displayed instead of drive tree after F8-split
 Fixed - Autoview - Allow ' ' key function
 Fixed - Autoview - Not updating stats after tagging/untagging files
 Fixed - Autoview incorrectly displaying View menu
 Fixed - Available Bytes display format widened
 Fixed - Available Bytes display formatting bug in file/archive mode
 Fixed - Available Bytes refreshed when using '*' to (re)expand Branch
 Fixed - Available Bytes refreshed when using '+' or Enter on Branch
 Fixed - Available space - improved error handling
 Fixed - Batch - LFN arguments with spaces now enclosed in ""
 Fixed - Batch - support use of '%+' for 4DOS/NT users
 Fixed - Branch view from root directory invokes Showall view
 Fixed - Cluster size reported for floppies incorrect
 Fixed - Compare Branch - speed improved, added progress bar & Esc support
 Fixed - Confirm quit now accepts 'Q' to mean 'Y'
 Fixed - Copy function failed with Sharing Violation due to buffering
 Fixed - Copy/Ctrl-Copy - performance improved
 Fixed - Copy/Mode - read faults not detected in certain cases
 Fixed - Copy/Move - Check target drive for available space
 Fixed - Copy/Move - allow abort of current operation with Esc key
 Fixed - Copy/Move - problem copying files changed since being logged
 Fixed - Copy/Move - space check didn't allow file size equal to available
 Fixed - Copy/Move - target directory name limit expanded
 Fixed - Cosmetic problem using mouse to highlight files
 Fixed - Crash at startup if ZTW.HST not present
 Fixed - Ctrl-Attr/New date - not refreshing first page of file info
 Fixed - Ctrl-Batch - added progress bar
 Fixed - Ctrl-Copy/Move - F2 Force causing function to initiate
 Fixed - Ctrl-Copy/Move - Replace 'Older' should not stop at all r.sh files
 Fixed - Ctrl-Copy/Move - Replace 'nEver' should not stop for r.sh files
 Fixed - Ctrl-Delete - Confirm 'Y' - not refreshing filelist
 Fixed - Ctrl-Delete - performance improvement by reducing screen updates
 Fixed - Ctrl-F4 - not filtering files that do not match filespec
 Fixed - Ctrl-F5 - Branch view lost after archiving to root of branch
 Fixed - Ctrl-F5 - GPF after archiving complete in certain cases
 Fixed - Ctrl-F5 - List.$$$ missing path info in Branch mode for 'None'
 Fixed - Ctrl-F5 - Problem creating zip without paths to non-current dir
 Fixed - Ctrl-F5 - Relative/Full pathname problems
 Fixed - Ctrl-F5 - archivers without [LFN] not being passed SFNs
 Fixed - Ctrl-F5 - bad target archive name created for 'a:archive'
 Fixed - Ctrl-F5 - convert filenames in listfile to OEM character set
 Fixed - Ctrl-F5 - display error if selected archiver not found or invalid
 Fixed - Ctrl-F5 - problem creating archive without [LFN]
 Fixed - Ctrl-F5 command that was too long caused cursor to be 'lost'
 Fixed - Ctrl-F5 from showall/branch/global added extra '\' to target path
 Fixed - Ctrl-F5 problem when invoking WinZip (LIST.$$$ deleted prematurely)
 Fixed - Ctrl-F5/Background option was broken
 Fixed - Ctrl-Invert (file menu) - not working with no tagged files
 Fixed - Ctrl-Move - Progress bar not working with zero-length files
 Fixed - Ctrl-New Date - progress bar missing
 Fixed - Ctrl-Rename - First page not refreshed until scrolling started
 Fixed - Ctrl-Rename - now uses Tab for case conversion (not F2)
 Fixed - Ctrl-Rename - progress bar not scaled correctly
 Fixed - Ctrl-Rename - save last state of CaSe option between sessions
 Fixed - Ctrl-V - Current file is loaded first, not first tagged
 Fixed - Ctrl-View - allow Shift-N/P to cycle in reverse of unshifted
 Fixed - Ctrl-View - highlight last file viewed on exit
 Fixed - Ctrl-\ - Enter should not be required to accept path
 Fixed - Ctrl-\ - GPF after releasing previously logged drive
 Fixed - Ctrl-\ caused a GPF if no treespec saved in history
 Fixed - Ctrl-\ not clearing previous entry
 Fixed - Current directory changed to root at startup
 Fixed - Delete files to trashcan didn't support national characters
 Fixed - Delete/Ctrl-Delete - Trashcan option not detecting in-use files
 Fixed - Delete/Move - random GPF
 Fixed - Directory Size totals increased to 64bit.
 Fixed - Drive total file size variables increased to 64bit.
 Fixed - Dynamically allocate tree window buffer to remove fixed limit
 Fixed - Edit - From dir menu, refresh current dir upon return
 Fixed - Edit - GPF refreshing current dir after all files deleted externally
 Fixed - Edit/eXecute (Dir menu) tags in current directory being lost
 Fixed - Editmask switch to treat "." as "*." not working for copy/move
 Fixed - Editor configuration flag ([LFN]) to pass LFNs to editor
 Fixed - Esc from disk logging not working correctly
 Fixed - Esc ignored trying to cancel an operation if prior key/mouse event
 Fixed - Expanded date display to YYYY
 Fixed - F2 - Log command required CapsLock off or Shift pressed
 Fixed - F2 Format window not always opening on top
 Fixed - F2 Select Dir - highlight bar too wide if pathname wider than window
 Fixed - F2-Select - add '+ Expand' function help
 Fixed - F2-Select dir - allow '-' to collapse on non-current drive
 Fixed - F2-Select dir - force 'l' to relog previously logged drive
 Fixed - F2-Select directory - wrong color attributes left when scrolling
 Fixed - F7 - file extension display truncated
 Fixed - F7 Autoview - TAB/BTAB were not disabled
 Fixed - F8 - Menu being overwritten in 25 line mode
 Fixed - F8 - Position in tree lost after F8/Tab/Esc/move/enter/tab/esc!
 Fixed - F8 - TAB to showall where parent dir empty dropped back to tree
 Fixed - F8 - Tab to Ctrl-B/S/G view after untagging files caused GPF
 Fixed - F8-Split - Crash invoking copy/move when opposite side collapsed
 Fixed - F8-Split - Crash when Tabbing after most files deleted externally
 Fixed - F8-Split - Highlight bar problems with very deep branches
 Fixed - F8-Split - Tagged file stats incorrect after copy operation
 Fixed - F8-Split screen - memory corruption after certain actions
 Fixed - F8-Split screen / Tab to opposite after collapsing tree caused GPF
 Fixed - F8-Split screen/Tab problem when fixed bar and < 3 dirs
 Fixed - F8-Split/Tab - menu problem tabbing between file & tree mode
 Fixed - F8/TAB - Display error collapsing current tree with Fixed highlight
 Fixed - F9 Menu - Insert function in script was non-functional
 Fixed - F9 Menu - Problem Esc'ing from Insert function
 Fixed - F9 Menu - adding item at bottom of screen not scrolling window
 Fixed - F9 Menu - menu capacity increased
 Fixed - F9 Menu - position saved between sessions
 Fixed - F9 Menu - problems editing scripts
 Fixed - File size display abbreviated with 'K' not rounding properly
 Fixed - File sorting of long filenames with short extension not correct
 Fixed - Filename editing change to allow names starting with '.'
 Fixed - Filename editing mask "*.y" where input was "a.b.x"
 Fixed - Filespec - Not matching files without extension with masks 'FILE.'
 Fixed - Filespec - allow mixed/lowercase entry for display purposes
 Fixed - Filespec - date without formatting (eg. <010198) caused GPF
 Fixed - Filespec - name masks not working after using a 'datespec'
 Fixed - Filespec - not matching LFNS with < 3 character extension
 Fixed - Filespec - prevent redisplay if function aborted
 Fixed - Filespec - use Editmask config setting to allow "." to mean "*."
 Fixed - Filespec now supports unlimited number of masks
 Fixed - Filespec problems with F8 split screen
 Fixed - Filespec sometimes not masking files without an extension
 Fixed - Filespec treating '?' as '*'
 Fixed - Floppy access after disk removed while using another drive
 Fixed - Global color scheme lost after F9 Menu invoked
 Fixed - Global/Showall/Branch not working after Ctrl-G/Ctrl-S/Ctrl-B
 Fixed - Graft - GPF when grafting to directory directly above current
 Fixed - Graft - problem grafting directory to branch directly above it
 Fixed - Graft - problems after grafting large, unexpanded branches
 Fixed - Graft GPF if a directory was renamed before the graft
 Fixed - Hang on exit from Window 'X' button under NT
 Fixed - History didn't update existing items with different case
 Fixed - Left/Down arrow from collapsed root caused a crash
 Fixed - Log -  Not displaying Logo or resetting stats from file window
 Fixed - Log Disk - Current position lost if logging cancelled
 Fixed - Log Disk - GPF when relog current drive cancelled and >1 logged
 Fixed - Logging - 'S'kipping of subsequent logging errors (Access Denied)
 Fixed - Logging - Allow 'S'kipping of subsequent disk logging errors
 Fixed - Logging crashed under OSR2 (4.00.950B) with certain devices
 Fixed - Logging initial drive - Esc three times caused GPF
 Fixed - Move - problem moving to new drive when source file was shared
 Fixed - Move/Copy progress bar fixes
 Fixed - New Date - Added date formatting and validation
 Fixed - New Date - Date validation problem with am/pm format
 Fixed - New Date - Validation problem with YYMMDD format
 Fixed - New Date - defaulting to pm if not specified
 Fixed - New Date - time format (am/pm) incorrect if using YY date format
 Fixed - Open command (.BAT files) are now passed %1-%8 as in Batch command
 Fixed - Open/Alt-Open - Improved parameter passing to shorten command
 Fixed - Prevent detection of .ARC files where extension not .ARC
 Fixed - Prevent forced lowercase display of Hidden files
 Fixed - Print File - prevent wrapping to same line
 Fixed - Print File - support lines up to 134 characters wide
 Fixed - Print File - wrapping lines that were 80 characters
 Fixed - Print cat/pathnames/tree broken in v1.32d
 Fixed - Print functions unable to open ports in some cases
 Fixed - Print functions using device LPT1: were broken
 Fixed - Print to file/logical device is opened in append mode
 Fixed - Progress bar made to track single file move/copy progress
 Fixed - Prune - confirmation for dir name made case-insensitive
 Fixed - Prune - unable to prune last branch in tree
 Fixed - Quit - removable media accessed after quitting
 Fixed - Reformatted filename displays to always show extension
 Fixed - Removed leading '0' from date/time
 Fixed - Rename - added 'proper' case toggle
 Fixed - Save Command History if session closed with 'X' button
 Fixed - Screen background not completely cleared after F8
 Fixed - Screen width not being forced to 80 columns
 Fixed - Search-Tagged files search even with empty input string
 Fixed - Stats (?) window displaying time in wrong position
 Fixed - Stats - Widened File Statistics numeric format
 Fixed - Support use of DBF.BAT if ZTW_VDBF.EXE not found
 Fixed - System date display problem for year 2000
 Fixed - TAB key - unable to tab to last directory in tree
 Fixed - Tab/BTAB should only traverse within current tree
 Fixed - Tag-Copy/Move - redisplay progress bar after error message
 Fixed - Tags lost after copy files in split screen mode (F8)
 Fixed - Tree (scrolling) view - PgDn causes highlight bar to jump to top
 Fixed - Tree Window Highlight Bar (fixed) - GPF clicking mouse in blank area
 Fixed - Tree Window Highlight Bar (fixed) - Left or B-Tab from root GPF
 Fixed - Treespec ('\') - TAB key completes current path name
 Fixed - Treespec ('\') - should expand the current branch initially
 Fixed - Treespec command didn't support paths longer than line
 Fixed - Treespec command should not accept cursor movement keys
 Fixed - Treespec command that was too long caused cursor to be 'lost'
 Fixed - Treespec problem selecting different drive if already logged
 Fixed - Various filename formatting and highlighting issues
 Fixed - Video changes to restore screen buffer size on exit
 Fixed - Video mode not restored on exit after using eXecute
 Fixed - View - Hex Edit - prevent editing beyond end of file
 Fixed - View command attempted to invoke archiver for certain .EXEs
 Fixed - Viewer - End key caused GPF in ASCII mode with certain files
 Fixed - Viewer - End key not working properly in ASCII WRAP mode
 Fixed - Viewer - End key problem effecting Up arrow
 Fixed - Viewer - End key stopped one line short if no EOF or CR/LF
 Fixed - Viewer - Hex mode - support searching for hex string
 Fixed - Viewer - Increased maximum line width
 Fixed - Viewer - Search not stopping with Esc key
 Fixed - Viewer - compress long pathnames to display filename at top
 Fixed - Viewer - disable Edit when viewing file in open archive
 Fixed - Viewer - expanded space for path/filename in title
 Fixed - Viewer - not displaying filename of file in an open archive
 Fixed - Viewer - position bar tracks text search
 Fixed - Viewer - prompt for search string on SPACE when no search active
 Fixed - Viewer - revised menu layout, added Edit to ASCII mode etc
 Fixed - Viewer - tab toggle saved between sessions
 Fixed - Viewer/Gather problems marking last line
 Fixed - Widened display for Available bytes, and Stats screen
 Fixed - Window title not restored after Alt-F10 for configuration
 Fixed - ZTW.HST not being created in directory containing ' '
 Fixed - ZTW_VDBF.EXE wasn't being loaded from a path containing ' '
 Fixed - eXecute - From dir menu, refresh current dir upon return
 Fixed - eXecute - refresh current directory contents after eXecute
 Fixed - eXecute - unable to extend a command line of a filename in quotes
 Fixed - eXecute window - Compress pathname to prevent GPF

 version 1.30 - December 13, 1997
 --------------------------------
 Added - '\' from Global mode switches to treespec path for current file
 Added - /3 for 34 line video mode (and new option in configuration)
 Added - ARCHIVER.BB2 support for MS CAB (Cabinet) archive viewing
 Added - ARCHIVER.BB2 support for JAR Archiver
 Added - ARJ 2.55c support for long filenames & paths
 Added - About-box link to www.ztree.com with F1 key
 Added - Alt-Compare Branch function
 Added - Alt-H to Hide/Unhide a directory
 Added - Alt-Numpad entry of ASCII characters
 Added - Alt-Release-Files in Branch
 Added - Alt-Sort Criteria displays current setting
 Added - Configuration option to change Enter action to view file
 Added - Configuration option to change Space key to tag file
 Added - Configuration option to confirm Quit
 Added - Configuration option to force Trashcan default usage
 Added - Configuration option to prevent logging ROOT files
 Added - Ctrl-Copy/Move option to nEver replace existing files
 Added - Ctrl-F to toggle between last two filespecs
 Added - Ctrl-Rename option F2 to force upper, lower or proper case
 Added - Ctrl-Search tagged files - case sensitive option
 Added - Ctrl-\ function to toggle between last two filespecs in history
 Added - Dir/File command 'H' to create a shortcut to current Directory/File
 Added - F1 Help to Alt-Batch and Ctrl-Batch functions
 Added - F7 Autoview
 Added - F9 Menu function (copy XTG_MENU.DAT to ZTW_MENU.DAT)
 Added - FAT32 support for correct disk statistics (assumes 4K clusters)
 Added - Open command defaults to use ShellExecute if no matching .BAT found
 Added - Prune Directory option (F2) to force delete of R.SH files
 Added - Rename Directory function 'Tab' to duplicate current name
 Added - Version number and Registration name to title-bar
 Added - Viewer - Buffered reading algorithm (thanks Sergey!)
 Added - Viewer - HEX edit
 Added - Viewer - case sensitive search option
 Fixed - '*' not logging root when new configuration option set
 Fixed - /XT switch allows use of ('-/_' & '=/+') to switch drives
 Fixed - /XT switch didn't support '=' to switch drives from file window
 Fixed - About-box hotkey Alt+Ctrl moved to right keys
 Fixed - Alt-F4 Compare files was ignoring file size for identical test
 Fixed - Alt-F5 - Extract with paths (Alt-E) didn't check for existing files
 Fixed - Alt-F5 - translate '/' in stored pathnames to '\' for display
 Fixed - Alt-F5 removed archive name from top line to widen path name
 Fixed - Alt-F5 supported a limited number of files in an archive
 Fixed - Alt-F5/View - prevent filename being wrapped in ""s when no spaces
 Fixed - Alt-Graft no longer needs to relog the tree
 Fixed - Alt-Log/One level was broken
 Fixed - Alt-Q didn't exit to dir of current file in Branch/Showall/Global
 Fixed - Alt-Q failed if ZTreeWin installed in directory with spaces
 Fixed - Alt-Sort in small file window not sorting large file window
 Fixed - Alt-Sort proceeded to re-sort after Esc if Order or Path changed
 Fixed - Alt-Sort proceeding to sort after Esc from menu
 Fixed - Configuration - Color setting Shift-Fn keys cycle backwards
 Fixed - Confirm Quit not working from file window
 Fixed - Copy/Move functions not translating leading '.' to '*.' in mask
 Fixed - Crashing in FindPathFromPos() after new branches created
 Fixed - Ctrl-Attr was unnecessarily updating all tagged files attributes
 Fixed - Ctrl-B/Alt-B %5 (ext) not reinitialized for each tagged file
 Fixed - Ctrl-Batch did not quit when Esc pressed
 Fixed - Ctrl-Batch places resultant file into base directory of branch
 Fixed - Ctrl-Copy (auto-replace) for r/o target did not skip with 'N'
 Fixed - Ctrl-Delete Tagged files - Confirm 'Y', ended with first 'N'
 Fixed - Ctrl-Extract from archive not finding existing files in root dir
 Fixed - Ctrl-Extract tagged files changed to allow conditional replacement
 Fixed - Ctrl-F5 ARCHIVER.BB2 InfoZip [LFNQ] change to [LFN] for Zip 2.2
 Fixed - Ctrl-F5 GPF when not all files tagged and archiver not using list
 Fixed - Ctrl-F5 archiving all files in directory didn't store path
 Fixed - Ctrl-F5 checks now for "Zip/" in archiver name to use "*" for all
 Fixed - Ctrl-F5 default creation of archive in current directory
 Fixed - Ctrl-F5 from Branch not defaulting archive path to parent directory
 Fixed - Ctrl-F5 not refreshing target directory
 Fixed - Ctrl-F5 only supported archiving limited filename lengths
 Fixed - Ctrl-F5 renamed 'list' file to 'list.$$$'
 Fixed - Ctrl-Search tagged files performance improved
 Fixed - Ctrl-V exiting list prematurely when open file encountered
 Fixed - Ctrl-V search for text stopped at first file if not found
 Fixed - Ctrl/Alt-Copy & Ctrl/Alt-Move failed to create paths after disk swap
 Fixed - Ctrl/Alt-Move in Branch view showing incorrect stats during move
 Fixed - Ctrl/Alt-Move supported limited length filenames
 Fixed - Date display fixed for Y2K
 Fixed - Del/Ctrl-Del from archive should not show trashcan option
 Fixed - Delete directory failing after deleting all files from showall
 Fixed - Delete/Ctrl-Delete should ignore trashcan option for remote drives
 Fixed - Delete/Ctrl-Delete with trashcan option not reporting failure
 Fixed - Deleting last file in directory didn't leave file window
 Fixed - Directory refreshing after various functions not correct
 Fixed - Disabled incorrect target drive space checking
 Fixed - Edit File not passing filenames with '&' in quotes
 Fixed - Edit filename not handling ???.* mask correctly
 Fixed - Edit filename not handling ABC*.* mask correctly
 Fixed - Extracting files from archive to new directory checked existing
 Fixed - F2 Point - Log disk was relogging currently logged drives
 Fixed - F2 Point GPF after cancelling logging of disk with no media
 Fixed - F2 Point INS key didn't expand branch with /XT switch
 Fixed - F2 Point change to support use of ('-' & '=') with /XT switch
 Fixed - F2 Select Directory - added Tab/BTab key support for traversal
 Fixed - F2 key was erasing existing input in Search and Prune functions
 Fixed - F8 cosmetic problem in 1 column mode when last file selected
 Fixed - F8 split-screen GPF occurred when filemask was active
 Fixed - F8 split-screen not showing logged files on left
 Fixed - F8-split not setting file counts correctly when filespec set
 Fixed - F8-unsplit not maintaining file/tag mode from right side
 Fixed - File APIs set to OEM mode to prevent character translation
 Fixed - File date years not stored/sorted correctly in certain cases
 Fixed - File size display over 100M abbreviated with 'K' suffix
 Fixed - File sorting in Branch mode not using path as last criteria
 Fixed - Filename editing didn't support '?' in mask
 Fixed - Filename editing didn't support mask of "*.??~"
 Fixed - Filespec causing existing logged directories trees to relog
 Fixed - Filespec expanded to hold longer masks
 Fixed - GPF occurred when using F8-split screen when no files logged
 Fixed - Hex editing redisplaying old contents under Win95
 Fixed - History corruption deleting top item in list
 Fixed - History displaying entries too long after deleting an item
 Fixed - History item tagging limited to two less than total
 Fixed - JFC (TFC) function now passes LFNs in %4 and %5
 Fixed - JFC (TFC) problem passing .BAK as default for file2
 Fixed - Keyboard input - allow <shift> to unshift when <CapsLock> set
 Fixed - Long filename missing '>' indicator when ' ' in that position
 Fixed - Long filenames not indicating truncation in certain cases
 Fixed - Miscellaneous keyboard handling fixes
 Fixed - New Date function setting am/pm incorrectly or refreshing stats
 Fixed - New file date was defaulting to file date instead of current
 Fixed - Open command didn't set working directory when no associated .BAT
 Fixed - Open command failing on files with long extensions (eg. JPEG)
 Fixed - Open command not locating .BATs in path with spaces
 Fixed - Open command restrict .BAT loading to ZTreeWin directory
 Fixed - Point (F2) scrollbar made to match window attributes
 Fixed - Prevent re-reading of volume info when cycling through logged drives
 Fixed - Print file with headers not accounting for FF in file
 Fixed - Print/Catalog of Tagged Files reformatted for maximum name space
 Fixed - Printing functions now use API calls instead of file i/o
 Fixed - Quit program when Esc from Log disk and no drives logged
 Fixed - RefreshDirectory failed if files were previously deleted
 Fixed - Reset video mode (lines) after using eXecute function
 Fixed - Right <Alt> key being ignored
 Fixed - Right <Alt> with CapsLock active being ignored
 Fixed - Search text history now case sensitive
 Fixed - Space key was only setting tags, not inverting
 Fixed - Space-Bar reverted to cursor-down in File Display
 Fixed - Spinner added to global file display
 Fixed - Stats not correctly determining disk attributes for NTFS and FAT32
 Fixed - Stats window showing incorrect "Displayed files" values
 Fixed - Support for up to 127 level directory nesting
 Fixed - Suppressed leading zero from file datestamps
 Fixed - Tagged files retained after Edit/Extract functions
 Fixed - Tagged files with alt background color not clearing completely
 Fixed - Treespec GPF when pressing Enter on non existent directory
 Fixed - Treespec GPF when selecting root with config option to log root
 Fixed - ValidatePathname not detecting filename with requested pathname
 Fixed - Various functions showing incorrect time format
 Fixed - Viewer 'N' key caused endless loop
 Fixed - Viewer - ASCII Mask function not filtering control characters
 Fixed - Viewer - Gather allowed scrolling beyond end of data
 Fixed - Viewer - OEM function was only converting first 80 characters
 Fixed - Viewer - Wrap not clearing last column after Hex mode
 Fixed - Viewer - various ASCII WRAP fixes
 Fixed - Viewer - various scrolling problems in Hex and Dump modes at end
 Fixed - Viewer Error handling for files that cannot be opened
 Fixed - Viewer Gather function now refreshes directory of saved file
 Fixed - Viewer Gather text from archived file going to TMP directory
 Fixed - Viewer PgDn did not scroll binary data displayed in ASCII mode
 Fixed - Viewer Trap on PGDN with files of size just under 4K multiple
 Fixed - Viewer WRAP mode now splits at word boundary
 Fixed - Viewer hang exiting with 'q'
 Fixed - Viewer mode toggling was not correct
 Fixed - Viewer not displaying progress bar until key hit
 Fixed - Viewer only outputting 79 characters in ASCII mode
 Fixed - Viewer scrolling right in HEX and DUMP modes
 Fixed - Viewer search for text hiding top line in some cases
 Fixed - Viewer should allow display of zero-byte files for Ctrl-V to work
 Fixed - Viewer/Hex Edit allowed input from Alt and Ctrl keys
 Fixed - Workaround OSR2 / GetDiskFreeSpaceEx problem (error 123)
 Fixed - Wrong drive letter reported when drive not ready
 Fixed - Wrong drive stats displayed after copy/move using F2 Point
 Fixed - ZTW.$$$ visible in TMP directory after extracting files

 version 1.20 - June 17, 1997
 ----------------------------
 Added - Alt-Batch command
 Added - Alt-E to launch editor in separate session
 Added - Alt-Extract all tagged files and duplicate stored paths
 Added - Alt-eXecute to invoke command in new session
 Added - Alt/Ctrl-Batch parms %7=short fullpath & %8=short filename
 Added - Command line specification of directory to log (eg. "ZTW C:\WIN95")
 Added - Commandline args: /L1(ROOT) /LF(FULL) /LT(TREE) /ZF(last filespec)
 Added - Compare directory options saved between sessions
 Added - Copy from Windows clipboard to input fields with Ctrl-V
 Added - Copy/Move function 'Tab' to duplicate current name
 Added - Copy/Move tagged files option to replace Older files
 Added - Ctrl-Batch now supports %2-%6 and '!!'
 Added - Ctrl-Extract all tagged files with Paths option
 Added - Ctrl-F4 to display only tagged files in a directory/file view
 Added - Ctrl-Q to exit to shell in current directory
 Added - Delete/Ctrl-Delete option to send files to Trashcan
 Added - Extract single file from archive with 'C' key
 Added - F3 recalls last item from history list
 Added - Free memory display to command-line window
 Added - Keyboard buffering support
 Added - Left & Right cursor movement to F2-Select Path from tree function
 Added - Rename File function 'Tab' to duplicate current name
 Added - Scrolling keyboard input to allow entering of maximum length
 Added - Support for TFC.BAT (until JFC clone, TFC.EXE is ready) for 'J' key
 Added - Tag colour configuration to Alt-F10 (ZTW_CFG.exe)
 Added - Tag colour configuration for Global/Showall/Branch
 Added - Tag colour width to highlight whole file entry
 Fixed - '=' key now acts as '+' in tree view
 Fixed - ARCHIVER.BB2 cleaned up to remove ZIP explicit SFX coding
 Fixed - Added 'OEM' Display option to viewer for foreign character support
 Fixed - Added [LFN] flag to ARCHIVER.BB2 to support long filenames
 Fixed - Allow '.ext' to rename a file extension only
 Fixed - Allow spaces to be entered in Treespec command
 Fixed - Alt-C/Alt-M created invalid paths when copying from root
 Fixed - Alt-Copy unable to copy files from root due to pathname error
 Fixed - Alt-Copy/Move failing to create partial paths from Branch view
 Fixed - Alt-Copy/Move with partial path displayed blank target directory
 Fixed - Alt-F10 Config program - redesigned colour setting menus
 Fixed - Alt-F5 alignment problem with large archived files
 Fixed - Alt-F5 support Ctrl-I to invert tags
 Fixed - Archive (opened) name truncated when screen split
 Fixed - Archive opening limited to 2000 files
 Fixed - Archive that cannot be opened now drop into viewer
 Fixed - Archived tagged files allowed null archive name to be entered
 Fixed - Archiver support to open SFX where signature found in first 64K
 Fixed - Archives containing paths did not correctly display tagged count
 Fixed - Archives with stored paths not displaying correctly with filename
 Fixed - Changed '+' to refresh directory if already expanded
 Fixed - Changed default filemask to '*' when zipping with InfoZip
 Fixed - Changed secondary file sort field to name
 Fixed - Changed tab expansion in viewer
 Fixed - Changes required to support > 64K files in showall/global
 Fixed - Changes to support foreign character sets
 Fixed - Clear command line window after execution
 Fixed - Command line option to start in root was broken
 Fixed - Command line specification of directory didn't scroll down
 Fixed - Compare Directories not handling long filenames
 Fixed - Compare directory disabled for empty directories
 Fixed - Copy/Move tagged files losing last part of name (aaa.bbb.ccc)
 Fixed - Copy/Move to relative path truncating first 2 characters
 Fixed - Copy/move file to new directory expanded parent directory
 Fixed - Copying a zero-length file caused GPF
 Fixed - Ctrl-Batch %5 parameter not initialized for no-extension files
 Fixed - Ctrl-Batch split %4 and %5 at first (not last) period '.'
 Fixed - Ctrl-Batch was not trimming output command line
 Fixed - Ctrl-F4 trapped when no tagged files
 Fixed - Ctrl-F5 archived all files ("*") when filemask was active
 Fixed - Ctrl-F5 save last used archiver during a session
 Fixed - Ctrl-Rename should ignore Tab in filename field
 Fixed - Ctrl-View looping when search text not found
 Fixed - Ctrl/Alt-Batch truncate trailing '.' from filename with no ext
 Fixed - Ctrl/Alt-Copy/Move skipped current file if target drive was full
 Fixed - Cursor state reset after using command history
 Fixed - Delete directory not checking for files before confirmation
 Fixed - Directory name edit converts '/' to '\'
 Fixed - Disabled Ctrl+Break
 Fixed - Edit (from directory view) always prefixed current drive\path
 Fixed - Edit mask losing characters when '*' in extension
 Fixed - Edit/Alt-Edit (from Tree) enclose filename with spaces in ""
 Fixed - Edit/Alt-Edit now pass short (8.3) filenames to editor
 Fixed - Edit/Alt-Edit pass short editor pathname to shell
 Fixed - Editor/Viewer commands not refreshed after Alt-F10 config
 Fixed - Esc not aborting functions when CapsLock on
 Fixed - Existing file prompt quitting with any keystroke
 Fixed - F2-Select Path in Compare directories GPF'd when split-screen
 Fixed - F2-Select path not supporting right arrow key
 Fixed - F2-Select path now recalls last selected drive
 Fixed - F2-select path moving beyond current branch with right arrow
 Fixed - F8-Split file positioning incorrect when highlight on right
 Fixed - F8-Split not displaying pathname
 Fixed - F8-Unsplit - not restoring pathname at top
 Fixed - F8-split did not copy over current tags to right side
 Fixed - F8-split from Tree view did not duplicate current tags to right
 Fixed - File display not completely cleared when partially full window
 Fixed - File highlight not reset after tabbing between split-screen
 Fixed - File listing formats modified to move tags to front
 Fixed - File position lost after archiving tagged files to current dir
 Fixed - Filename editing producing invalid names
 Fixed - Filename sorting treating names as lowercase
 Fixed - Filespec not matching correct files where no extension
 Fixed - Filespec setting reverted file list to previous sort order
 Fixed - Filespec with mixed include/exclude masks not working
 Fixed - Foreign character translation in Viewer and File-search
 Fixed - Foreign characters in Directory names now supported
 Fixed - GPF after entering a directory following '\' to leave
 Fixed - GPF after releasing drives in split-screen
 Fixed - GPF in F2-Select Path under Win95
 Fixed - GPF in split-screen relogging a path in showall on other side
 Fixed - GPF in viewer searching at end of file
 Fixed - GPF when Esc from logging first drive to change log mode
 Fixed - Graft function defaults target branch from split-screen path
 Fixed - History selecting blank line did not clear entry
 Fixed - Ins and Del keys should be active in tree only with /XT switch
 Fixed - JFC command not working when TFC.BAT in directory with spaces
 Fixed - JFC input line length increased
 Fixed - JFC inserting extra '\' to filename in root
 Fixed - JFC not defaulting opposite path with split-screen
 Fixed - JFC now passes short filenames (8.3) in %2 and %3
 Fixed - Keyboard input scrolling when not at end of line
 Fixed - Keyboard set to insert-mode by default
 Fixed - Logging mode changes should not be 'sticky'
 Fixed - Logging unavailable drive/dir caused 2 error prompts and fake log
 Fixed - Long filenames not sorting correctly
 Fixed - Made viewer settings OEM and WRAP sticky
 Fixed - Memory leak in split-screen processing
 Fixed - Menu not reset after Esc from branch logging
 Fixed - Mouse pointer hidden (until support can be added)
 Fixed - Move a single file failed if target existed
 Fixed - Move file from network drive could trap when cluster size = 0
 Fixed - Move tagged files not aborting with Esc
 Fixed - Move/Copy did not display error when trying to replace self
 Fixed - New date keyboard state defaulted to overtype mode
 Fixed - No message that no files are tagged with Ctrl-F5
 Fixed - Numeric keypad <*> returned "8" with CapsLock on
 Fixed - Open Archive (Alt_F5) not using current Alt-F setting
 Fixed - Open Archive (Alt_F5) reverted to use 1 file per line default
 Fixed - Opening an archive with stored paths caused a GPF
 Fixed - Pass LFN as %2 to .BAT files for Open command
 Fixed - Pass SFN to Editor command
 Fixed - Pressing Esc from Print Directory functions created a spool file
 Fixed - Prevent unconditional logging of root dir in ROOT mode
 Fixed - Print Catalog of tagged files missing files when filespec active
 Fixed - Print directory tree outputting invalid symbols
 Fixed - Program hanging after ARCHIVER.BB2 not found
 Fixed - Progress bar resetting after approx 42Mb
 Fixed - Prune did not delete from directories with foreign characters
 Fixed - Random GPF at startup with new History saving format
 Fixed - Random GPFs after keyboard input
 Fixed - Random GPFs during Alt-F5 and Compare Directories
 Fixed - Random archive command-line errors with Ctrl-F5
 Fixed - Re-display file stats on right after attribute change
 Fixed - Removed ""s from filename in call to editor
 Fixed - Removed trailing '\' from path in eXecute window
 Fixed - Reset ZTWIN.BAT when quitting with 'Q'
 Fixed - Restore cursor on exit after using eXecute
 Fixed - Restore screen attributes after calling external programs
 Fixed - Save Treespec selections to command history
 Fixed - Screen blank and apparent hang after calling ALT_F10
 Fixed - Scrolling keyboard input bugs in BKSP and DEL keys
 Fixed - Search Tagged files found text from previous file
 Fixed - Search tagged files across multiple drives screwed tag count
 Fixed - Search tagged files corrupted with long filenames
 Fixed - Search tagged files text input truncated at cursor
 Fixed - Small file window access cycle messed up after Esc key
 Fixed - Small file window access lost after Branch/Showall/Global view
 Fixed - Small file window messed up after opening archive
 Fixed - Sort Order & Path options not restored after Alt-F5
 Fixed - Sort files 'Unsorted' was incorrectly reversing with 'Order'
 Fixed - Split-screen (F8) maintains File view
 Fixed - Stats screen modified slightly to allow more room
 Fixed - Support 'C:.' on command-line to log root of specified drive
 Fixed - Support AltGr - \ input
 Fixed - Support archive functions for archives and filenames containing '&'
 Fixed - Support passing long directory names to PKZIP when zipping
 Fixed - Support passing long filenames to editor from HPFS volumes
 Fixed - Support running from root directory
 Fixed - Support startup option 'C:.' to log current directory of drive
 Fixed - Support use of root dir for TMP/TEMP variable
 Fixed - Suppress display of '.' in filenames with no extension
 Fixed - TMP environment set to root caused extract from archive to fail
 Fixed - Tab between split-screen after relogging caused GPF
 Fixed - Tag attributes too wide in 2 column file display mode
 Fixed - Tag count incorrect after Ctrl-D with filemask active
 Fixed - Temporary files being sent to trashcan if option enabled
 Fixed - Timestamps incorrectly showing pm not am
 Fixed - Treespec ('\') also now invoked with ';' & '\'
 Fixed - Treespec ('\') now supported from file window
 Fixed - Treespec caused highlight-bar to get out of synch with tree
 Fixed - Treespec input saving each keystroke in history
 Fixed - Treespec now supports switching to new drive
 Fixed - Treespec recalling using F3 was not working
 Fixed - Treespec support to select unexpanded paths from history
 Fixed - Trimmed cr/lf from pasted-text (Ctrl-V)
 Fixed - Viewer Gather not adding CR/LF between appended text
 Fixed - Viewer Search text input truncated at cursor
 Fixed - Viewer [End] key skipping 1 line too short
 Fixed - Viewer bugs using PgUp/PgDn with wide files
 Fixed - Viewer displayed garbage if scrolled extreme right
 Fixed - Viewer hiding top line after PgDn
 Fixed - Viewer miscellaneous fixes
 Fixed - Viewer not highlighting found text off end of line
 Fixed - Viewer support for UNIX formatted ASCII files (CR or LF eol char)
 Fixed - ZTW_CFG did not load if installed in path with embedded spaces
 Fixed - ZTW_CFG did not load when ZTW loaded from root
 Fixed - eXecute did not wrap program names with spaces in quotes
 Fixed - eXecute window also defaults display of executable file extension
 Fixed - video corrupted after calling external programs in 60 line mode

 version 1.11
 ------------
 Added - InfoZip support to ARCHIVER.BB2 (supports long filenames)
 Added - Support for Archiver store Paths switch for Ctrl-F5
 Added - Display About-box on Ctrl+Alt keys
 Added - Display additional file statistics when more than 25 lines
 Added - Config option 9 allows saving of Longname as default display
 Added - Support case sensitive filename matching for Compare Directories
 Fixed - Viewer not scrolling upwards when viewing mixed line lengths
 Fixed - Changed ARCHIVER.BB2 to support filelist parms for ZIP & ARJ
 Fixed - Extract single file from archive did not prompt to overwrite
 Fixed - Screen flashed when invoking archiving program
 Fixed - Fullscreen video-mode switching under NT was not correct
 Fixed - Keyboard input was masking > 127 ASCII
 Fixed - Support root directory as TMP path
 Fixed - Move command did not warn of replacing existing files
 Fixed - Alt-Copy did not check for tagged files
 Fixed - Treespec ('\') was not showing current path
 Fixed - Write ZTWIN.BAT with full path to ZTW.EXE
 Fixed - Alt-F4 (Compare) did not allow use of tagged files
 Fixed - Compare directories not correctly matching for some options
 Fixed - Change attributes supported limited filename length
 Fixed - Delete files supported limited filename length
 Fixed - File sorting option 'Path' was not working

 version 1.05
 ------------
 Added - Compare directories commands C and Alt-F4
 Added - Gather function implemented in internal viewer
 Added - Ctrl-F7/F8/F9 tag/untag/toggle branch tags
 Added - Directory commands Alt-T/Alt-U to tag/untag files by attribute
 Fixed - Esc twice while logging at startup caused GPF
 Fixed - Rename Directory problems rectified
 Fixed - Error 234 prevented logging certain NTFS drives
 Fixed - Execute output was not visible under NT in a window
 Fixed - Copy/move to was displaying an error message when creating paths
 Fixed - Trap after editing a file from a global/showall list
 Fixed - Prune command attempted to delete root directory
 Fixed - Relog current directory after editing a file
 Fixed - Old format filenames (8.3) now passed to external programs
 Fixed - Long filenames not being correctly sorted by extension
 Fixed - Viewer position indicator made proportional length
 Fixed - Extract all files from an archive did not work
 Fixed - Changed parsing of ZIP listing to fix alignment problems
 Fixed - Made history list updating case-insensitive
 Fixed - Added .BTM as recognized file type for Command line function
 Fixed - File timestamps showed 12:00am as 00:00am
 Fixed - 12hr clock displayed 12:00am as 00:00am
 Fixed - Converted ZTW.ICO to usable format ;-)
 Fixed - Errors with long volume labels prevented logging NTFS drives
 Fixed - Overcame a 4gb volume limit on Statistics screen
 Fixed - Made global totals 64bit to support > 4.3gb disks
 Fixed - Global file list was limited to 64K files
 Fixed - Ctrl-F5 (archive) from Showall/Branch/Global doubled filename
 Fixed - Alt menu stuck after Alt-X

 version 1.00
 -------------
 Fixed - Print file not forcing page feed at end of document
 Fixed - Print Dir/tree/cat hanging
 Fixed - Execute function needed to restore video mode on exit
 Fixed - Bug in View searching from last build

 version 1.00k
 -------------
 Added - Cycle through View tagged files for searched text with ' '
 Added - '/' key to act as '?' for disk stats
 Fixed - Prune showed Root contents if dir not deleted (for full-disk)
 Fixed - Right-align tags in long filename display mode
 Fixed - Esc not functioning under '95 when Caps-Lock on
 Fixed - File viewer now opens files in shared mode

 version 1.00j
 -------------
 Fixed - Arj commands now working from ARCHIVER.BB2
 Fixed - GPF in clock thread if using 12hr time format

 version 1.00i
 -------------
 Fixed - Program now starts in current directory
 Fixed - Aborting '*' logging lead to a GPF
 Fixed - About box displayed once at startup after registering (Alt_F1)
 Fixed - Alt menu not resetting after Alt_F1

 version 1.00h
 -------------
 Added - Included sample .BAT files for .ZIPs and .BMPs
 Added - 12/24 hour time format option to ZTW_CFG
 Fixed - GPF in SortDirectory() under NT
 Fixed - problems with Device setting for Print functions
 Fixed - problems with current path under NT
 Fixed - Hard errors (disk A: not present) causing two error popups

 version 1.00g
 -------------
 Added - yymmdd date format option to ZTW_CFG
 Fixed - Move function, wasn't allowing replacement of existing file
 Fixed - problem with registration key decoding
 Fixed - cosmetic problem with open archive pathnames

 version 1.00f
 -------------
 Added - Implemented registration processing and utility ZTW_REG.EXE
 Fixes - to path searching logic - removed Program path from ZTW_CFG.EXE
 Fixed - video mode problems when using Alt-F10 for configuration
 Fixed - Viewer bug preventing the whole file from loading
 Fixed - GPF when setting filespec with no matches in split-screen mode

 version 1.00e
 -------------
 Fixed - CapsLock bug under Win95
 Fixed - trap when ZTW.INI not present
 Fixed - trap when Esc during re-logging current drive
 Fixed - Rename directory (full-disk mode) caused resetting to root
 Fixed - Alt-Copy/Move problems with maintaining fullpath
 Fixed - Treespec function '\' now completes current path
 Fixed - Cursor shape for insert-mode

 version 1.00d
 -------------
 Added - support to copy/move as/rename to other name
 Fixed - video-mode changing for both fullscreen and windowed
 Fixed - Set requested video mode at startup (config or command line)
 Fixed - Prevent screen being cleared after eXecute command
 Fixed - Archive tagged files (ctrl-F5) now working

 version 1.00c
 -------------
 Fixed - Alt-E and Alt-O to start separate sessions
 Fixed - (I hope) problems logging empty volumes
 Fixed - keyboard routine was not catching shift-tab
 Fixed - 'New date' file date function
 Fixed - Open Archive (Alt-F5) was corrupting video attributes

 version 1.00b
 -------------
 Change- Set video-mode to setting in configuration at startup
 Added - Ctrl-C to emulate Ctrl-E in Open Archive functions
 Fixed - File times were not being converted to local timezone
 Fixed - GPF occurring in file-logging of very long filenames
 Fixed - Global/Ctrl-Global worked only when matches were on current drive
 Fixed - Video was not restored after calling external programs

 version 1.00a
 -------------
 Change- Default editor changed to EDIT.COM
 Added - Set Volume name implemented
 Fixed - Command lines switches (eg. /XT) accept lowercase
 Fixed - Copy/Move functions did not create new directories
 Fixed - Esc during logging (after startup) caused a trap

 version 0.90
 -------------
 First Alpha release
